<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Account_type extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('dropdown_model');
		$this->load->model('account_type_model');
		$this->load->model('account_group_model');
        $this->load->model('permission_model');


	}
	public function index(){			
	}
	public function view(){  
		$search_name = (empty($_POST['patName']))? '':' patName = "'.$_POST['patName'].'" ';
		$search_des = (empty($_POST['patDes']))? '':' patDes = "'.$_POST['patDes'].'" ';
		
		$data_search = array(
			'search_name' =>$search_name,
			'search_des' =>$search_des,
		);
		$search = $this->search_model->search($data_search);
		
		$data["account_group"] = $this->dropdown_model->drop_account_group();
		$data["data"] = $this->account_type_model->getAccountType($search);
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Acount Type';
		
		$this->load->view('setting/account_type/index.php',$data);
	}
	public function addnew(){  
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Acount Type';
		$data["account_group"] = $this->dropdown_model->drop_account_group();
		
		$this->load->view('setting/account_type/addnew.php',$data);
	}
	public function insert(){  
	
		$account_group = $this->account_group_model->getAccountGroupID($_POST['patGroup']);
		
		$data = array(
			'patName' => $_POST['patName'],
			'patGroup' => $_POST['patGroup'],
			'patDes' => $_POST['patDes'],
			'patID' => $account_group->maxID + 1,
		);
		$this->db->insert('nso007_account_type',$data);
		
		redirect(site_url('Account_type/view'));
	}
	public function delete(){ 
		$id = $_POST['id'];
		$this->db->where('patID', $id);
		$this->db->delete('nso007_account_type');
		
		redirect(site_url('Account_type/view'));
	}
	public function edit($id){ 
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Edit';
		$data["account_group"] = $this->dropdown_model->drop_account_group();
		$data["data"] = $this->account_type_model->getID($id);
		
		$this->load->view('setting/account_type/edit.php',$data);
	}
	public function update($id){
		$data = array(
			'patGroup' =>$_POST['patGroup'],
			'patName' =>$_POST['patName'],
			'patDes' =>$_POST['patDes'],
		);
		$this->db->where('patID', $id);
		$this->db->update('nso007_account_type', $data);
		
		redirect(site_url('account_type/view'));
	}
}
