<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class libility_history extends CI_Controller {

	 function __construct()
    {
        parent::__construct();
		$this->load->model('accounting_model');
		$this->load->model('libility_history_model');
		$this->load->model('dropdown_model');
		$this->load->model('search_model');
        $this->load->model('permission_model');
    }
	public function view(){	
		
		$search_amount = (empty($_POST['lhAmount']))? '':' lhAmount = "'.$_POST['lhAmount'].'" ';
		$user = (empty($_POST['lhUser']))? '':' lhUser = "'.$_POST['lhUser'].'" ';
		$date = (empty($_POST['lhForDate']))? '':' lhForDate = "'.date('Y-m-d',strtotime($_POST['lhForDate'])).'" ';
		$search_currentcy = (empty($_POST['lhCurrency']))? '':' lhCurrency = "'.$_POST['lhCurrency'].'" ';
		$lbID = (empty($_POST['lbID']))? '':' lbID = "'.$_POST['lbID'].'" ';
		$des = (empty($_POST['lhForm']))? '':' lhForm = "'.$_POST['lhForm'].'" ';
		
		
		
		$data_search = array(
			'search_amount' =>$search_amount,
			'search_currentcy' =>$search_currentcy,
			'lbID' =>$lbID,
			'des' =>$des,
			'date' =>$date,
			'user' =>$user,
			
		);
		$search = $this->search_model->search($data_search);
		
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'libility history';
		$data['libility_historys'] = $this->libility_history_model->get($search);  
		$data['libi'] = $this->libility_history_model->getLibility();  
		$data['user'] = $this->dropdown_model->drop_user();
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		
		$this->load->view('accounting/libility_history/index.php',$data);
	}
	public function addnew(){	
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'libility history';
		$data['libility'] = $this->libility_history_model->get($search='');
		$data['libility_historys'] = $this->libility_history_model->getLibility();  
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		$data['user'] = $this->dropdown_model->drop_user();
		
		$this->load->view('accounting/libility_history/addnew.php',$data);
	}
	public function insert(){	
		
		$acc = array(
			'lhLibilityID' => $_POST['libility'],
			'lhForm' => $_POST['pjnDes'],
			'lhAmount' => $_POST['amount'],
			'lhForDate' => date('Y-m-d',strtotime($_POST['pjnDatePay'])),
			'lhUser' => $_POST['pjnBy'],
			'lhCurrency' => $_POST['pjnCurrency'],
			'lhInvoice' => $_POST['pjnInvoice'],
		);
		$this->db->insert('nso007_libility_history', $acc);
		$lastID = $this->db->insert_id();
		
		$libi = $this->libility_history_model->getLibilityID($_POST['libility']); 
		
		
		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>$libi->lbLibilityItem,
					'pjnType'=>222,
					'pjnDr'=>$_POST['amount'],
					'pjnInvoice'=>$_POST['pjnInvoice'],
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['pjnDatePay'])),
					'pjnDes'=>$_POST['pjnDes'],
					'pjnBy'=>$_POST['pjnBy'],
					'pjnCurrency'=>$_POST['pjnCurrency'],
					'pjnRefID' => $lastID,
		);
		
		$this->db->insert('nso007_jounal', $data);
		$insert_id = $this->db->insert_id();
		
		$data1 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>10000,
					'pjnType'=>222,
					'pjnCr'=>$_POST['amount'],
					'pjnInvoice'=>$_POST['pjnInvoice'],
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['pjnDatePay'])),
					'pjnDes'=>$_POST['pjnDes'],
					'pjnBy'=>$_POST['pjnBy'],
					'pjnCurrency'=>$_POST['pjnCurrency'],	
					'pjnRefID' => $lastID,
		);
		$this->db->insert('nso007_jounal', $data1);
		redirect(site_url('libility_history/view'));
			
		
	}
	public function delete(){
		$id = $_POST['id'];
		
		$this->db->where('lhID', $id);  
		$this->db->delete('nso007_libility_history');
		
		$this->db->where(array('pjnRefID'=>$id,'pjnType'=>222));  
		$this->db->delete('nso007_jounal');
		redirect(site_url('libility_history/view'));
			
	}	
	
}
	
	
