<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class ProjectPlanning extends CI_Controller {
	function __Construct(){
		parent::__Construct ();
		$this->load->database();
		$this->load->model('ProjectPlanningModel');
        $this->load->model('permission_model');
	}

	public function index(){
		$this->data['pro_plan'] = $this->ProjectPlanningModel->getPosts();
		$this->data["icon"] = 'fa fa-folder';
		$this->data["title"] = 'Project';
		$this->load->view('project_planning_view/index.php', $this->data);
	}
	
	public function addnew(){		
		$this->load->view('project_planning_view/addnew.php');
	}

	public function insert(){  
		$data = array(
			'projectName'		=>$_POST['projectName'],
			'projectSize'		=>$_POST['projectSize'],
			'projectCost'		=>$_POST['projectCost'],
			'projectDate' 		=>date('Y-m-d',strtotime($_POST['projectDate'])),
			'projectAddress'	=>$_POST['projectAddress']
		);
		$this->db->insert('nso007_project_planning', $data);
		redirect(site_url('ProjectPlanning/index'));
	}

	public function view($id)
	{
		$this->data['projects'] = $this->ProjectPlanningModel->viewProject($id);
		$this->data['items'] = $this->ProjectPlanningModel->viewItem($id);
		
		// echo json_encode($this->data);
		// exit();
		$this->load->view('project_planning_view/view.php', $this->data);
	}

}