<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Report_income_statement extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('report_income_statement_model');
		$this->load->model('search_model');
		$this->load->model('dropdown_model');
		$this->session->userdata('username');
        $this->load->model('permission_model');
	}
	public function index(){			
		//$this->load->view('pawn/index.php');
	}
	public function view(){
		$search_date = (empty($_POST['searchSartDate']))? "":" pjnDatePay between '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";
		$search_by = (empty($_POST['pjnBy']))? '':' pjnBy = "'.$_POST['pjnBy'].'" ';
		$search_currency = (empty($_POST['pjnCurrency']))? '':' pjnCurrency = "'.$_POST['pjnCurrency'].'" ';
		$search_des = (empty($_POST['pjnDes']))? '':' pjnDes = "'.$_POST['pjnDes'].'" ';
		
		$data_search = array(
			'search_date' =>$search_date,
			'search_by' =>$search_by,
			'search_currency' =>$search_currency,
			'search_des' =>$search_des,
		);
		$search = $this->search_model->search($data_search);
		
		$data["income"] = $this->report_income_statement_model->getReportIncome($search);
		$data["expense"] = $this->report_income_statement_model->getReportExpense($search);
		$data["drop_user"] = $this->dropdown_model->drop_user();
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		$data["ttIncome"] = 0;
		$data["ttExpense"] = 0;
		$data["icon"] = 'fa fa-file-text-o';
		$data["title"] = 'Report Income Statement';
		 
		$this->load->view('report_accounting/report_income_statement.php',$data);
	}
}
