<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class SalesFeedback extends CI_Controller {
	function __Construct(){
		parent::__Construct ();
		$this->load->database();
		$this->load->model('SalesFeedbackModel');
        $this->load->model('permission_model');
	}

	public function index(){
		$this->data['posts'] = $this->SalesFeedbackModel->getPosts();
		$this->load->view('sales_feedback_view/index', $this->data);
	}
	
	public function addnew($id){

		$this->data['posts'] = $this->SalesFeedbackModel->getSaleId($id);
		
		$this->load->view('sales_feedback_view/addnew', $this->data);		
	}

	public function insert()
	{
		$data = array(
			'sale_id'=>$_POST['sale_id'],
			'feedback'=>$_POST['feedback'],
			'feedback_date' =>date('Y-m-d',strtotime($_POST['date_time'])),
		);
		
		$this->db->insert('nso007_sales_feedback',$data);
		redirect(site_url('Customer/index'));
	}
}