<?php
function zinput($obj = ''){
	
	$input = '';
	$left = '';
	$right = '';
	$readonly = (isset($obj['readonly']) == true)?' readonly ':'';
	$disable = (isset($obj['disable']) == true)?' disabled="" ':'';
	$value = (isset($obj['value']))?$obj['value']:'';
	$id = (empty($obj['id']))?'':$obj['id'];
	$name = (empty($obj['name']))?'':$obj['name'];
	$class = (empty($obj['class']))?'':$obj['class'];
	$label = (empty($obj['label']))?'':$obj['label'];
	$owidth = (empty($obj['owidth']))?8:(int)$obj['owidth'];
	$lwidth = (empty($obj['lwidth']))?4:(int)$obj['lwidth'];
	$ewidth = (empty($obj['ewidth']))?12:(int)$obj['ewidth'];
	$attr = (empty($obj['attr']))?'':$obj['attr'];
	$placeholder = (empty($obj['placeholder']))?'':$obj['placeholder'];
	$lattr = (empty($obj['lattr']))?'':$obj['lattr'];
	$lclass = (empty($obj['lclass']))?'':$obj['lclass'];
	$eclass = (empty($obj['eclass']))?'':$obj['eclass'];
	if($id === '') $id = $name;

	//**** validation 
	$validation = '';
	$iconValidate = '';
	if(!empty($obj['validation'])){
		$validation = 'required';
		$iconValidate = '<span class="required">*</span>';
	}
		
	//**** Start switch
	switch ($obj['type']){
		// type text
		case 'text':
			 $input = '<input type="'.strtolower($obj['type']).'" name="'.$name.'" '.$attr.' class="form-control '.$validation.' '.$class.'" id="'.$id.'" value="'.$value.'"  
					placeholder="'.$placeholder.'" '.$readonly.' '.$disable.' '.$validation.'>';
		break;
		// type select search	
		case 'select2':
			$clear = (!empty($obj['clear']) &&  $obj['clear'] == true)?'':'<option value= "" ></option>';
			$option = (empty($obj['data']) == true)?'':$obj['data'];
			$selected = (empty($obj['selected']) == true)?'':$obj['selected'];
			$input = '<select name="'.$name.'" id="'.$id.'" '.$attr.' class="form-control select2-allow-clear select2 '.$class.' '.$validation.'" 
				'.$readonly.' '.$disable.' data-placeholder="Select...">
					'.$clear.'
			';
			if($option !==''){
				foreach($option as $o){
					$select = '';
					$defaulselect = '';
					if(!empty($o['value']) && !empty($value) && $o['value'] == $value) $select = 'selected';
					$input .='<option value="'.$o['value'].'" '.$select.' >'.$o['text'].'</option>';
				}
			}
			$input .= '</select>';
		break;
		// type number
		case 'number':
			 $input = '<input type="'.strtolower($obj['type']).'" name="'.$name.'" '.$attr.' class="form-control '.$validation.' '.$class.'" id="'.$id.'" value="'.$value.'"  
					placeholder="'.$placeholder.'" '.$readonly.' '.$disable.'>';
		break;
		// type date
		case 'date':if(empty($value) || $value=='0000-00-00'){
				$value = '';
			}else{
				$value = date('d-m-Y',strtotime($value));
			}
		
		 // $value = empty($value)?'':date('d-m-Y',strtotime($value));
		  $input = '<input class="form-control date-picker '.$validation.' '.$class.'" type="text" '.$attr.' data-date-format="dd-mm-yyyy" 
		  			name="'.$name.'" id="'.$id.'" value="'.$value.'" placeholder="date input" '.$readonly.' '.$disable.'></input>';
		break;
		// type textarea
		case 'textarea':
			 $input = '<textarea class="form-control '.$validation.' '.$class.'" rows="3" name="'.$name.'"
						placeholder="'.$placeholder.'" '.$readonly.' '.$disable.' id="'.$id.'" value="'.$value.'"></textarea>';
		break;
		case 'address':
		  $selectorID = uniqid();
		  $div = 'div'.uniqid();// for div display
		  $divID = 'divid'.uniqid();
		  $btnok = 'divok'.uniqid();
		  $btnclear = 'divcl'.uniqid();
		  $displayadd = '';
		  $ci = & get_instance();
		  $code1 = '';$code2 = '';$code3 = '';$code4 = '';
		  $home = '';$street = '';$village = '';$district = '';$commun = '';$ct = '';			
		  if(!empty($value)){
			$code = explode(':',$value);
			$code1 = substr($code[2],0,2);
			$code2 = substr($code[2],0,4);
			$code3 = substr($code[2],0,6);
			$code4 = substr($code[2],0,8);
			$rs1='';$rs2='';$rs31='';$rs4='';$home='';$street='';
			if(strlen($code1) == 2){
				$query = $ci->db->query("SELECT zlc_namekh as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code1}'");
				$get = $query->result_array(); $rs1 = $get[0];
			}
			if(strlen($code2)  == 4){
				$query = $ci->db->query("SELECT zlc_namekh as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code2}'");
				$get = $query->result_array(); $rs2 = $get[0];
			}
			if(strlen($code3)  == 6){
				$query = $ci->db->query("SELECT zlc_namekh as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code3}'");
				$get = $query->result_array(); $rs3 = $get[0];
			}
			if(strlen($code4)  == 8){
				$query = $ci->db->query("SELECT zlc_namekh as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code4}'");
				$get = $query->result_array(); $rs4 = $get[0];
			}
			$addfirst = array();
			$addfirst[] = (empty($code[0]))?'':'#'.$code[0];
			$addfirst[] = (empty($code[1]))?'':'Str '.$code[1];
			$addfirst = implode(', ',array_filter($addfirst));
			$addlast = array();
			$addlast[] = (empty($rs4['loc_name']))?'':$rs4['loc_name'];
			$addlast[] = (empty($rs3['loc_name']))?'':$rs3['loc_name'];
			$addlast[] = (empty($rs2['loc_name']))?'':$rs2['loc_name'];
			$addlast[] = (empty($rs1['loc_name']))?'':$rs1['loc_name'];
			$addlast = implode(' / ', array_filter($addlast));
			$slash = '';
			if(!empty($addfirst) && !empty($addlast)) $slash = ', ';
			$displayadd =$addfirst.$slash.$addlast;
			
			// for popup
			$home = (empty($code[0]))?'':$code[0];
			$street = (empty($code[1]))?'':$code[1];
			$village = (empty($rs4['loc_name']))?'':$rs4['loc_name'];
			$district = (empty($rs3['loc_name']))?'':$rs3['loc_name'];
			$commun = (empty($rs2['loc_name']))?'':$rs2['loc_name'];
			$ct = (empty($rs1['loc_name']))?'':$rs1['loc_name'];		 
		  }
		  $input = '
					<div style="border:1px solid #e5e5e5; padding:10px;">
					<input class="'.$validation.'" type="text" style="width:0px; height:0px; border:none; float:left;" name="'.$name.'" id="'.$id.'" '.$disable.' value="'.$value.'">
						<div id="'.$div.'">'.$displayadd.'</div>						
						<a href="#address" data-toggle="modal" style="float:right; width:10%">
							<span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
						</a>
						<br style="clear:both;">					
					</div>';
					$content = '<form class="form-horizontal" role="form" action="" method="post" >
								<div class="row" id="'.$divID.'">'				
									.zinput(array('value'=>$home,'label'=>zphrase('House'),'id'=>'addHouse','type'=>'text','lwidth'=>2,'owidth'=>10))
									.zinput(array('value'=>$street,'label'=>zphrase('Street'),'id'=>'addStreet','type'=>'text','lwidth'=>2,'owidth'=>10))
									.'
									<div class="col-md-12 ">
									  <div class="form-group">
										   <label  class="col-md-2 control-label">'.zphrase('City').'</label>
										   <div class="col-md-10">
												<div class="input-group">
													<span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
														<select id="addCity" onchange="ct'.$btnok.'(this)" class="form-control addCity" >
																<option value= "" ></option>
											  ';	
								$query = $ci->db->query("select zlc_code,zlc_namekh as loc_name from nso007_khmer_location where zlc_code like '__' order by zlc_namekh ASC");
								$get = $query->result_array();
								foreach($get as $o){
									$select = '';
									if(!empty($o['zlc_code']) && !empty($code1) && $o['zlc_code'] == $code1) $select = 'selected';
									$content .='<option value="'.$o['zlc_code'].'" '.$select.' >'.$o['loc_name'].'</option>';
								  }
								  $content .= '   
										  		</select>
										  		</div>
								  			</div>
									  </div> 
									</div>'		
									
									.zinput(array('attr'=>'onchange="com'.$btnok.'(this)"','label'=>zphrase('district'),'id'=>'addCommun','type'=>'select2','lwidth'=>2,'owidth'=>10))
									.zinput(array('attr'=>'onchange="dis'.$btnok.'(this)"','label'=>zphrase('commun'),'id'=>'addDistrict','type'=>'select2','lwidth'=>2,'owidth'=>10))
									.zinput(array('label'=>zphrase('village'),'id'=>'addVillage','type'=>'select2','lwidth'=>2,'owidth'=>10)).
								'
				<div align="right">
				<button class="btn red" onclick="add'.$btnclear.'(this)" data-dismiss="modal" type="button"><i class="icon-trash"></i> Clear</button>
				<button class="btn blue" onclick="add'.$btnok.'(this)" data-dismiss="modal" type="button"><i class="icon-save"></i> Ok</button>
				</div></div>
				</form>';
			//$input .= mkpopup(array('id'=>$selectorID,'title'=>'Address','class'=>'selector-popup','content'=>$content)); 
			$input .= '<div id="address" class="modal fade " tabindex="-1" data-width="400">
		<div class="modal-dialog ">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">'.$content.'</div>
			</div>
		</div>
	</div>'; 
			$input .= '
			<script>
			var mycom = "'.$code2.'";
			var mydis = "'.$code3.'";
			var myvil = "'.$code4.'";
			if(mycom.length >= 4){
				_ct'.$btnok.'("'.$code1.'",mycom);
			}
			if(mydis.length >= 6){
				_com'.$btnok.'(mycom,mydis);
			}
			if(myvil.length == 8){
				_dis'.$btnok.'(mydis,myvil);
			}
			function add'.$btnok.'(obj){
				var addcode = "";
				var strcode = "";
				housecode = "";
				hs = new Array();
				var addtxt = new Array();
				house = $("#'.$divID.' #addHouse").val();
				if(house != ""){ hs.push("#"+house); housecode = house;	}
				str = $("#'.$divID.' #addStreet").val();
				if(str != ""){hs.push("Str "+str); strcode = str;}
				ct = $("#'.$divID.' #addCity option:selected").text();
				if(ct != ""){ addcode = $("#'.$divID.' #addCity").val();addtxt.unshift(ct);}
				commun = $("#'.$divID.' #addCommun option:selected").text();
				if(commun != ""){ addcode = $("#'.$divID.' #addCommun").val();addtxt.unshift(commun); }
				distict = $("#'.$divID.' #addDistrict option:selected").text();
				if(distict != "") {addcode = $("#'.$divID.' #addDistrict").val();addtxt.unshift(distict); }
				village = $("#'.$divID.' #addVillage option:selected").text();
				if(village != "") {addcode = $("#'.$divID.' #addVillage").val();addtxt.unshift(village);}
				
				addresstxt = "";
				slash = "";
				
				if(hs.length !== 0){
					addresstxt = hs.join(", ");
					slash = ", ";
				}
				if(addtxt.length !== 0){
					addresstxt += slash + addtxt.join(" / ");
				}
				addressval = housecode+":"+strcode+":"+addcode;
				$("#'.$div.'").html(addresstxt);
				$("#'.$id.'").val(addressval).trigger("change");
			}
			function add'.$btnclear.'(obj){
				$("#'.$divID.' #addHouse").val("");				
				$("#'.$divID.' #addStreet").val("");
				$("#'.$divID.' #addCity").val($("#'.$divID.' #addCity option:first").val());
				$("#'.$divID.' #addCommun").val($("#'.$divID.' #addCommun option:first").val());
				$("#'.$divID.' #addDistrict").val($("#'.$divID.' #addDistrict option:first").val());
				$("#'.$divID.' #addVillage").val($("#'.$divID.' #addVillage option:first").val());
				$("#'.$div.'").html("");
				$("#'.$id.'").val("").trigger("change");
			}
			function ct'.$btnok.'(obj){
				var id = $(obj).val();
				_ct'.$btnok.'(id,"");				
			}
			function _ct'.$btnok.'(id,s){
				$("#'.$divID.' #addCommun option").remove();
				$("#'.$divID.' #addDistrict option").remove();
				$("#'.$divID.' #addVillage option").remove();
				$("#'.$divID.' #addCommun").append("<option value=\'\'></option>");
				$.post("'.site_url().'/address_ctr/getaddress", {id:id,s:s}, function(data) {
					$("#'.$divID.' #addCommun").append(data);			
				});
			}
			function com'.$btnok.'(obj){
				var id = $(obj).val();
				_com'.$btnok.'(id,""); 
			}
			function _com'.$btnok.'(id,s){ 
				$("#'.$divID.' #addDistrict option").remove();
				$("#'.$divID.' #addVillage option").remove();
				$("#'.$divID.' #addDistrict").append("<option value=\'\'></option>");
				
				$.post("'.site_url().'/address_ctr/getaddress", {id:id,s:s}, function(data) {
					$("#'.$divID.' #addDistrict").append(data);			
				});
			}
			function dis'.$btnok.'(obj){  
			  	var id = $(obj).val();
				_dis'.$btnok.'(id,"");
			}
			function _dis'.$btnok.'(id,s){
				$("#'.$divID.' #addVillage option").remove();
				$("#'.$divID.' #addVillage").append("<option value=\'\'></option>");
				$.post("'.site_url().'/address_ctr/getaddress", {id:id,s:s}, function(data) {
					$("#'.$divID.' #addVillage").append(data);			
				});
			}         
          </script>';	  
		  break;
		//****** photo
		  case 'photo':
		
		  $CI = & get_instance();
		  $path_image = $CI->config->item('img_config');
		  $img = empty($value)?'assets/pages/img/image.png':$value;
		  $input = ' <div class="fileinput fileinput-new" data-provides="fileinput">
						<div class="fileinput-new thumbnail" style="width: 200px; height: 150px;">
							<img alt="" id="'.$id.'_img" src="'.base_url().$img.'"/> </div>
							<div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 10px;"></div>
							<div>
								<span class="btn default btn-file">
									<span class="fileinput-new">'.zphrase('Selectimage').'</span>
									<span class="fileinput-exists">'.zphrase('Change').'</span>
									<!-- <input type="hidden" value="" name="..."> -->
									<input type="file" class="default '.$validation.'" name="'.$name.'" id="'.$id.'" '.$attr.' accept="image/*" '.$disable.'> </span>
								<a href="javascript:;" class="btn red fileinput-exists" data-dismiss="fileinput">'.zphrase('Remove').'</a>
							</div>
						</div				
					</div>';
		  break;
		default:
		  $input = '<input type="'.strtolower($obj['type']).'" name="'.$name.'" '.$attr.' class="form-control '.$validation.' '.$class.'" id="'.$id.'" value="'.$value.'"  
					placeholder="'.$placeholder.'" '.$readonly.' '.$disable.'>';
	}
	//end switch		
		
	
	
	
	$label = '<label  class="col-md-'.$lwidth.' '.$lclass.' control-label" '.$lattr.'>'.zphrase($label).' '.$iconValidate.'</label>';
	$str = '
	<div class="col-md-'.$ewidth.' '.$eclass.'">
	  <div class="form-group">
				'.$label.'
		   <div class="col-md-'.$owidth.'">
				'.$input.'
		   </div>
	  </div> 
	</div>   
	';		
	
	return $str; 	
}
// popup
function mkpopup($obj = ''){

	$title = (empty($obj['title']))?'':$obj['title'];
	$mod = (empty($obj['mod']))?'':$obj['mod'];
	$id = (empty($obj['id']))?'':$obj['id'];
	$cls = (empty($obj['class']))?'':$obj['class'];
	$content = (empty($obj['content']))?'':$obj['content'];
	$rs =  '
	<div id="'.$id.'" class="modal fade '.$cls.'" tabindex="-1" data-width="400">
		<div class="modal-dialog '.$mod.'">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
					<h4 class="modal-title">'.$title.'</h4>
				</div>
				<div class="modal-body">'.$content.'</div>
			</div>
		</div>
	</div>';
	$rs = trim(preg_replace('/\s\s+/', ' ', $rs));
	$result = "
	<script>
		$(document).ready(function(){ 
			//$('#_popupDiv_').html('$rs');
			//document.getElementById('_popupDiv_').innerHTML += '$rs';
		});
    </script>";
	
	return $result;
}

?>