<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-plus font-red-sunglo"></i>
							<span class="caption-subject sbold uppercase"><?php echo zphrase('Import');?></span>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form" method="post" action="<?php echo site_url('client/imports_csv'); ?>" enctype="multipart/form-data" accept-charset="utf-8">
						<div class="form-body">
							<div class="col-md-12">
								<div class="form-group">
									<?= zphrase("Select CSV File Only") ?>
									<input id="csv_file" type="file" data-browse-label="<?= zphrase('browse'); ?>" name="csv_file" data-bv-notempty="true" data-show-upload="false"
										   data-show-preview="false" class="form-control file" required data-allowed-file-extensions="[CSV, csv]" accept=".CSV, .csv">
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-offset-2 col-md-12">
								<button type="submit" name="import_csv" class="btn btn-info" id="import_csv_btn">Import CSV</button>
								<a href="<?php echo site_url("client/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
							</div>
						</div>
					</form>
					<br>
					<div id="import_csv_data"></div>
				</div>
			</div>
		</div>
	</div>
	</div>


<?php $this->load->view('template/footer.php');?>

<script>
	$(document).ready(function(){
		//$('#import_csv').on('submit', function(event) {
		//	event.preventDefault();
		//	$.ajax({
		//		url: "<?php //echo site_url("client/imports_csv")?>//",
		//		method:"POST",
		//		data:new FormData(this),
		//		content_type:false,
		//		cache:false,
		//		processData:false,
		//		beforeSend:function () {
		//			$('#import_csv_btn').html("Importing...");
		//		},
		//		success:function (data) {
		//			$('#import_csv')[0].reset();
		//			$('#import_csv_btn').attr('disable',false);
		//			$('#import_csv_btn').html("Import Done");
		//		}
		//	})
		//});
	});
</script>
