<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Form Customer');?></span>
					</div>
				</div>

				<form class="form-horizontal"  action="<?php echo site_url('Customer/insert')?>" role="form " method="post" enctype="multipart/form-data">
					<div class="form-body">
						<div class="row">
							<div class="col-md-5">
								<div class="form-body">
									<div class="col-md-12">
										<?php echo zinput(array('type'=>'photo','name'=>'image'));?>
										<?php echo zinput(array('type'=>'text','label'=>'Name','name'=>'pclName','validation'=>'required'));?>
										<?php echo zinput(array('type'=>'select2','label'=>'Gender','name'=>'pclGender','validation'=>'required','data'=>$this->zone->data(array('table'=>'nso007_dropdown','value'=>'pdwCode','text'=>'pdwNameFull','where'=>'pdStatus = 1'))));?>
										<?php echo zinput(array('type'=>'address','label'=>' Address','name'=>'address','id'=>'_popupDiv_','validation'=>'required'));?>
									</div>
								</div>
							</div>
							<div class="col-md-5">
								<div class="form-body">
									<div class="col-md-12">
										<?php echo zinput(array('type'=>'text','label'=>'Job','name'=>'pclJob'));?>
										<?php echo zinput(array('type'=>'text','label'=>'Work Place','name'=>'pclWorkPlace'));?>
										<?php echo zinput(array('type'=>'text','label'=>'Phone','name'=>'pclPhone1','validation'=>'required'));?>
										<?php echo zinput(array('type'=>'text','label'=>'Phone2','name'=>'pclPhone2'));?>
										<?php echo zinput(array('type'=>'date','label'=>'Add Date','name'=>'pclAddedDate'));?>
										<?php echo zinput(array('type'=>'select2','label'=>'By','name'=>'pclUser','data'=>$this->zone->data(array('table'=>'nso007_user','value'=>'pliID','text'=>'CONCAT(pliFristName," ",pliLastName)')),'value'=>$this->session->userdata['logged_in']['pliID']));?>
										
										<?php echo zinput(array('type'=>'hidden','name'=>'plctype','value'=>'2'));?>
										
									</div>
									<div class="form-actions">
										<div class="col-md-12 text-right">
											<div class="col-md-12 text-right">
												<a href="<?php echo site_url('customer/index');?>" class="btn btn red"><i class="fa fa-close"></i> <?php echo zphrase('Cancel');?></a>
												<button type="reset" class="btn btn default"><i class="fa fa-rotate-left"></i> <?php echo zphrase('Reset');?></button>
												<button type="submit" class="btn green"><i class="fa fa-save"></i> <?php echo zphrase('save');?></button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
	
<?php $this->load->view('template/footer.php');?>