<div class="modal fade bs-modal-lg" id="pay" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><?php echo zphrase('Pay ');?></h4>
			</div>
			<br/>
			<form class="form-horizontal" role="form" action="<?php echo site_url('pawn/pay')?>" method="post">
				<div class="row">
					<div class="col-md-12">
						<div class="col-md-6">
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Penalty');?></label>
								<div class="col-md-9">
									<input type="number" class="form-control pppPanelty" name="pppPanelty" onchange="payPenalty(this)">
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Principle');?></label>
								<div class="col-md-9">
									<input type="text" class="form-control pppPrinciplePay" name="pppPrinciplePay" required onchange="payPrinciple(this)">
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Interest');?></label>
								<div class="col-md-9">
									<input type="text" class="form-control pppInterestPay" name="pppInterestPay" required onchange="payInterest(this)">
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Total Payment');?></label>
								<div class="col-md-9">
									<input type="text" class="form-control totalPayment" name="totalPayment" required Disabled>
								</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Invoice');?></label>
								<div class="col-md-9">
									<input type="text" class="form-control  pppInvoice" name="pppInvoice">
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Pawn Date');?></label>
								<div class="col-md-9">
									<input type="text" class="form-control date-picker pppPawnDate" name="pppPawnDate" required value="<?php echo date('d-m-Y');?>">
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Date Pay');?></label>
								<div class="col-md-9">
									<input type="text" class="form-control date-picker pppDatePay" name="pppDatePay" required value="<?php echo date('d-m-Y');?>">
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"><?php echo zphrase('Issu By');?></label>
								<div class="col-md-9">
									<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="pppBy">
										<option></option>
									<?php foreach ($user_drop as $ud): ?>
										<option value="<?php echo $ud['pliID'];?>"><?php echo $ud['userName'];?></option><option></option>
									<?php endforeach; ?>
								</select>
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label"></label>
								<div class="col-md-9">
									<input type="hidden" class="form-control ppwID" name="ppwID">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn dark btn-outline" data-dismiss="modal"><?php echo zphrase('Close');?></button>
					<button type="submit" class="btn green"><?php echo zphrase('Save changes');?></button>
				</div>
			</form>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>