
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject sbold uppercase"><?php echo zphrase('Item Detail');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<?php foreach($items as $item): ?>
								<a class="btn btn-sm green " href="<?php echo site_url('ProjectPlanning/view/'.$item->project_id);?>"> 
									<i class="fa fa-reply"></i>
									<?php echo zphrase('Back');?>
								</a>
								<?php endforeach; ?>
							</div>
						</div>
					</div>
					<form class="form-horizontal" role="form" method="post" action="<?php echo site_url('PaymentItem/insert'); ?>">
						<div class="portlet-body">
							<div class="form-body">
								<div class="row">
									<?php foreach($items as $item): ?>
									<div class="col-md-6">
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Item Name');?></label>
												<div class="col-md-8">
													<input type="hidden" name="item_id" value="<?php echo $item->itemID;?>">
													<input type="hidden" name="project_id" value="<?php echo $item->project_id;?>">
													<input type="text" class="form-control" name="name" value="<?php echo $item->itemName;?>" disabled>
												</div>
											</div>
										</div>
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Land Size (m<sup>2</sup>)');?></label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo ($item->itemSize); ?>" disabled>
												</div>
											</div>
										</div>
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Price / m<sup>2</sup>');?> ($)</label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo $item->itemCost;?>" disabled>
												</div>
											</div>
										</div>
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Total Cost');?> ($)</label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo $item->itemTotalCost;?>" disabled>
												</div>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Certificate');?></label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo $item->itemCertificate;?>" disabled>
												</div>
											</div>
										</div>
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Location');?></label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo $this->zone->help('getaddress',$item->itemAddress);?>" disabled>
												</div>
											</div>
										</div>
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase(' Date');?></label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo $item->itemDate;?>" disabled>
												</div>
											</div>
										</div>

										<div class="col-md-12">
											<div class="form-group">
												<label class="col-md-4 control-label"><?php echo zphrase('Total Percentage');?> (%)</label>
												<div class="col-md-8">
													<input type="text" class="form-control" value="<?php echo ((100*$item->itemTotalCost)/$item->itemTotalCost);?>" readonly>
												</div>
											</div>
										</div>

									</div>
									<?php endforeach; ?>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="col-sm-12">
						<div class="portlet-title">
							<div class="caption font-red-sunglo">
								<i class="fa fa-plus font-red-sunglo"></i>
								<span class="caption-subject sbold uppercase"><?php echo zphrase('Add Payment');?></span>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<form class="form-horizontal" role="form" action="<?php echo site_url('PaymentItem/insert')?>" method="post">

							<input type="hidden" name="project_id" value="<?php echo $item->project_id;?>">
							
							<table class="table table-striped table-bordered">
								<thead>
									<tr>
										<th width="6%" class="text-center">N<sup>o</sup></th>
										<th width="20%" class="text-center">Pay Date</th>
										<th class="text-center">Pay Amount ($)</th>
										<th width="20%" class="text-center">Pay By Percentage (%)</th>
										<th class="text-center">
											<span class="pull-right btn btn-primary btn-sm plus_ens fa fa-plus add"></span>
										</th>
									</tr>
								</thead>
								<tbody class="resultbody">
									<tr>
										<input type="hidden" name="item_id" value="<?php echo $item->itemID;?>">
										<td>
											<input type="text" class="form-control" name="paymentID[]" value="1" readonly="readonly">
										</td>
										<td>
											<input type="text" class="form-control date-picker-b" name="paymentDate[]" required>
										</td>
											<input type="hidden" name="itemTotalCost[]" class="form-control itemTotalCost" value="<?php echo $item->itemTotalCost;?>" readonly>
										<td>
											<input type="text" name="payAmount[]" class="form-control payAmount" placeholder="Pay Amount" required>
										</td>
										<td>
											<input type="text" name="paymentPercent[]" class="form-control payPercentage" placeholder="Pay Percentage" required>
										</td>
									</tr>
								</tbody>
							</table>
							<div class="row">
								<div class="form-actions">
									<div class="col-md-12">
										<div class="col-md-12 text-right">
											<a href="<?php echo site_url("ProjectPlanningItem/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
											<button type="submit" class="btn green"><?php echo zphrase(' SAVE');?></button>
										</div>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->

<script type="text/javascript">
	 $(document).ready(function() {

		$('.add').on('click',function(){
	 	  	var n = ($('.resultbody tr').length - 0) + 1;
	 	    	var tr ='<tr>\n' +
					'\t\t\t\t\t\t\t\t\t\t<td>\n' +
					'\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control" name="paymentID[]" value="'+n+'" readonly>\n' +
					'\t\t\t\t\t\t\t\t\t\t</td>\n' +
					'\t\t\t\t\t\t\t\t\t\t<td>\n' +
					'\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control date-picker" name="paymentDate[]" required>\n' +
					'\t\t\t\t\t\t\t\t\t\t</td>\n' +
					'\n' +
					'\t\t\t\t\t\t\t\t\t\t\t<input type="hidden" name="itemTotalCost[]" class="form-control itemTotalCost'+n+'" value="<?php echo $item->itemTotalCost;?>" readonly>\n' +
					'\t\t\t\t\t\t\t\t\t\t<td>\n' +
					'\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="payAmount[]" class="form-control payAmount'+n+'" placeholder="Pay Amount" required>\n' +
					'\t\t\t\t\t\t\t\t\t\t</td>\n' +
					'\t\t\t\t\t\t\t\t\t\t<td>\n' +
					'\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="paymentPercent[]" class="form-control payPercentage'+n+'" placeholder="Pay Percentage" required>\n' +
					'\t\t\t\t\t\t\t\t\t\t</td>\n' +
					'\t\t\t\t\t\t\t\t\t</tr>';
			$('.resultbody').append(tr);
			$('.resultbody').delegate('.delete', 'click', function () {
					$(this).parent().parent().remove();
			});

			$(".date-picker").datepicker({
				format: 'yyyy-mm-dd'
			});

			$('.payAmount'+n).on('keyup',function(){
				var pay_amount = $(this).val();
				var total_amount  = $('.itemTotalCost'+n).val();

				var payAmount = parseFloat(pay_amount);
				var totalAmount = parseFloat(total_amount);

				var payPercentage = ((payAmount * 100) / totalAmount);
				var remainAmount = (totalAmount - payAmount);

				$('.payPercentage'+n).val(payPercentage.toFixed(2));

				$('.remainAmount'+n).val(remainAmount);
			});
			$('.payPercentage'+n).on('keyup',function(){
				var pay_percentage = $(this).val();
				var total_amount  = $('.itemTotalCost'+n).val();

				var payPercentage = parseFloat(pay_percentage);
				var totalAmount = parseFloat(total_amount);

				var payAmount = ((totalAmount * payPercentage) / 100);
				var remainAmount = (totalAmount - payAmount);

				$('.payAmount'+n).val(payAmount);
				$('.remainAmount'+n).val(remainAmount);
			});
		});

		var date = new Date();
        date.setMonth(date.getMonth() + 1);

		$(".date-picker-b").datepicker({
			format: 'yyyy-mm-dd'
		}).datepicker("setDate", date);

		$('.payAmount').on('keyup',function(){
	 		var pay_amount = $(this).val();
	 		var total_amount  = $('.itemTotalCost').val();

	 		var payAmount = parseFloat(pay_amount);
			var totalAmount = parseFloat(total_amount);

			var payPercentage = ((payAmount * 100) / totalAmount);
			var remainAmount = (totalAmount - payAmount);

			$('.payPercentage').val(payPercentage.toFixed(2));

			$('.remainAmount').val(remainAmount);
		});
		 $('.payPercentage').on('keyup',function(){
			 var pay_percentage = $(this).val();
			 var total_amount  = $('.itemTotalCost').val();

			 var payPercentage = parseFloat(pay_percentage);
			 var totalAmount = parseFloat(total_amount);

			 var payAmount = ((totalAmount * payPercentage) / 100);
			 var remainAmount = (totalAmount - payAmount);

			 $('.payAmount').val(payAmount);
			 $('.remainAmount').val(remainAmount);
		 });
	});
</script>


<?php $this->load->view('template/footer.php');?>
<script type="text/javascript">
	 $(document).ready(function() {
		$('.pay_amount').on('keyup',function(){
	 		var pay_amount = $(this).val();

	 		var total_amount  = $('.total_amount').val();

	 		var payamount = parseFloat(pay_amount);
			var totalamount = parseFloat(total_amount);

			var amount_percent = (payamount * 100)/totalamount;

			$('.amount_percent').val(amount_percent);
		});
	});
</script>
