<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<link href="<?php echo base_url(); ?>assets/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
		<link href="<?php echo base_url();?>assets/global/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
		<?php include('./application/views/print_contract/header-css.php'); ?>
		<style type="text/css">

			@font-face {

                font-family: 'Khmer OS Content';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

            }
			@font-face {

                font-family: 'Khmer OS Muol Light';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOS_muollight.ttf");

            }

            @font-face {

                font-family: 'Khmer Mool1';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

            }
			@media screen {

				#footer{

					display: none;

				}

				/* Large desktop */

				@media (min-width: 1200px) {

					#panelPrint {

						margin: 0 auto;

						width: 900px;

					}

				}

				/* Portrait tablet to landscape and desktop */

				@media (min-width: 768px) and (max-width: 979px) {

					#panelPrint {

						margin: 0 auto;

						width: 900px;

					}
				}

				/* Landscape phone to portrait tablet */

				@media (max-width: 767px) {

					#panelPrint {

						margin: 0 auto;

						width: 90%;

					}

				}

				/* Landscape phones and down */

				@media (max-width: 480px) {

			    	#panelPrint {

						margin: 0 auto;

						width: 90%;

					}

				}

			}

			@page {

			 margin: 1.3cm;

			}


			html{

				background-color: #FFFFFF !important;

				margin: 0px;

			}

			body{

				margin: 20mm 0mm 20mm 10mm !important;

			}

			.logo-page {
				width:10%;
				float:left;
				overflow:hidden;
				position:absolute;
				margin-left:5%;
			}

			/*.bg_image {
				width: 100% !important;
				height: auto;
				overflow: hidden;
				background-image: url(<?php echo base_url().'assets/img/bg_image.png'; ?>) !important;
				background-size: contain;
				background-repeat: repeat-y;
				background-position: top center;

			}*/

			.panelBody {
				font-family: 'Khmer OS Content' !important;
			}

			.contract-title {
				font-family: 'Khmer OS Content' !important;
			}
			.letter-bold {
				font-weight: bold !important;
			}
			b {
				padding: 0 20px !important;
			}
            p.pad{
                padding-left: 10px !important;
            }
            div.tindent{
                text-indent: 50px !important;
            }
            p.lineh{
                line-height: 32px;
            }
		</style>
	</head>

	<body>
		<div class="container btn-print">
            <div class="row">
                <div class="col-md-12">
                    <button onclick="myprint()" class="btn btn-warning pull-right" style="margin: 5px;"> <i class="fa fa-file-pdf-o"  title="Print"></i> </button>
                	<button onclick="Export2Doc('exportContent', 'Contract');" class="btn btn-info pull-right" style="margin: 5px;"><i class="fa fa-file-word-o " title="Export to word"></i></button>
                    <button class="btn btn-success pull-right" style="margin: 5px;" data-toggle="modal" data-target="#borderingform"><i class="fa fa-pencil-square-o"></i></button>
                </div>
            </div>
            <div class="row">
                <div class="modal fade" id="borderingform" tabindex="-1" role="dialog" aria-labelledby="largeModal" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <?php
                            $data = $this->db->query("
									SELECT * FROM nso007_contract_bordering WHERE bordering_loanid = $contractid
								");
                            $get = $data->row();
                            $data = $data->num_rows();
                            $dateloan=$this->db->query("SELECT ploEndDate FROM nso007_loan WHERE ploID=$contractid")->row();
                            $EndDate=$dateloan->ploEndDate;
					        $Edate=explode("-",$EndDate);
					        $Ed=$Edate[2];
					        $Em=$Edate[1];
					        $Ey=$Edate[0];
                            ?>

                            <form action="<?php
                            if ($data == 1) {
                                echo site_url('loan/loan/contract_bordering_update/').$contractid;
                            }else{
                                echo site_url('loan/loan/contract_bordering/').$contractid;
                            }
                            ?>" method="post" accept-charset="utf-8">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="myModalLabel"></h4>
                                </div>
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="row">
                                                        <label class="col-md-2 control-label"> Owner Status៖ </label>
                                                        <div class="col-md-10">
															<input type="text" class="form-control  " name="item-owner" placeholder="Input Only Number 1" id="" value="<?php
                                                            echo $bordering_owner;?>">
                                                            </input>
                                                        </div>
														<label class="col-md-2 control-label"> Show Phone៖ </label>
                                                        <div class="col-md-10">
															<input type="text" class="form-control  " name="item-phone" placeholder="Input Only Number 1" id="" value="<?php
                                                            echo $bordering_phone;?>">
                                                            </input>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div><br>
                                    <!-- <div class="row">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="row">
                                                        <label class="col-md-2 control-label"> Date Reference៖ </label>
                                                        <div class="col-md-10">
															<input type="date" class="form-control" name="date_refer" placeholder="Input Date Reference" id="" value="<?php
                                                            echo $ref_dates;?>">
                                                            </input>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div> -->
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
		<div id="exportContent">			
	        <div id="panelPrint">
				<div class="panelBody">
					<?php
						echo '
						<div class="bg_image">
						    <div class="row">
						        <div align="center"  class="contract-title">

									<img src="'.base_url().'assets/img/main_title.png" style="width:270px;display:block;" />

								</div>
								<br>
								<br>
								<br>
								<div style="font-size:16px; text-align:center; line-height: 50px;font-family: \'Khmer OS Muol Light\';">

									<span>កិច្ចសន្យាលក់ដីឡូតិ៍</span>

								</div>
                            </div><br>
						    <div class="row">
						        <div align="center" class="col-lg-8 col-sm-8 col-xs-8">
						            <p><span style="font-weight:bold">យោងតាម:</span> កិច្ចសន្យាទិញលក់ដីឡូតិ៍ចុះ ថ្ងៃទី '.$Ed.' ខែ '.$Em.' ឆ្នាំ '.$Ey.' ។</p>
								</div>
						        <div align="right" class="col-lg-4 col-sm-4 col-xs-4">
						            <p>'.$project.'</p>
								</div>
                            </div>
						    <div class="row">
						        <div align="center" class="col-lg-12 col-sm-12 col-xs-12">
						           <b>រវាង</b>
								</div>
						       
                            </div>
						    <div class="row">
                               <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                    <p class="lineh">';
                                        if (!empty($bordering_owner)) { echo 'លោក <span class="letter-bold"> ទា ប៉ </span> ភេទ ប្រុស ថ្ងៃខែឆ្នាំកំណើត ថ្ងៃទី 25 ខែ 08 ឆ្នាំ 1985 កាន់អត្ដសញ្ញាណប័ណ្ណលេខ 010967292 អាសយដ្ឋានផ្ទះលេខ20អឺ1 ផ្លូវ 111  សង្កាត់អូរឫស្សី1 ខណ្ឌ7មករា រាជធានីភ្នំពេញ និង '; }
                                        echo ' លោក <span class="letter-bold"> ចាន់ សូរីយា </span> ភេទ ប្រុស ថ្ងៃខែឆ្នាំកំណើត ថ្ងៃទី 10 ខែ 08 ឆ្នាំ 1977 កាន់អត្ដសញ្ញាណប័ណ្ណលេខ 011040117 អាសយដ្ឋាន ផ្ទះលេខ 12ហាសអឺ0 ផ្លូវលេខ99 ភូមិ5 សង្កាត់បឹងត្របែក ខណ្ឌចំការមន រាជធានីភ្នំពេញ ជាម្ចាស់ដីឡូតិ៍ ហៅកាត់ថាភាគី(ក) ។'; if (!empty($bordering_phone)) { echo ' 069 788 899 / 011 33 55 37</p>';}

                               echo '</div>
                            </div>
                            <div class="row">
						        <div align="center" class="col-lg-12 col-sm-12 col-xs-12">
						           <b>និង</b>
								</div>
						       
                            </div>
                            
                            <div class="row">
                                <div class="col-lg-12 col-sm-12 col-xs-12 tindent ">
                                   <p class="lineh">លោក/លោកស្រី <span class="letter-bold">'.$clientName.'</span> ភេទ '.$gender.' ថ្ងៃខែឆ្នាំកំណើត ថ្ងៃទី '.$cd.' ខែ '.$cm.' ឆ្នាំ '.$cy.' កាន់អត្ដសញ្ញាណប័ណ្ណលេខ  '.$idCard.'
                                        ';
                                        if (!empty($pcrName)) { echo 'និងឈ្មោះ <span class="letter-bold">'.$pcrName.'</span> ភេទ '.$pcrGender.' ថ្ងៃខែឆ្នាំកំណើត ថ្ងៃទី '.$red.' ខែ '.$rem.' ឆ្នាំ '.$rey.'  កាន់អត្ដសញ្ញាណប័ណ្ណលេខ  '.$pcrIdCard.' 
                                         '; }
                                        echo ' អាសយដ្ឋានបច្ចុប្បន្ន '.$address1.'
                                        ជាអ្នកទិញ ហៅកាត់ថាភាគី <span class="letter-bold">(ខ)</span>។លេខទូរស័ព្ទៈ '.$phone.'</p>
                                </div>
                            </div>
                            <div class="row tindent">
						        <div class="col-lg-12 col-sm-12 col-xs-12">
						           <p>ភាគីទាំងពីរបានធ្វើកិច្ចព្រមព្រៀងនេះដោយស័្មគ្រចិត្ដ គ្មានការបង្ខំឡើយ។ បានព្រមព្រៀងគ្នាដូចតទៅ:</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12">
						           <p class="letter-bold">ចំណុចទី១÷	អំពីលក្ខខណ្ឌរួម</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12​ tindent">
						           <p class="lineh">១.១​ កិច្ចព្រមព្រៀងនេះគឺស្ថិតនៅដីឡូតិ៍លេខ <span style="font-weight:bold">'.$ItemCode.'</span> ទំហំ <span style="font-weight:bold">'.$Size.'</span> ស្មើនឹង <span style="font-weight:bold">'.$totalSize.'</span> ម៉ែត្រក្រឡា ស្ថិតនៅ '.$piAddress.' ។</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>​១​.​២ ​ត​ម្លៃ​ស​រុ​ប​ ​<span style="font-weight:bold">'.$Amount.' ​ដុ​ល្លា​រ​</span> ជា​អ​ក្ស​រ​ <span style="font-weight:bold">'.$to_amountkh.' ដុ​ល្លា​រ​</span>។​</p>
								</div>
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>​១​.​៣​​ ទឹ​ក​ប្រា​ក់​បា​ន​ក​ក់​ <span style="font-weight:bold">'.$Receive.' ​ដុ​ល្លា​រ​</span> ​ជា​អ​ក្ស​រ​ <span style="font-weight:bold">'.$Receivekh.' ​ដុ​ល្លា​រ​</span>។</p>
								</div>
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ទឹកប្រាក់ត្រូវបង់រំលស់ <span style="font-weight:bold">'.$Amountpay.'​ដុល្លារ</span> ជាអក្សរ <span style="font-weight:bold">'.$Amountpaykh.' ដុល្លារ</span>។</p>
								</div>
						        
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>១.៤ ​រយៈពេលរំលស់ <span style="font-weight:bold">'.$duration.'</span> ខែ រំលស់ក្នុង1ខែស្មើនឹងទឹកប្រាក់ <span style="font-weight:bold">'.$ploAmountPayment.'ដុល្លារ</span> ជាអក្សរ <span style="font-weight:bold">'.$ploAmountPaymentkh.' ដុល្លារ</span> ដោយមិនគិតការប្រាក់។</p>
								</div>
						        
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>១.៥​ ភាគី(ខ)ត្រូវបង់រំលស់ជូនភាគី(ក)នៅថ្ងៃទី<span style="font-weight:bold"> '.$fid.' </span>ជារៀងរាល់ខែ។</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>១.៦​ ទីកន្លែងបង់ប្រាក់ ឧបសម្ព័ន្ធ និង លក្ខខណ្ឌៈ</p>
								</div>
						       
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ​ភាគី(ខ)អាចបង់ប្រាក់នៅការិយាល័យលក់ដីឡូតិ៍របស់ភាគី(ក)ឬ បង់តាមកាត Wing ដែលផ្តល់ជូនដោយក្រុមហ៊ុន។</p>
								</div>
						        
                            </div>
                            <!--<div class="row">
						        <div class="col-lg-1 col-sm-1 col-xs-1 tindent">
						           <p></p>
								</div>
						        <div class="col-lg-11 col-sm-11 col-xs-11 tindent">
						           <p class="pad">1- WING : 077 369 666</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-1 col-sm-1 col-xs-1 tindent">
						           <p></p>
								</div>
						        <div class="col-lg-11 col-sm-11 col-xs-11 tindent" style="display:none;">
						           <p class="pad">2- ABA BANK Account: 000254339, Account Name: TEA POR</p>
								</div>
						       
                            </div>-->
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-​ តារាងបង់រំលស់ បង្កាន់ដៃប្រគល់-ទទួលប្រាក់ ជាឧបសម្ព័ន្ធនៃកិច្ចសន្យានេះ។</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12">
						           <p class="letter-bold">ចំណុចទី២÷	អំពីសេចក្តីណែនាំជាគោលការណ៍</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>២.១​ ភាគី(ក)នឹងប្រគល់ប្លង់រឹងបំបែកក្បាលដី ជូនភាគី(ខ)នៅពេលភាគី(ខ)បានទូទាត់ថ្លៃដីគ្រប់ចំនួនជូនភាគី(ក)។</p>
								</div>
						      
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ការចំណាយក្នុងការរត់ការប្លង់រឹងបំបែកក្បាលដី ជាបន្ទុករបស់ភាគី “ក” ។</p>
								</div>
						       
						       
                            </div>
						
						</div>
						';
					?>
				</div>
			</div>
		</div>
	</body>
	<script type="text/javascript">
	    function myprint() {
	        window.print();
	    }
	</script>
</html>
<style type="text/css">
	@media print {
        p.pad{
            padding-left: 10px !important;
        }
        div.tindent{
            text-indent: 50px !important;
        }
		.btn-print {
            display: none !important;
        }

		.letter-bold {
			font-weight: bold !important;
		}
	    @font-face {

            font-family: 'Khmer OS Content';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

        }

        @font-face {

            font-family: 'Khmer Mool1';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

        }

	}
</style>
<script type="text/javascript">
	function Export2Doc(element, filename = ''){
	    var preHtml = "<html xmlns:o='urn:schemas-microsoft-com:office:office' xmlns:w='urn:schemas-microsoft-com:office:word' xmlns='http://toppillcaremarket.com/'><head><meta charset='utf-8'><title>Export HTML To Doc</title></head><body>";
	    var postHtml = "</body></html>";
	    var html = preHtml+document.getElementById(element).innerHTML+postHtml;

	    var blob = new Blob(['\ufeff', html], {
	        type: 'application/msword'
	    });
	    
	    // Specify link url
	    var url = 'data:application/vnd.ms-word;charset=utf-8,' + encodeURIComponent(html);
	    
	    // Specify file name
	    filename = filename?filename+'.doc':'document.doc';
	    
	    // Create download link element
	    var downloadLink = document.createElement("a");

	    document.body.appendChild(downloadLink);
	    
	    if(navigator.msSaveOrOpenBlob ){
	        navigator.msSaveOrOpenBlob(blob, filename);
	    }else{
	        // Create a link to the file
	        downloadLink.href = url;
	        
	        // Setting the file name
	        downloadLink.download = filename;
	        
	        //triggering the function
	        downloadLink.click();
	    }
	    
	    document.body.removeChild(downloadLink);
	}
</script>
<script src="<?php echo base_url(); ?>assets/global/plugins/jquery.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
