

<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<!-- BEGIN EXAMPLE TABLE PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Project Item');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('ProjectPlanningItem/addnew_select'); ?>"> 
								<i class="fa fa-plus"></i>
								<?php echo zphrase('Add New');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
							<thead>
								<tr>
									<th><?php echo zphrase('No.');?></th>
									<th><?php echo zphrase('Item Name');?></th>
									<th><?php echo zphrase('Land Size');?></th>
									<th><?php echo zphrase('Price');?> / m<sup>2</sup></th>
									<th><?php echo zphrase('Total Price');?></th>
									<th><?php echo zphrase('Location');?></th>
									<th><?php echo zphrase('ItemType');?></th>
									<th><?php echo zphrase('Date');?></th>
                                    <th><?php echo zphrase('Action');?></th>
								</tr>
							</thead>
							<tbody>
								<?php foreach($items as $item): ?>
									<tr>
										<td><?php echo $item->itemID;?></td>
										<td><?php echo $item->itemName;?></td>
										<td><?php echo $item->itemSize;?> m<sup>2</sup></td>
										<td><?php echo "$ ".($item->itemCost);?></td>
										<td><?php echo "$ ".($item->itemTotalCost);?></td>
										<td>
											<?php echo $this->zone->help('getaddress',$item->itemAddress);?>
										</td>
										<td align="center"><a href="<?php echo base_url('upload/pdf_project_item/'.$item->itemCertificate); ?>"><i class="fa fa-file-pdf-o fa-lg" aria-hidden="true"></i></a>
										</td>
										<td><?php echo $item->itemDate;?></td>
										<td>
                                            <a class="btn btn-sm btn-outline-success" data-toggle="tooltip" data-placement="bottom" title="Edit!" href="<?php echo site_url('ProjectPlanningItem/edit_project_item/'.$item->itemID); ?>"><i class="fa fa-edit"></i></a>
										</td>
									</tr>
								<?php endforeach; ?>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>	
</div>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
	$('#datatable').dataTable();
</script>
<script>
$(document).ready(function(){
  $('[data-toggle="tooltip"]').tooltip();   
});
</script>
