<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<!-- /.search -->
	<?php $this->load->view('report_accounting/search_cash_on_hand.php');?>
	<!-- /.end search -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold"> <?php echo zphrase('Report Cash on hand');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<div class="row">
									<div class="col-md-12">
										<div class="dt-buttons">
											<a class="print_report btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="fa fa-print"></i>
												<span>Print</span>
											</a>
											<!-- <a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="icon-book-open"></i>
												<span>Excel</span>
											</a> -->
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="print">
							<div class="print_header"></div>
							<div class="portlet-body" style="color:#3914AF;font-weight: bold;font-size:16px">
								<ul>
									<li align="center" style="font-size: 18px;font-family: Khmer OS Muol Light;text-decoration: underline;color: #06F;font-weight: bold;"><?php echo zphrase('Balance Sheet');?></li>
									<br/>
									<ul>
										<li style="color:#3914AF"><?php echo zphrase('Asset');?></li>
										<ul>
											<?php foreach ($asset as $as): ?>
												<?php $ttAsset += $as['asset'];?>
												<li style="color:#000">
													<span><?php echo $as['pjnAccCode'].' '.$as['pacName'];?></span>
													<span style="float: right;padding-right: 49%;"><?php echo "$ ".number_format($as['asset'],2);?></span>
												</li>
											<?php endforeach; ?>
										 </ul>
										 <li style="color:#3914AF">
											<span><?php echo zphrase('Total Asset');?></span>
											<span style="float: right;padding-right: 48%;"><?php echo "$ ".number_format(($ttAsset), 2);?></span>
										</li>
									</ul>
									<br/>
									<ul>
										<li style="color:#3914AF"><?php echo zphrase('Liability');?></li>
										<ul>
											<?php foreach ($liability as $lb): ?>
												<?php $ttLiability += $lb['liability'];?>
												<li style="color:#000">
													<span><?php echo $lb['pjnAccCode'].' '.$lb['pacName'];?></span>
													<span style="float: right;padding-right: 49%;"><?php echo "$ ".number_format(($lb['liability']), 2);?></span>
												</li>
											<?php endforeach; ?>
										 </ul>
										 <li style="color:#3914AF">
											<span><?php echo zphrase('Total Liability');?></span>
											<span style="float: right;padding-right: 48%;"><?php echo "$ ".number_format(($ttLiability), 2);?></span>
										</li>
									</ul>
									<br/>
									<ul>
										<li style="color:#3914AF"><?php echo zphrase('Equity');?></li>
										<ul>
											<li>
												<?php foreach ($capital as $c): ?>
													<?php $ttCapital += $c['capital'];?>
													<li style="color:#000">
														<span><?php echo $c['pjnAccCode'].' '.$c['pacName'];?></span>
														<span style="float: right;padding-right: 49%;"><?php echo "$ ".number_format(($c['capital']), 2);?></span>
													</li>
												<?php endforeach; ?>
											 </li>
											<li style="color:#000">
												<span><?php 
															$d_name = (empty($divedend->pacName))? '':$divedend->pacName;
															$d_acc = (empty($divedend->pjnAccCode))? '':$divedend->pjnAccCode;
															$d_total = (empty($divedend->divedend))? '': $divedend->divedend;
															echo $d_acc.' '.$d_name;?></span>
												<span style="float: right;padding-right: 49%;">
													<?php
														echo (empty($d_total))?'':("$ -".number_format(($d_total), 2));
													?>
												</span>
											</li>
											
											<li style="color:#000">
												<span><?php echo zphrase('Net Income');?></span>
												<span style="float: right;padding-right: 49%;"><?php echo "$ ".number_format(($netIncome), 2);?></span>
											</li>
										 </ul>
										 <li style="color:#3914AF">
											<span><?php echo zphrase('Total​ Equity');?></span>
											<span style="float: right;padding-right: 48%;"><?php echo "$ ".number_format(((double)$netIncome - (double)$d_total + (double)$ttCapital), 2);?></span>
										</li>
									</ul>
									<br/>
									<li style="color:red">
										<span><?php echo zphrase('Total balance sheet');?></span>
										<span style="float: right;padding-right: 47%;"><?php echo "$ ".number_format((((double)$netIncome + (double)$ttLiability) - (double)$d_total - (double)$liability_history->total + (double)$ttCapital), 2);?></span>
									</li>
								</ul>
									
							</div>
							<div class="print_footer"></div>
						</div>
					</div>
				</div>
			</div>
		</div>	
	</div>
	<?php echo zreport(array('body'=>'footer'));?>
<?php $this->load->view('template/footer.php');?>
<script>
	$('.print_report').click(function(){
		var table_head=`
        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="custom-font">
			<tr>
				<td colspan="6">
					<table border="0" cellpadding="1" cellspacing="1" width="100%">
						<tr>
							<td width="10%">
								<div class="contract-title">
									<img src="<?php echo(base_url()); ?>assets/layouts/layout/img/logo.png" height="120px;">
								</div>		
							</td>
							<td width="70%" align="center" colspan="5">
								<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">New City Realty</h2>
								<h3 class="main-title" style="margin-bottom:0;">
									<span>របាយការណ៍សាច់ប្រាក់នៅលើដៃ</span>
								</h3>
							</td>
							<td width="20%"></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<table border="0" cellpadding="1" cellspacing="1" width="100%">
						<tr>
							<td class="contract-title"​ align="center">
								<hr style="color: #000;border: 1px solid;" />
								<br/>
							</td>
						</tr>
					</table>
				</td>
			</tr>  
		</table>`;
		var table_foot = `<br/>
	    <table width="100%" class="custom-font custom-font">
			<tr>
				<td colspan="3" align="right">ធ្វើនៅ<span>ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>
			</tr>
			<tr>
	            <td valign="top" align="right" width="50%">
	            	<div style="width:200px;" align="center">
	                	<span>ហត្ថលេខា</span><br/><br/><br/><br/>
	                	<span>------------------------------</span>
	                </div>
	            </td>
			</tr>
	    </table>`;

		$('.print_header').append(table_head);
		$('.print_footer').append(table_foot);
		print_report(print);
		location.reload();
	});
</script>