<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<!-- /.search -->
	<?php $this->load->view('report_accounting/search_expense.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Report Expense');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<div class="row">
									<div class="col-md-12">
										<div class="dt-buttons">
											
											<a class="btn-circle print_report dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="fa fa-print"></i>
												<span>Print</span>
											</a>
											<a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="icon-book-open"></i>
												<span>Excel</span>
											</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="print">
							<div class="a"></div>
							<div class="table-scrollable">
								<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
									<thead>
										<tr>
											<th><?php echo zphrase('No');?></th>
											<th><?php echo zphrase('Date');?></th>
											<th><?php echo zphrase('Pay For');?></th>
											<th><?php echo zphrase('Acc Type');?></th>
											<th><?php echo zphrase('Pay To');?></th>
											<th><?php echo zphrase('Reference');?></th>
											<th><?php echo zphrase('Description');?></th>
											<th><?php echo zphrase('Amount');?></th>
										</tr>
									</thead>
									<tbody>
										<?php foreach ($data as $key => $row): ?>
										<?php 
											$amount = $row['pjnDr'];
										?>
											<tr>
												<td><?php echo $key+1 ;?></td>
												<td><?php echo date('m-d-Y',strtotime($row['pjnDatePay']));?></td>
												<td><?php echo $row['ppjName'];?></td>
												<td><?php echo $row['pacName'];?></td>
												<td><?php echo $row['pay_to'];?></td>
												<td><?php echo $row['pjnInvoice']; // invorce?></td>
												<td><?php echo $row['pjnDes'];?></td>
												<td align="right"><?php echo $amount;?></td>
											</tr>
										<?php endforeach; ?>
									</tbody>
									<tfoot>
										<tr>
											<td colspan="7" align="right">Total : </td>
											<td></td>
										</tr>
									</tfoot>
								</table>
							</div>
							<div class="b"></div>
						</div>
					</div>
				</div>
			</div>
		</div>	
	</div>
	<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
<?php $this->load->view('template/footer.php');?>
<script type="text/javascript">
	$(document).ready(function(){
		$('#datatable').dataTable({
			ordering:false,
			searching: false,
			aLengthMenu: [
		        [10,25, 50, 100, 200, -1],
		        [10,25, 50, 100, 200, "All"]
		    ],

		    "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
 
            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
            // Total over this page
            Amount = api
                .column( 7	, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );	
 			
            // Update footer
            $( api.column( 7 ).footer() ).html(
                "$ " +parseFloat(Amount).toFixed(2)
            );
        }
				
		});
	});

	$('.print_report').click(function(){
		var table=`
        <div class="panelBody"><table border="0" cellpadding="0" cellspacing="0" width="100%" class="">
						<tr>
							<td colspan="6">
								<table border="0" cellpadding="1" cellspacing="1" width="100%">
									<tr>
										<td width="10%">
											<div class="contract-title" style ="margin-top:-125px" >
												<div style="height:20px"></div>
												<img src="<?php echo(base_url()); ?>assets/layouts/layout/img/logo.png" height="150px;" hspace="5" vspace="5" ;><br/>
											</div>		
										</td>
										<td width="78%" align="center" colspan="5">
											<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">KH LAND CO., LTD.</h2>
											<h3></h3>
											<div style="font-size:12px;">
												អាសយដ្ឌាន : អាគារ B, ផ្លូវសហព័ន្ទរុស្សី, ភូមិចុងថ្នល់, សង្កាត់ទឹកថ្លា, ខ័ណ្ឌសែនសុខ, រាជធានីភ្នំពេញ
												<br/>
												<span style="font-size:11px;">Address: Building B, Russian Blvd, Chong Thnal Village, Sangkat Tuek Thla, Khan Sen Sok, Phnom Penh, Cambodia  
												
												</span>
												<br/>
												Tel : 070 455 778 / 077 455 778
											</div >
											<h3 class="contract-title">របាយការណ៍ចំណាយ</h3>
										</td>
										<td width="20%"></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="6">
								<table border="0" cellpadding="1" cellspacing="1" width="100%">
									<tr>
										<td class="contract-title"​ align="center">
											<hr style="color: #000;border: 1px solid;" />
											<br/>
										</td>
									</tr>
								</table>
							</td>
						</tr>  
					</table>`;
	var table_foot = `<br/>
    <table width="100%" >
		<tr>
			<td colspan="3" align="right">ធ្វើនៅ<span class="filled-form">ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>
		</tr>
		<tr>
           
            <td valign="top" align="right" width="50%">
            	<div style="width:200px;" align="center">
                	<span class="font-title-signature">ហត្ថលេខា</span><br/><br/><br/><br/>
                	<span class="font-title-signature">------------------------------</span><br/><br/><br/><br/><br/>
                   
                </div>
            </td>
		</tr>
    </table>`;

	$('.a').append(table);
	$('.b').append(table_foot);
		print_report(print);
		location.reload();

	});
</script>