<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<!-- /.search -->
	<?php $this->load->view('report_pawn/report_arrear_search.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Report Pawn Arrear');?></span>
						</div>
					</div>
					<div class="portlet-body">
						<div class="row">
							<div class="col-md-12">
								<div class="dt-buttons">
									<a onclick="exportTo('cvs')" class="dt-button buttons-print btn dark btn-outline" tabindex="0" aria-controls="sample_1">
										<span>CVS</span>
									</a>
									<a onclick="print_report()" class="dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
										<span>Print</span>
									</a>
									<a onclick="exportTo('xls')" class="dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
										<span>Excel</span>
									</a>
								</div>
							</div>
						</div>
						<div class="print">
							<div class="table-scrollable">
								<table class="table table-bordered dt-responsive" width="100%" id="sample_4">
									<thead>
										<tr>
											<th><?php echo zphrase('No');?></th>
											<th><?php echo zphrase('Payment Date');?></th>
											<th><?php echo zphrase('Pawn Code');?></th>
											<th><?php echo zphrase('Client Name');?></th>
											<th><?php echo zphrase('Client Phone');?></th>
											<th><?php echo zphrase('CO');?></th>
											<th><?php echo zphrase('Pawn Name');?></th>
											<th><?php echo zphrase('Pawn Type');?></th>
											<th><?php echo zphrase('Amount');?></th>
											<th><?php echo zphrase('Principle Balance');?></th>
											<th><?php echo zphrase('Principle');?></th>
											<th><?php echo zphrase('Interest');?></th>
											<th><?php echo zphrase('Total Pay');?></th>
										</tr>
									</thead>
									<tbody>
										<?php foreach ($data as $row): ?>
											<?php 
												$currency = $row['currency'];
												$total = $row['pppPrinciplePay'] + $row['pppInterestPay'];	
											;?>
											<tr>
												<td></td>
												<td><?php echo date('d-m-Y',strtotime($row['pppPawnDate']));?></td>
												<td><?php echo $row['ppwID'];?></td>
												<td><?php echo $row['pclName'];?></td>
												<td><?php echo $row['pclPhone1'];?></td>
												<td></td>
												<td><?php echo $row['ppwName'];?></td>
												<td><?php echo $row['type'];?></td>
												<td><?php echo $currency.$row['ppwAmount'];?></td>
												<td><?php echo $currency.$row['ppwAmountOS'];?></td>
												<td><?php echo $currency.$row['pppPrinciplePay'];?></td>
												<td><?php echo $currency.$row['pppInterestPay'];?></td>
												<td><?php echo $currency.$total;?></td>
											</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>	
	</div>
	<script>
		function payment(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/payment")?>/"+id,
				type: "get",
				success: function(data){
					$(".payment").html(data);
				}
			});
		}
		function reschedule(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_reschedule")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".ppwInterest").val(d.interest);
					$(".ppwFristPayDate").val(d.datePay);
					$(".ppwDodate").val(d.dateReschedule);
					$(".ppwID").val(id);
				}
			});
		}
		function payoff(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_payoff")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function write_off(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_write_off")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					//$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					//$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function pay(obj){
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_pay")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					var interest = d.interest;
					var principle = d.principle;
					var total = parseInt(interest) + parseInt(principle);
					console.log(typeof(d.datePay));
					$(".pppPanelty").val(0);
					$(".pppPrinciplePay").val(principle);
					$(".pppInterestPay").val(interest);
					$(".totalPayment").val(total);
					//$(".pppPawnDate").val(d.datePay);
					//$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function payPrinciple(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		function payInterest(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		function payPenalty(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		
		
	</script>			
					
	<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
<?php $this->load->view('template/footer.php');?>