<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<div class="row">

		
		<div class="col-md-12">
			<h3 class="page-title">
				<i class="fa fa-user"></i> <?php echo zphrase('Add Sale');?>
			</h3>
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-body">
					<form class="form-horizontal" role="form" action="<?php echo site_url('Sales/insert')?>" method="post">
						<div class="form-body">
							<div class="row">
								<div class="col-md-12">
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Name');?><span class="required"> * </span></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="name" required>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Gender');?></label>
											<div class="col-md-8">
												<select class="form-control select2" name="gender">
											        <option hidden="hidden">Select</option>
											        <option value="M">Male</option>
											        <option value="F">Female</option>
											    </select>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Position');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="position">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Workplace');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="workplace">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase(' Address');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="address">
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Phone');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="phone">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase(' Date');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control date-picker" name="date_time">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Class');?></label>
											<div class="col-md-8">
												<select class="form-control select2" name="class">
											        <option hidden="hidden">Choose Type</option>
											        <option value="A">Class A</option>
											        <option value="B">Class B</option>
											    </select>
											</div>
										</div>
										
										<div class="row">
											<?php echo zinput(array('type'=>'select2','label'=>'Add By','name'=>'by','data'=>$this->zone->data(array('table'=>'nso007_user','value'=>'pliID','text'=>'CONCAT(pliFristName," ",pliLastName)')),'value'=>$this->session->userdata['logged_in']['pliID']));?>
										</div>
											
									</div>
								</div>
								<div class="form-actions">
									<div  class="col-md-12">
										<div class="col-md-12 text-right">
											<a href="<?php echo site_url("Sales/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
											<button type="reset" class="btn red"><?php echo zphrase('Clear');?></button>
											<button type="submit" class="btn green"><?php echo zphrase('Save');?></button>
										</div>
									</div>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	
		
<?php $this->load->view('template/footer.php');?>