<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Sale Client');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('Sales/addnew');?>"> 
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Add New');?>
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
								<thead>
									<tr>
										<th><?php echo zphrase('ID');?></th>
										<th><?php echo zphrase('Name');?></th>
										<th><?php echo zphrase('Gender');?></th>
										<th><?php echo zphrase('Position');?></th>
										<th><?php echo zphrase('Workplace');?></th>
										<th><?php echo zphrase(' Address');?></th>
										<th><?php echo zphrase('Phone');?></th>
										<th><?php echo zphrase(' Date');?></th>
										<th><?php echo zphrase('Category');?></th>
										<th><?php echo zphrase('Added By');?></th>
										<th width="10%"><?php echo zphrase('Feedback');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach($posts as $post): ?>
										<tr>
											<td><?php echo $post->id;?></td>
											<td><?php echo $post->name;?></td>
											<td><?php echo $post->gender;?></td>
											<td><?php echo $post->position;?></td>
											<td><?php echo $post->workplace;?></td>
											<td><?php echo $post->address;?></td>
											<td><?php echo $post->phone;?></td>
											<td><?php echo $post->date_time;?></td>
											<td><?php echo $post->class;?></td>
											<td><?php echo $post->added_by;?></td>
											<td>
												<!-- <a class="btn btn-sm blue" data-toggle="modal" href="<?php // echo site_url('language/edit/'.$row['clID']); ?>" onclick="btnDelete(this)"><i class="fa fa-edit"></i></a> -->
												<a class="btn btn-sm btn-primary" data-toggle="tooltip" data-placement="bottom" title="Add!" href="<?php echo site_url('SalesFeedback/addnew/'.$post->id)?>"><i class="fa fa-plus"></i></a>
												<a class="btn btn-sm btn-info" data-toggle="tooltip" data-placement="bottom" title="View!" href="<?php echo site_url('Sales/view/'.$post->id)?>"><i class="fa fa-eye"></i></a>
											</td>
										</tr>
									<?php endforeach; ?>
									
								</tbody>
							</table>
						</div>
					</div>
				</div>
				<!-- /.reschdule -->
				<?php $this->load->view('setting/language/delete.php');?>
				<!-- /.end reschedule -->
			</div>
		</div>	
	</div>
	
	<script>
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("language/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".clID").val(id);
				}
			});
		}
	</script>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
  $('#datatable').dataTable();
</script>
<script>
$(document).ready(function(){
  $('[data-toggle="tooltip"]').tooltip();   
});
</script>