<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class expense extends CI_Controller {

	 function __construct()
    {
        parent::__construct();
		$this->load->model('accounting_model');
		$this->load->model('dropdown_model');
		$this->load->model('search_model');
        $this->load->library('numbertowordconvertsconver');
        $this->load->model('permission_model');
    }
	public function view(){		

		$search_amount = (empty($_POST['Amount']))? '':' pjnDr = "'.$_POST['Amount'].'" ';
		$search_currentcy = (empty($_POST['ppwCurrentcy']))? '':' pjnCurrency = "'.$_POST['ppwCurrentcy'].'" ';
		$chart = (empty($_POST['chart']))? '':' pjnAccCode = "'.$_POST['chart'].'" ';
		$des = (empty($_POST['des']))? '':' pjnDes = "'.$_POST['des'].'" ';
		$date = (empty($_POST['date']))? '':' pjnDes = "'.date('Y-m-d',strtotime($_POST['date'])).'" ';
		$user = (empty($_POST['user']))? '':' pjnBy = "'.$_POST['user'].'" ';
		
		$data_search = array(
			'search_amount' =>$search_amount,
			'search_currentcy' =>$search_currentcy,
			'chart' =>$chart,
			'des' =>$des,
			'date' =>$date,
			'user' =>$user,
			
		);
		$search = $this->search_model->search($data_search);
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'Expense';
		$data['expenses'] = $this->accounting_model->getExpense($search); 
		$data['user'] = $this->dropdown_model->drop_user();
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		$data['chart'] = $this->accounting_model->getAccountChat(5);
		// $data['project'] = $this->accounting_model->get_project_model();
		// echo json_encode($data);
		// exit();


		// echo json_encode($data['project']);exit();
		$this->load->view('accounting/expense/index.php',$data);
	}
	public function addnew(){	
		
	
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'Expense';
		$data['expense'] = $this->accounting_model->getAccounting(5);
		$data['chart'] = $this->accounting_model->getAccountChat(5);
		$data['user'] = $this->dropdown_model->drop_user();
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		$this->load->view('accounting/expense/addnew.php',$data);
	}

	/*
	*** Phollin 
	*** Add More Field
	*/

	public function insert(){		
		//var_dump($_POST);
		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>$_POST['pjnAccCode'],
					'pjnType'=>5,
					'pjnDr'=>$_POST['amount'],
					'pay_for'=>$_POST['pay_for'],
					'pay_to'=>$_POST['pay_to'],
					'pjnInvoice'=>$_POST['pjnInvoice'],
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['pjnDatePay'])),
					'pjnDes'=>$_POST['pjnDes'],
					'pjnBy'=>$_POST['pjnBy'],
					'pjnCurrency'=>$_POST['pjnCurrency'],
					
		);
		
		$this->db->insert('nso007_jounal', $data);
		$insert_id = $this->db->insert_id();
		
		$data1 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>10000,
					'pjnType'=>5,
					'pjnCr'=>$_POST['amount'],
					'pay_for'=>$_POST['pay_for'],
					'pay_to'=>$_POST['pay_to'],
					'pjnInvoice'=>$_POST['pjnInvoice'],
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['pjnDatePay'])),
					'pjnDes'=>$_POST['pjnDes'],
					'pjnBy'=>$_POST['pjnBy'],
					'pjnCurrency'=>$_POST['pjnCurrency'],
					
		);
		$this->db->insert('nso007_jounal', $data1);
		redirect(site_url('expense/view'));
			
		
	}
	public function delete(){
		$id = $_POST['id'];
		
		$this->db->where(array('pjnID'=>$id,'pjnType'=>5));  
		$this->db->delete('nso007_jounal');
		
		$this->db->where(array('pjnPID'=>$id,'pjnType'=>5));  
		$this->db->delete('nso007_jounal');
		
		redirect(site_url('expense/view'));
			
	}
	
	
	/*
	*** Phollin
	*** View & Print
	***
	*/


	public function expense_payment_voucher($expense_id){
		$payment_voucher['payment_voucher'] = $this->accounting_model->getProjectModel($expense_id); 
		
		$data = array(
			'pjnID'=>$payment_voucher['payment_voucher'][0]['pjnID'],
			'ppjName'=>$payment_voucher['payment_voucher'][0]['ppjName'],
			'pacName'=>$payment_voucher['payment_voucher'][0]['pacName'],
			'pay_to'=>$payment_voucher['payment_voucher'][0]['pay_to'],
			'pjnInvoice'=>$payment_voucher['payment_voucher'][0]['pjnInvoice'],
			'pjnDes'=>$payment_voucher['payment_voucher'][0]['pjnDes'],
			'pjnDr'=>$payment_voucher['payment_voucher'][0]['pjnDr'],
		);
        $do_date = date('Y-m-d');
        $data['do_date'] = $this->zone->help('khmer_date',$do_date);

		$this->load->view('stock/invoice/expense_payment_voucher.php',$data);
	}
}