<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sales extends CI_Controller {
	function __Construct(){
		parent::__Construct ();
		$this->load->database();
		$this->load->model('SalesModel');
        $this->load->model('permission_model');
	}

	public function index(){
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'Client';
		$this->data['posts'] = $this->SalesModel->getPosts();
		$this->load->view('sales_view/index', $this->data);
	}
	
	public function addnew(){		
		
		$this->load->view('sales_view/addnew');
	
	}

	public function insert(){  
		$data = array(
			'name'=>$_POST['name'],
			'gender'=>$_POST['gender'],
			'position'=>$_POST['position'],
			'workplace'=>$_POST['workplace'],
			'address'=>$_POST['address'],
			'phone'=>$_POST['phone'],
			'date_time' =>date('Y-m-d',strtotime($_POST['date_time'])),
			'class'=>$_POST['class'],
			'added_by'=>$_POST['by'],
		);
		
		$this->db->insert('nso007_sales',$data);
		redirect(site_url('Sales/index'));
	}

	public function view($id)
	{
		$this->data['sale'] = $this->SalesModel->viewSale($id);
		$this->data['salefeedback'] = $this->SalesModel->viewSaleFeedback($id);
		
		// echo json_encode($this->data);
		// exit();
		$this->load->view('sales_view/view', $this->data);
	}
}