<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User extends CI_Controller {

	 function __construct()
    {
        parent::__construct();
		$this->load->model('user_model');
		$this->load->model('dropdown_model');
		$this->load->model('position_model');

        $this->load->model('permission_model');
    }
	public function view(){	
		
		$search_name = (empty($_POST['pliID']))? '':' pliID = "'.$_POST['pliID'].'" ';
		$search_position = (empty($_POST['pptID']))? '':' pptID = "'.$_POST['pptID'].'" ';
		$search_gender = (empty($_POST['pclGender']))? '':' pliGroup = "'.$_POST['pclGender'].'" ';
		$search_group = (empty($_POST['pugID']))? '':' pugID = "'.$_POST['pugID'].'" ';
		
		$data_search = array(
			'search_name' =>$search_name,
			'search_position' =>$search_position,
			'search_gender' =>$search_gender,
			'search_group' =>$search_group,
		);
		$search = $this->search_model->search($data_search);
		
		$data["icon"] = 'fa fa-users';
		$data["title"] = 'User';
	
		$data['data'] = $this->user_model->get($search);  
		  
		$this->load->view('setting/user/index.php',$data);
	}
	public function addnew(){		
		$data["icon"] = 'fa fa-users';
		$data["title"] = 'User';
		
		$data['gender'] = $this->dropdown_model->drop_Gender();  
		$data['group'] = $this->dropdown_model->user_group();  
		$data['position'] = $this->position_model->get($search='');
			
        $this->load->view('setting/user/addnew.php',$data);
	}
	public function insert(){   	
		$data = array(
			'pliFristName' => $_POST['pliFristName'],
			'pliLastName' => $_POST['pliLastName'],
			'pliGender' => $_POST['pliGender'],
			'pliDOB' => date('Y-m-d',strtotime($_POST['pliDOB'])),
			'pliEmail' => $_POST['pliEmail'],
			'pliGoup' => $_POST['pliGoup'],
			'pliGroup' => $_POST['pliGoup'],
			'pliPosition' => $_POST['pliPosition'],
			'pliUserName' => $_POST['pliUserName'],
			'pliPassword' => $_POST['pliPassword'],
			'suLanguage' => $_POST['suLanguage'],
			'pliPhone' => $_POST['pliPhone'],
		);
		$this->db->insert('nso007_user',$data);
		
		redirect(site_url('user/view'));
	}
	public function form_delete($id){
		$data['id'] = $id;
		echo json_encode($data);
	}
	public function delete(){	
		$id = $_POST['id'];
		$this->db->query("DELETE FROM nso007_user WHERE pliID = $id");
		redirect(site_url('user/view'));
	}
	public function edit($id){	
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Edit';
		$data["data"] = $this->user_model->getID($id);
		$data['position'] = $this->position_model->get($search='');
		$data['gender'] = $this->dropdown_model->drop_Gender(); 
		$data['group'] = $this->dropdown_model->user_group(); 
		
		$this->load->view('setting/user/edit.php',$data);
	}
	
	public function update($id){
		$data = array(
			'pliFristName'	=>$_POST['pliFristName'],
			'pliLastName'	=>$_POST['pliLastName'],
			'pliGender'		=>$_POST['pliGender'],
			'pliDOB'		=>date('Y-m-d',strtotime($_POST['pliDOB'])),
			'pliEmail'		=>$_POST['pliEmail'],
			'pliGoup'		=>$_POST['pliGoup'],
			'pliGroup'		=>$_POST['pliGoup'],
			'pliPosition'	=>$_POST['pliPosition'],
			'pliUserName'	=>$_POST['pliUserName'],
			'pliPassword'	=>$_POST['pliPassword'],
			'pliPhone'		=>$_POST['pliPhone'],
			'suLanguage'	=>$_POST['suLanguage'],
		);
		
		$this->db->where('pliID', $id);
		$this->db->update('nso007_user',$data);
		
		redirect(site_url('user/view'));
	}
	
}
	
	
