<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Zone {
	public function __construct($rules = array()){ 	
			
	}
	public function data($arg){
		$ci = & get_instance();	
		
		$tb = empty($arg['table'])?'':$arg['table'];
		$val = empty($arg['value'])?'':$arg['value'];
		$dis = empty($arg['text'])?'':$arg['text'];
		$where = empty($arg['where'])?'':'where '.$arg['where'];
		$sort = empty($arg['sort'])?'':$arg['sort'];
		$order = empty($arg['order'])?'ASC':$arg['order'];
		$groupby = empty($arg['group_by'])?'': ' GROUP BY '.$arg['group_by'];
		$having_field = empty($arg['having_field'])?'': ','.$arg['having_field'];
		$having = empty($arg['having'])?'': ' HAVING '.$arg['having'];
		if(!empty($sort)){
			$sort = "ORDER BY $sort $order";
		}
		$query = $ci->db->query("select $val,$dis $having_field from $tb $where $groupby $having $sort");
	

		//if($ci->db->_error_message() != '') die("select $val,$dis $having_field from $tb $where $groupby $having $sort");
		$get = $query->result_array();
		$option = array();
		$i=0;
		foreach($get as $row){
			$option[$i]['value'] = $row[$val];
			$option[$i]['text'] = $row[$dis];
			$i++;
		}
		return $option;
	
	}
	public function help($event = "",$value = ""){
		$resault = '';
		if(is_null($value)) return '';
		$ci = & get_instance();
		
		switch ($event){
			case "project":
				$query = $ci->db->query('SELECT pr_name FROM su_projects WHERE pr_id='.$value);
				$get = $query->result_array();
				$resault = $get[0]['pr_name'];
			break;
			case "getaddress":
				
			  	if(!empty($value)){
					
					$code = explode(':',$value);
					$code1 = substr($code[2],0,2);
					$code2 = substr($code[2],0,4);
					$code3 = substr($code[2],0,6);
					$code4 = substr($code[2],0,8);
					$rs1='';$rs2='';$rs3='';$rs4='';$home='';$street='';
					if(strlen($code1) == 2){
						$query = $ci->db->query("SELECT zlc_name as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code1}'");
						if($get = $query->result_array()) $rs1 = $get[0];
						else $rs1 = '';
					}
					if(strlen($code2)  == 4){
						$query = $ci->db->query("SELECT zlc_name as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code2}'");
						if($get = $query->result_array()) $rs2 = $get[0];
						else $rs2 = '';
					}
					if(strlen($code3)  == 6){
						$query = $ci->db->query("SELECT zlc_name as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code3}'");
						if($get =$query->result_array()) $rs3 = $get[0];
						else $rs3 = '';
					}
					if(strlen($code4)  == 8){
						$query = $ci->db->query("SELECT zlc_name as loc_name FROM nso007_khmer_location WHERE zlc_code ='{$code4}'");
						if($get =$query->result_array()) $rs4 = $get[0];
						else $rs4 = '';
					}
					
					$home = (empty($code[0]))?'':'#'.$code[0];
					$street = (empty($code[1]))?'':', Str '.$code[1];
					$add1 = (empty($rs1['loc_name']))?'':$rs1['loc_name'];
					$add2 = (empty($rs2['loc_name']))?'':$rs2['loc_name'].' / ';
					$add3 = (empty($rs3['loc_name']))?'':$rs3['loc_name'].' / ';
					$add4 = (empty($rs4['loc_name']))?'':$rs4['loc_name'].' / ';
					
					$slash = '';
					if(!empty($add1) || !empty($add2) || !empty($add3) || !empty($add4) )$slash = ', ';
					$resault = $home.$street.$slash.$add4.$add3.$add2.$add1;			 
			  	}
				break;
			case "khmer_date":
				if(empty($value)) return '';
				list($y,$m,$d) = explode('-',$value,3);
				$month = $this->month_kh($m);
				
				
				$resault = 'ថ្ងៃទី '.$d.' ខែ '.$month.' ឆ្នាំ '.$y;
					
			break;
			case "date":
				$date = date('d-m-Y',strtotime($value));
				$resault = $date;
					
			break;
			case "khmer_address":
					if(!empty($value)){
					$code = explode(':',$value);
					$code1 = substr($code[2],0,2);
					$code2 = substr($code[2],0,4);
					$code3 = substr($code[2],0,6);
					$code4 = substr($code[2],0,8);
					$rs1='';$rs2='';$rs3='';$rs4='';$home='';$street='';
		
					if(strlen($code1) == 2){
						$query = $ci->db->query("SELECT zlc_nameKH as loc_namekh FROM nso007_khmer_location WHERE zlc_code ='{$code1}'");
						if($get = $query->result_array()) $rs1 = $get[0];
						else $rs1 = '';
					}
					if(strlen($code2)  == 4){
						$query = $ci->db->query("SELECT zlc_nameKH as loc_namekh FROM nso007_khmer_location WHERE zlc_code ='{$code2}'");
						if($get = $query->result_array()) $rs2 = $get[0];
						else $rs2 = '';
					}
					if(strlen($code3)  == 6){
						//var_dump($code3);
						$query = $ci->db->query("SELECT zlc_nameKH as loc_namekh FROM nso007_khmer_location WHERE zlc_code ='{$code3}'");
						if($get = $query->result_array()) $rs3 = $get[0];
						else $rs3 = '';
					}
					if(strlen($code4)  == 8){
						$query = $ci->db->query("SELECT zlc_nameKH as loc_namekh FROM nso007_khmer_location WHERE zlc_code ='{$code4}'");
						if($get = $query->result_array()) $rs4 = $get[0];
						else $rs4 = '';
					}
					
					$home = (empty($code[0]))?'':'ផ្ទះលេខ '.$code[0];
					$street = (empty($code[1]))?'':', ផ្លូវលេខ '.$code[1];
					$add1 = (empty($rs1['loc_namekh']))?'':' ខេត្ត/ក្រុង '.$rs1['loc_namekh'];
					$add2 = (empty($rs2['loc_namekh']))?'':' ស្រុក/ខណ្ឌ '.$rs2['loc_namekh'];
					$add3 = (empty($rs3['loc_namekh']))?'':' ឃុំ/សង្កាត់ '.$rs3['loc_namekh'];
					$add4 = (empty($rs4['loc_namekh']))?'':' ភូមិ '.$rs4['loc_namekh'];
					
					$slash = '';
					if(!empty($add1) || !empty($add2) || !empty($add3) || !empty($add4) )$slash = ' ';
					$resault = $home.$street.$slash.$add4.$add3.$add2.$add1;			 
			  	}
			break;
			default: return $value;
				
		}
		return $resault;
	}
	public function month_kh($m){
		switch($m){
			case '01':
				$month = 'មករា';
				break;
			case '02':
				$month = 'កុម្ភៈ';
				break;	
			case '03':
				$month = 'មីនា';
				break;	
			case '04':
				$month = 'មេសា';
				break;	
			case '05':
				$month = 'ឧសភា';
				break;	
			case '06':
				$month = 'មិថុនា';
				break;	
			case '07':
				$month = 'កក្កដា';
				break;	
			case '08':
				$month = 'សីហា';
				break;	
			case '09':
				$month = 'កញ្ញា';
				break;	
			case '10':
				$month = 'តុលា';
				break;	
			case '11':
				$month = 'វិច្ឆិកា';
				break;	
			case '12':
				$month = 'ធ្នូ';
				break;
			default:
				$month = '';
			 break;	
		}
		return $month;
	}	
	
}