<?php
	class Pawn_model extends CI_Model{
		public function insert(){
			
			$dodate = date('Y-m-d',strtotime($_POST['ppwDodate']));
			$fristPayDate = date('Y-m-d',strtotime($_POST['ppwFristPayDate']));
			$des = 'Pawn Date:'.$dodate.', Amount:'.$_POST['ppwAmount'];
			$amount = $_POST['ppwAmount'];
			$by = $_POST['ppwBy'];
			$schedule = $_POST['ppwSchedule'];
			$interest = $_POST['ppwInterest'];
			$duration = $_POST['ppwDuration'];
			$type = $_POST['ppwInterestType'];
			$currency = $_POST['ppwCurrentcy'];
			$client = $_POST['ppwClientID'];
			$term = $this->getTerm($_POST['ppwTerm']);
			
			$data = array(
				'ppwName' => $_POST['ppwName'],
				'ppwModel' => $_POST['ppwModel'],
				'ppwSeri' => $_POST['ppwSeri'],
				'ppwMachine' => $_POST['ppwMachine'],
				'ppwBody' => $_POST['ppwBody'],
				'ppwBook' => $_POST['ppwBook'],
				'ppwCard' => $_POST['ppwCard'],
				'ppwPlad' => $_POST['ppwPlad'],
				
				'ppwAmount' => $amount,
				'ppwDuration' => $duration,
				'ppwTerm' => $_POST['ppwTerm'],
				'ppwInterest' => $interest,
				'ppwSchedule' => $_POST['ppwSchedule'],
				'ppwDodate' => $dodate,
				'ppwFristPayDate' => $fristPayDate,
				'ppwBy' => $by,
				'ppwAmountOS' => $amount,
				'ppwClientID' => $client,
				'ppwInterestType' => $type,
				'ppwCurrentcy' => $currency,
				'ppwStatus' => 1,
			);
			$this->db->insert('nso007_pawn', $data);
			$lastID = $this->db->insert_id();
			
			$interestPay = ($amount * $interest) / 100;
			
			$pawn_process = array(
							'pppPawnID' => $lastID,
							'pppPawnDate' => $dodate,
							'pppDatePay' => $fristPayDate,
							'pppStatus' => 1,
							'pppDes' => $des,
							'pppBy' => $by,
							'pppPrinciple' => null,
							'pppPrinciplePay' => null,
							'pppInterest' => null,
							'pppInterestPay' => null,
							'pppOwe' => null,
							'pppNo' => null,
						
				);
			$this->db->insert('nso007_pawnprocess', $pawn_process);
		
			if($schedule == 2){
				$pawn_process1 = array(
							'pppPawnID' => $lastID,
							'pppPawnDate' => $dodate,
							'pppDatePay' => $fristPayDate,
							'pppStatus' => 3,
							'pppBy' => $by,
							'pppDes' => null,
							'pppPrinciple' => 0,
							'pppPrinciplePay' => 0,
							'pppInterest' => $interestPay,
							'pppInterestPay' => $interestPay,
							'pppOwe' => $interestPay,
							'pppNo' => 1,
							'pppOSPrinciple' => $amount,
							'pppPrinciplePaid' => 0,
				);
				$this->db->insert('nso007_pawnprocess', $pawn_process1);
			}else{
				//$principle = ($amount * $duration)/100;
				$principle = ($amount / $duration);
				$OSPrinciple = $amount;
				$principlePaid  = 0;
				for($i=0; $i<$duration; $i++){
					$no = $i+1;
					$status = ($i==0)? 3:2;
					if($type == 2){ echo $OSPrinciple; $interestPay = ($OSPrinciple * $interest) / 100; }
					$OSPrinciple -= $principle;
					$principlePaid += $principle;
					$dateNext = date('Y-m-d',strtotime($dodate." + $i ".$term->pdwNameFull));
					
					$pawn_process1 = array(
							'pppPawnID' => $lastID,
							'pppPawnDate' => $dateNext,
							'pppDatePay' => null,
							'pppStatus' => $status,
							'pppBy' => $by,
							'pppDes' => null,
							'pppPrinciple' => $principle,
							'pppPrinciplePay' => $principle,
							'pppInterest' => $interestPay,
							'pppInterestPay' => $interestPay,
							'pppOwe' => $principle + $interestPay,
							'pppPay' => $principle + $interestPay,
							'pppNo' => $no,
							'pppOSPrinciple' => $OSPrinciple,
							'pppPrinciplePaid' => $principlePaid,
					); 
					$this->db->insert('nso007_pawnprocess', $pawn_process1);
				}
			}
			$des = 'Pawn: '.$lastID.' for client: '.$client;
			
			$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>12000,
					'pjnType'=>6,
					'pjnDr'=>$amount,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$dodate,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$lastID,
			);
			
			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();
			
			$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>10000,
						'pjnType'=>6,
						'pjnCr'=>$amount,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$dodate,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>$currency,
						'pjnRefID'=>$lastID,
			);
			$this->db->insert('nso007_jounal', $data1);
			
			redirect(site_url('pawn/view'));
		}
		public function getPawnID($id){
			$data = $this->db->query("SELECT *,pclName,pclNickName,pclGender,pclJob,pclNational,pclDOB,pcllDCard,
									pclPhone1,ppwInterest
									FROM nso007_pawn 
									INNER JOIN nso007_client ON nso007_pawn.ppwClientID = nso007_client.pclID
									WHERE ppwID = $id");
			return $data->row();
		}
		public function record_count() {
			return $this->db->count_all("nso007_pawn");
		}
		public function fetch_data($limit, $id) {
			$this->db->limit($limit);
			$this->db->where('ppwID', $id);
			$query = $this->db->get("nso007_pawn");
			if ($query->num_rows() > 0) {
				foreach ($query->result() as $row) {
					$data[] = $row;
				}

					return $data;
			}
			return false;
		}
		public function getPawn($limit, $offset,$search){
			$offset = (empty($offset))? '':','.$offset;
			$limit = (empty($search))? " limit $limit $offset ":"";
			$query = $this->db->query("SELECT lPAD(ppwID,6,0) AS ppwID,pclName,ppwName,ppwAmount,ppwAmountOS,ppwAmountPaid,nso007_dropdown.pdwNameFull,interestType.pdwNameFull AS interestType,ppwInterest,ppwStatus
										FROM nso007_pawn 
										INNER JOIN nso007_client ON nso007_pawn.ppwClientID = nso007_client.pclID
										INNER JOIN nso007_dropdown ON nso007_pawn.ppwTerm = nso007_dropdown.pdwCode AND pdStatus = 2
										INNER JOIN nso007_dropdown AS interestType ON nso007_pawn.ppwInterestType =  interestType.pdwCode AND  interestType.pdStatus = 3
										$search 
										order by ppwID DESC $limit");
			
			return $query->result_array();
		}
		public function getTerm($term){
			$data = $this->db->query("SELECT pdwNameFull FROM nso007_dropdown WHERE pdStatus = 2 AND pdwCode = $term");
			return $data->row();
		}
		
	}
?>