
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<?php
	if($client->pclImage == null){
		$img = base_url('assets/pages/img/customer_info_avatar.png');
	}else{
		$img = base_url('upload/client/'.$client->pclImage);
	}
?>
	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Customer Info');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('Customer/index');?>"> 
								<i class="fa fa-reply"></i>
								<?php echo zphrase('Back');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<div class="">
						<div class="row">
							<div class="col-sm-3"><!--left col-->
								<div class="text-center">
									<img src="<?php echo $img;?>" class="avatar img-circle img-thumbnail" alt="avatar">
								</div></hr><br>
							</div><!--/col-3-->
							<div class="col-sm-9">
								<hr>
								<form class="form" action="##" method="post" id="registrationForm">
									<div class="note note-info">
									<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Full Name:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pclName;?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Workplace:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pclWorkPlace; ?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Nickname:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pclNickName;?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Phone1:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pclPhone1;?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Gender:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pdwNameFull;?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Phone2:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pclPhone2;?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Job:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $client->pclJob;?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Created Date:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo date('d-m-Y',strtotime($client->pclAddedDate));?></label>
												</div>
											</div>
										</div>
										<div class="form-group">
											<div class="col-xs-6">
												<div class="col-md-6">
													<label><strong>Address:</strong></label>
												</div>
												<div class="col-md-6">
													<label><?php echo $this->zone->help('getaddress',$client->pclAddress);?></label>
												</div>
											</div>
										</div>
									</div>
									</div>
									</div>
								</form>
							</div><!--/col-9-->
						</div><!--/row-->
					</div>
				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
							<thead>
								<tr>
									<th><?php echo zphrase('Follow Up.');?></th>
									<th><?php echo zphrase('Follow Up Date');?></th>
									<th><?php echo zphrase('Apointment');?></th>
									<th width="10%"><?php echo zphrase('Status');?></th>
								</tr>
							</thead>
							<tbody>
								<?php $i = 1; ?>
								<?php foreach($feedback as $row): ?>
									<tr>
										<td><?php echo $i;?></td>
										<td><?php echo $row->feedback_date;?></td>
										<td><?php echo $row->feedback;?></td>
										<td>
											<span class="btn btn-primary btn-sm">Active</span>
										</td>
									</tr>
									<?php $i++; ?>
								<?php endforeach; ?>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->
	<script>
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("language/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".clID").val(id);
				}
			});
		}
	</script>
<?php $this->load->view('template/footer.php');?>