<div class="row" id="form_addnew">

	<div class="col-md-12">

		<div class="portlet box blue" id="form_wizard_1">

			<div class="portlet-title">

				<div class="caption">

					<i class="icon-reorder"></i> <?php echo zphrase('Client Installment');?> <span class="step-title"><?php echo zphrase('Step');?> 1 <?php echo zphrase('of');?> 4</span>

				</div>

				<div class="tools hidden-xs">

					<a href="javascript:;" class="collapse"></a>

					<a href="#portlet-config" data-toggle="modal" class="config"></a>

					<a href="javascript:;" class="reload"></a>

					<a href="javascript:;" class="remove"></a>

				</div>

			</div>


			<div class="portlet-body form">

				<form action="<?php echo site_url('loan/loan/save_loan/'.$clientID);?>" class="form-horizontal" id="submit_form" enctype="multipart/form-data" method="post">

					<div class="form-wizard">

						<div class="form-body">
							<ul class="nav nav-pills nav-justified steps">
								<li>
									<a href="#tab0" data-toggle="tab" class="step">
										<span class="number">0</span>
										<span class="desc"><i class="icon-ok"></i>Payment Info</span>
									</a>
								</li>
								<li>
									<a href="#tab1" data-toggle="tab" class="step">
										<span class="number">1</span>
										<span class="desc"><i class="icon-ok"></i>Loan Info</span>
									</a>
								</li>
								<li>
									<a href="#tab4" data-toggle="tab" class="step">
										<span class="number">2</span>
										<span class="desc"><i class="icon-ok"></i>Finish</span>
									</a>
								</li>
							</ul>

							<div id="bar" class="progress progress-striped" role="progressbar">
								<div class="progress-bar progress-bar-success"></div>
							</div>

							<div class="tab-content">
								<div class="tab-pane active" id="tab0">
									<div class="alert alert-danger" id="_msg_generateCustomBlock">
										<strong>Error!</strong><span id="_detail_generateCustomBlock"></span>
									</div>
									<h3 class="block">Loan Information</h3>
									<div class="form-group">
										<div class="col-md-12">
											<div class="col-md-4">
												<?php echo zinput(array('type'=>'text','label'=>'Item Cost ($)','name'=>'item_cost','id'=>'item_cost','value'=>$psAmount,'attr'=>"$readonly"));?>
											</div>
											<div class="col-md-4">
												<?php echo zinput(array('type'=>'text','label'=>'Deposit Amount ($)','name'=>'deposit_amount','id'=>'deposit_amount','value'=>$psReceive,'attr'=>"$readonly"));?>
											</div>
											<div class="col-md-4">
												<?php echo zinput(array('type'=>'text','label'=>'Remain Amount ($)','id'=>'own_amount','name'=>'ploAmount_payment','value'=>$amount,'attr'=>"$readonly"));?>
												<input type="hidden" name="sale_id" value="<?php echo($sale_id); ?>">
											</div>
										</div>
										<div class="col-md-12">
											<div class="col-md-4">
												<?php echo zinput(array('type'=>'text','label'=>'Discount Amount ($)','class'=>'znumber','name'=>'sale_discount','id'=>'sale_discount','value'=>'0')); ?>
											</div>
											<div class="col-md-4">
												<?php echo zinput(array('type'=>'text','label'=>'Discount Percent (%)','class'=>'znumber','name'=>'sale_discount_percent','id'=>'sale_discount_percent','value'=>'0')); ?>
											</div>
											<div class="col-md-4">
												<?php echo zinput(array('type'=>'date','label'=>'Contract Date','name'=>'ploEndPayDate','validation'=>'required','id'=>'endpaydateloan'));?>
											</div>
										</div>
										<div class="form-group">
											<div class="col-md-12">
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'hidden','label'=>'','name'=>'ploCurrency','data'=>$this->zone->data(array('table'=>'nso007_dropdown','value'=>'pdwCode','text'=>'pdwNameFull','where'=>'pdStatus = 5')),'value'=>$currency,'attr'=>"$readonly"));?>
													<?php echo zinput(array('type'=>'text','id'=>'loan_amount_main','class'=>'znumber','label'=>'Amount','name'=>'ploAmount','value'=>$amount,'validation'=>'required','attr'=>"$readonly"));?>
													<?php echo zinput(array('type'=>'select2','label'=>'Type','name'=>'ploType','validation'=>'required','value'=>'2','data'=>$this->zone->data(array('table'=>'nso007_dropdown','value'=>'pdwCode','text'=>'pdwNameFull','where'=>'pdwID = 9 '))));?>
													<?php echo zinput(array('type'=>'select2','label'=>'Term','name'=>'ploTerm','validation'=>'required','value'=>'4','data'=>$this->zone->data(array('table'=>'nso007_term','value'=>'ptmID','text'=>'ptmName','where'=>'ptmStatus = 1'))));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Extra Amount','id'=>'extra_amount'));?>
												</div>
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'hidden','label'=>'','name'=>'ploSale','value'=>$itemID));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Amount Payment','name'=>'ploPayment','validation'=>'required'));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Interest','name'=>'ploInterest','validation'=>'required'));?>
													<?php echo zinput(array('type'=>'date','class'=>'FirstPayDate','label'=>'Next Date Pay','name'=>'ploFristPayDate','validation'=>'required','id'=>'firstpaydateloan'));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Condition','id'=>'conditions'));?>
												</div>
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'hidden','class'=>'znumber','name'=>'ploDuration' ,'class'=>'ploDuration'));?>
													<?php echo zinput(array('type'=>'date','label'=>'Disburment','name'=>'ploDisburment','validation'=>'required','value'=>date("Y-m-d")));?>
													<?php echo zinput(array('type'=>'text','label'=>'Agent','validation'=>'required','value'=>$agent->agent_name));?>
													<?php echo zinput(array('type'=>'text','label'=>'Representative','validation'=>'required','value'=>$this->session->userdata["logged_in"]["pliFristName"].$this->session->userdata["logged_in"]["pliLastName"]));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Condition Number','id'=>'conditions_num'));?>
													<?php echo zinput(array('type'=>'hidden','class'=>'znumber','label'=>'','name'=>'ploCo','value'=>$agent->pliID));?>
													<?php echo zinput(array('type'=>'hidden','class'=>'znumber','label'=>'','name'=>'ploStaff','value'=>$this->session->userdata["logged_in"]["pliID"]));?>
													<?php echo zinput(array('type'=>'hidden','class'=>'znumber','label'=>'','name'=>'ploPaymentStep','value'=>2));?>
												</div>
											</div>
											<table class="table table-striped table-bordered">
												<thead>
												<tr>
													<th colspan="5"></th>
													<th colspan="2">
														<center><span style="width: 100px;height: 35px;vertical-align: middle;font-size: 16px;" class="btn btn-danger btn-sm submits">Submit</span></center>
													</th>
													<th colspan="5"></th>
												</tr>
												</thead>
												<tbody class="resultbody3">

												</tbody>

												<tfoot>
												<tr>
													<td colspan="7" align="right"></td>
													<td>
														<div class="row">
															<input type="hidden" name="amount_payment_in_mount" class="form-control amount_payment_in_mount" value="0" readonly="readonly">
														</div>
													</td>
												</tr>


												</tfoot>

											</table>
										</div>
										<div class="form-group">
											<div class="col-md-12">
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'text','id'=>'loan_amount_main1','class'=>'znumber','label'=>'Amount','name'=>'ploAmount1','value'=>$amount,'validation'=>'required','attr'=>"$readonly"));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Condition','id'=>'conditions1'));?>
												</div>
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Amount Payment','name'=>'ploPayment1','validation'=>'required'));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Condition Number','id'=>'conditions_num1'));?>


												</div>
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Extra Amount','id'=>'extra_amount1'));?>
													<?php echo zinput(array('type'=>'date','class'=>'FirstPayDate1','label'=>'Next Date Pay','name'=>'ploFristPayDate1','validation'=>'required','id'=>'firstpaydateloan1'));?>
													<input type="hidden" id="number" value="">
												</div>
											</div>
											<table class="table table-striped table-bordered">
												<thead>
												<tr>
													<th colspan="5"></th>
													<th colspan="2">
														<center><span style="width: 100px;height: 35px;vertical-align: middle;font-size: 16px;" class="btn btn-danger btn-sm generate">Generate</span></center>
													</th>
													<th colspan="5"></th>
												</tr>
												</thead>
												<tbody class="resultbody4">

												</tbody>

												<tfoot>
												<tr>
													<td colspan="7" align="right"></td>
													<td>
														<div class="row">
															<input type="hidden" name="amount_payment_in_mount1" class="form-control amount_payment_in_mount1" value="0" readonly="readonly">
														</div>
													</td>
												</tr>


												</tfoot>

											</table>
										</div>
										<div class="form-group">
											<div class="col-md-12">
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'text','id'=>'loan_amount_main2','class'=>'znumber','label'=>'Amount','name'=>'ploAmount2','value'=>$amount,'validation'=>'required','attr'=>"$readonly"));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Amount Payment','name'=>'ploPayment2','validation'=>'required'));?>
												</div>
												<div class="col-md-4">

													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Condition','id'=>'conditions2'));?>
													<?php echo zinput(array('type'=>'text','class'=>'znumber','label'=>'Condition Number','id'=>'conditions_num2'));?>
												</div>
												<div class="col-md-4">
													<?php echo zinput(array('type'=>'date','class'=>'FirstPayDate2','label'=>'Next Date Pay','name'=>'ploFristPayDate2','validation'=>'required','id'=>'firstpaydateloan2'));?>
													<input type="hidden" id="number1" value="">
												</div>
											</div>
											<table class="table table-striped table-bordered">
												<thead>
												<tr>
													<th colspan="5"></th>
													<th colspan="2">
														<center><span style="width: 100px;height: 35px;vertical-align: middle;font-size: 16px;" class="btn btn-danger btn-sm generate1">Generate</span></center>
													</th>
													<th colspan="5"></th>
												</tr>
												</thead>
												<tbody class="resultbody5">

												</tbody>

												<tfoot>
												<tr>
													<td colspan="7" align="right"></td>
													<td>
														<div class="row">
															<input type="hidden" name="amount_payment_in_mount1" class="form-control amount_payment_in_mount2" value="0" readonly="readonly">
														</div>
													</td>
												</tr>


												</tfoot>

											</table>
										</div>
									</div>
								</div>

								<div class="tab-pane" id="tab1">

									<h3 class="block">Provide Who Involve Info</h3>

									<div class="form-group">

										<div class="col-md-12">

											<div class="col-sm-6">

												<?php echo zinput(array('type'=>'text','label'=>'Relationship','name'=>'pcrRelationship'));?>

												<?php echo zinput(array('type'=>'text','label'=>'Name','name'=>'pcrName'));?>

												<?php echo zinput(array('type'=>'date','label'=>'DOB','name'=>'pcrDoB'));?>

												<?php echo zinput(array('type'=>'select2','label'=>'Gender','name'=>'pcrGender','data'=>$this->zone->data(array('table'=>'nso007_dropdown','value'=>'pdwCode','text'=>'pdwNameFull','where'=>'pdStatus = 1'))));?>

												<?php echo zinput(array('type'=>'text','label'=>'Job','name'=>'pcrJob'));?>

												<?php echo zinput(array('type'=>'text','label'=>'Phone1','name'=>'pcrPhone1'));?>

												<?php echo zinput(array('type'=>'text','label'=>'Phone2','name'=>'pcrPhone2'));?>

											</div>

											<div class="col-sm-6">

												<?php echo zinput(array('type'=>'text','label'=>'Nationality','name'=>'pcrNationality'));?>

												<?php echo zinput(array('type'=>'text','label'=>'IdCard','name'=>'pcrIdCard'));?>

												<?php echo zinput(array('type'=>'date','label'=>'IdCard Date','name'=>'pcrIddate'));?>

												<?php echo zinput(array('type'=>'date','label'=>'IdCard Date Valid','name'=>'pcrIdValid'));?>

												<?php echo zinput(array('type'=>'text','label'=>'IdCardBy','name'=>'pcrCardBy'));?>

												<?php echo zinput(array('type'=>'address','label'=>'address','name'=>'pcrAddress','id'=>'_popupDiv_'));?>



											</div>

										</div>

									</div>
								</div>

								<div class="tab-pane" id="tab4">

									<h3 class="block"></h3>

									<div class="form-group">

										<div class="col-md-12">

											<div class="col-md-6">



											</div>

											<div class="col-md-6">



											</div>

										</div>

										<br style="clear:both;">

										<div class="col-md-12">

											<div class="allDocShow"  id="allform"></div>



										</div>

									</div>

								</div>



							</div>



						</div>



						<div class="form-actions fluid">

							<div class="row">

								<div class="col-md-12">

									<div class="col-md-offset-5 col-md-7">

										<a href="javascript:;" class="btn default button-previous">

											<i class="m-icon-swapleft"></i> Back

										</a>

										<a href="javascript:;" class="btn blue button-next">

											Next <i class="m-icon-swapright m-icon-white"></i>

										</a>



										<a href="javascript:;" class="btn blue button-start">

											Generate <i class="m-icon-swapright m-icon-white"></i>

										</a>



										<!-- <input type="button" id="_btn_cancel_addnewloan_" value="cancel" class="btn red"></input> -->

										<a href="<?php echo site_url('stock/invoice/view'); ?>" class="btn red"> Cancel </a>



										<a href="javascript:;" class="btn green button-submit">

											Done <i class="m-icon-swapright m-icon-white"></i>

										</a>



										<script>

											$(".add-more-Quaranty").click(function(){

												$("#sample-div4QuarantyInfo").slideToggle("slow");

											});

											// allow only number

											$("#loAmount, #duration, #loTerm, #step, #loInterestRate,#swlDeposit").keydown(function (e) {

												if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||

														(e.keyCode == 65 && e.ctrlKey === true) ||

														(e.keyCode >= 35 && e.keyCode <= 39)) {

													return;

												}

												if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {

													e.preventDefault();

												}

											});

											$(".button-start").hide();

											$("#_msg_generateCustomBlock").hide();



										</script>



									</div>

								</div>

							</div>

						</div>

					</div>

				</form>

			</div>

		</div>

	</div>

</div>
