<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<!-- /.search -->
	<?php $this->load->view('pawn/search.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Pawn List');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('pawn/addnew');?>"> 
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Addnew');?>									
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
								<thead>
									<tr>
										<th class="all"><?php echo zphrase('No');?></th>
										<th class="min-phone-l"><?php echo zphrase('Client Name');?></th>
										<th class="min-tablet"><?php echo zphrase('Type');?></th>
										<th class="min-tablet"><?php echo zphrase('Pawn Name');?></th>
										<th class="min-tablet"><?php echo zphrase('Amount');?></th>
										<th class="min-tablet"><?php echo zphrase('Principle');?></th>
										<!--<th class="min-tablet">Amount Paid</th>!-->
										<th class="min-tablet"><?php echo zphrase('Term');?></th>
										<th class="min-tablet"><?php echo zphrase('Interest');?></th>
										<th class="min-tablet"><?php echo zphrase('Interest Method');?></th>
										<th><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($datas as $row): ?>
										<?php
											
											if($row['ppwStatus'] == 5){
												$bgColor = 'background:#E26A6A';
											}elseif($row['ppwStatus'] == 2){
												$bgColor = 'background:#578EBE';
											}else{
												$bgColor = '';
											}
											
										?>
										<tr pd="<?php echo $row['ppwID'];?>" style="<?php echo $bgColor;?>">
											<td>
												<a class="btn btn-xs purple btn-outline sbold" data-toggle="modal" href="#large" onclick="payment(this)"><i class="fa fa-calendar-plus-o"></i></a>
												<?php echo $row['ppwID'];?>
											</td>
											<td><?php echo $row['pclName'];?></td>
											<td></td>
											<td><?php echo $row['ppwName'];?></td>
											<td><?php echo $row['ppwAmount'];?></td>
											<td><?php echo $row['ppwAmountOS'];?></td>
											<!--<td><?php echo $row['ppwAmountPaid'];?></td>-->
											<td><?php echo $row['pdwNameFull'];?></td>
											<td><?php echo $row['ppwInterest'];?>%</td>
											<td><?php echo $row['interestType'];?></td>
											<td>
												<a class="btn btn-sm green" data-toggle="modal" href="#reschedule" onclick="reschedule(this)" title="Reschedule"><i class="fa fa-edit"></i></a>
												<a class="btn btn-sm purple" data-toggle="modal" href="#payoff" onclick="payoff(this)"><i class="fa fa-cut" title="Pay off"></i></a>
												<a class="btn btn-sm red" data-toggle="modal" href="#write_off" onclick="write_off(this)"><i class="fa fa-times-circle-o" title="Write off"></i></a>
												<a class="btn btn-sm yellow" href="<?php echo site_url('pawn/contract/'.$row['ppwID']);?>"><i class="fa fa-list" title="Contract"></i></a>
												<a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o" title="Delete pawn"></i></a>
											</td>
										</tr>
									<?php endforeach; ?>
								</tbody>
							</table>
						</div>
						<?php echo $this->pagination->create_links();?>
					</div>
				</div>
				<!-- END EXAMPLE TABLE PORTLET-->
				<!-- /.payment -->
				<?php $this->load->view('pawn/payment.php');?>
				<!-- /.payment -->
				
				
				<!-- /.reschdule -->
				<?php $this->load->view('pawn/reschedule.php');?>
				<!-- /.end reschedule -->
				
				<!-- /.reschdule -->
				<?php $this->load->view('pawn/payoff.php');?>
				<!-- /.end reschedule -->
				
				<!-- /.reschdule -->
				<?php $this->load->view('pawn/write_off.php');?>
				<!-- /.end reschedule -->
				
				<!-- /.delete -->
				<?php $this->load->view('pawn/delete.php');?>
				<!-- /.end delete -->
				
				<!-- /.pay -->
				<?php $this->load->view('pawn/pay.php');?>
				<!-- /.end pay -->
			</div>
		</div>	
	</div>
	<script>
		function payment(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/payment")?>/"+id,
				type: "get",
				success: function(data){
					$(".payment").html(data);
				}
			});
		}
		function reschedule(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_reschedule")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".ppwInterest").val(d.interest);
					$(".ppwFristPayDate").val(d.datePay);
					$(".ppwDodate").val(d.dateReschedule);
					$(".ppwID").val(id);
				}
			});
		}
		function payoff(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_payoff")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function write_off(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_write_off")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					//$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");alert(id);
			$.ajax({
				url: "<?php echo site_url("pawn/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					//$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function pay(obj){
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_pay")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					var interest = d.interest;
					var principle = d.principle;
					var total = parseInt(interest) + parseInt(principle);
					console.log(typeof(d.datePay));
					$(".pppPanelty").val(0);
					$(".pppPrinciplePay").val(principle);
					$(".pppInterestPay").val(interest);
					$(".totalPayment").val(total);
					//$(".pppPawnDate").val(d.datePay);
					//$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function payPrinciple(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		function payInterest(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		function payPenalty(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		
		
	</script>			
					
					
	<!-- BEGIN PAGE LEVEL PLUGINS -->
	<!--<script src="<?php echo base_url(); ?>assets/global/scripts/datatable.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL PLUGINS -->
	<!-- BEGIN PAGE LEVEL SCRIPTS -->
	<!--<script src="<?php echo base_url(); ?>assets/pages/scripts/table-datatables-responsive.min.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL SCRIPTS -->
<?php $this->load->view('template/footer.php');?>