<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-plus font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Add Project Planning');?></span>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form" action="<?php echo site_url('ProjectPlanning/insert')?>" method="post">
						<div class="form-body">
							<div class="row">
								<div class="col-md-12">
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Project Name');?><span class="required"> * </span></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="projectName" required>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Project Size ');?>(m<sup>2</sup>)</label>
											<div class="col-md-8">
												<input type="text" class="form-control form-control" name="projectSize">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Project Cost');?>($)</label>
											<div class="col-md-8">
												<input type="text" class="form-control form-control" name="projectCost">
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Project Date');?><span class="required"> * </span></label>
											<div class="col-md-8">
												<input type="text" class="form-control date-picker" name="projectDate" required>
											</div>
										</div>
										<div class="form-group">
											<div class="col-md-12">
												<?php echo zinput(array('type'=>'address','label'=>'Project Address','name'=>'projectAddress','id'=>'_popupDiv_','validation'=>'required'));?>
											</div>
										</div>
									</div>
									
								</div>
							</div>
							<div class="row">
								<div class="form-actions">
									<div class="col-md-12">
										<div class="col-md-12 text-right">
											<a href="<?php echo site_url("ProjectPlanning/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
											<button type="submit" class="btn green"><?php echo zphrase('ADD');?></button>
										</div>
									</div>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	
<script type="text/javascript">
	$(document).ready(function() {
		$(".date-picker").datepicker({
			format: 'yyyy-mm-dd',
		}).datepicker("setDate", new Date());
	});
</script>		
<?php $this->load->view('template/footer.php');?>
