<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<!-- /.search -->
	<?php $this->load->view('report_accounting/search_income_statement.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold "> <?php echo zphrase('Report Income Statement');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<div class="row">
									<div class="col-md-12">
										<div class="dt-buttons">
											
											<a onclick="print_report()" class="btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="fa fa-print"></i>
												<span>Print</span>
											</a>
											
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="portlet-body" style="font-size:30px">
						
						<div class="print">
							<div align="center" style="font-size: 16px;font-family: Khmer OS Muol Light;text-decoration: underline;color: #06F;font-weight: bold;"><?php echo zphrase('Report Income Statement');?></div>
							<ul>
								<ul>
									<li style="color:#3914AF;font-weight: bold;font-size:16px"><?php echo zphrase('Sale Revenues');?></li>
									<ul>
										<?php foreach ($income as $in): ?>
											<?php $ttIncome += $in['income'];
												  $currency = $in['currency'];
											?>
											<li style="font-weight: bold;font-size:16px">
												<span><?php echo $in['pjnAccCode'].' '.$in['pacName'];?></span>
												<span style="float: right;padding-right: 49%;"><?php echo $currency.$in['income'];?></span>
											</li>
										<?php endforeach; ?>
									 </ul>
								</ul>
								<br/>
								<ul>
									<li style="color:#3914AF;font-weight: bold;font-size:16px"><?php echo zphrase('Expense');?></li>
									<ul>
										<?php foreach ($expense as $ex): ?>
											<?php $ttExpense += $ex['expense'];?>
											<li style="font-weight: bold;font-size:16px">
												<span><?php echo $ex['pjnAccCode'].' '.$ex['pacName'];?></span>
												<span style="float: right;padding-right: 49%;"><?php echo $currency.$ex['expense'];?></span>
											</li>
										<?php endforeach; ?>
									 </ul>
								</ul>
								<br/>
								<?php $total = $ttIncome - $ttExpense;
									if($currency == null){
										$currency = '';
									}
								?>
								<li style="color:red;font-weight: bold;font-size:13px">
									<span style="color:red;font-weight: bold;font-size:16px"><?php echo zphrase('Net Income');?></span>
									<span style="float: right;padding-right: 47%;"><?php echo $total?></span>
								</li>
							</ul>
						</div>	
					</div>
				</div>
			</div>
		</div>	
	</div>
<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
<?php $this->load->view('template/footer.php');?>