<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-plus font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Addnew');?></span>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form" action="<?php echo site_url('account_chart/insert')?>" method="post">
						<div class="form-body">
							<div class="portlet-title">
								<div class="caption font-green-sunglo">
									<span class="caption-subject sbold uppercase"><?php echo zphrase('Account chart');?></span>
								</div>
							</div>
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo zphrase('Group');?><span class="required"> * </span>
										</label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="pacType">
												<?php foreach ($account_type as $at): ?>
													<option value="<?php echo $at['patID'];?>"><?php echo $at['patName'];?></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Name');?> <span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="pacName" required>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Name KH');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="pacNameKH" required>
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Description');?></label>
										<div class="col-md-9">
											<textarea class="form-control" rows="3" name="pacDes"></textarea>
										</div>
									</div>
								</div>
							</div>
							<div class="form-actions">
							<div class="row">
								<div class="col-md-offset-3 col-md-9">
									<button type="submit" class="btn green"><?php echo zphrase('Save');?></button>
									<a href="<?php echo site_url("account_chart/view");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	
	<script>
		function clientName(obj){
			var id = $(obj).val();
			
			$.post("<?php echo site_url("pawn/getClient")?>", {id:id}, function(data){
				var d = $.parseJSON(data);
				
				if(d.pclGender = 'F'){
					var gender = 'Famale';
				}else{
					var gender = 'Male';
				}
				$('#gender').val(gender);
				$('#phone').val(d.pclPhone1);
			});
		}
	</script>
		
<?php $this->load->view('template/footer.php');?>