<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

    <!-- /.search -->
<?php $this->load->view('setting/position/search.php');?>
    <!-- /.end search -->

    <div class="row">
        <div class="col-md-12">
            <div class="col-md-12">
                <!-- BEGIN EXAMPLE TABLE PORTLET-->
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption font-red-sunglo">
                            <i class="fa fa-list font-red-sunglo"></i>
                            <span class="caption-subject bold"> <?php echo zphrase('Position');?></span>
                        </div>
                        <div class="actions">
                            <div class="btn-group">
                                <a class="btn btn-sm green " href="<?php echo site_url('position/addnew');?>">
                                    <i class="fa fa-plus"></i>
                                    <?php echo zphrase('Addnew');?>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="table-scrollable">
                            <table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
                                <thead>
                                <tr>
                                    <th><?php echo zphrase('Name');?></th>
                                    <th><?php echo zphrase('Action');?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach($data as $row): ?>
                                    <tr pd="<?php echo $row['pptID'];?>">
                                        <td><?php echo $row['pptName'];?></td>
                                        <td>
                                            <a class="btn btn-sm btn green" data-toggle="modal" href="<?php echo site_url('position/edit/'.$row['pptID']);?>"><i class="fa fa-check-square-o"></i></a>
                                            <a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <?php $this->load->view('setting/position/delete.php');?>
            </div>
        </div>
    </div>
    <script>
        function btnDelete(obj){
            var id = $(obj).closest("tr").attr("pd");
            $(".id").val(id);
        }
    </script>

<?php $this->load->view('template/footer.php');?>