<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User_group extends CI_Controller {
    function __construct() {
        parent::__construct();
        $this->load->model('user_group_model');
        $this->load->model('permission_model');
    }
    public function index(){
    }
    public function view(){
        $search_name = (empty($_POST['pugName']))? '':' pugName = "'.$_POST['pugName'].'" ';
        $search_des = (empty($_POST['pugDes']))? '':' pugDes = "'.$_POST['pugDes'].'" ';

        $data_search = array(
            'search_name' =>$search_name,
            'search_des' =>$search_des,
        );
        $search = $this->search_model->search($data_search);

        $data["data"] = $this->user_group_model->get($search);

        $data["icon"] = 'fa fa-users';
        $data["title"] = 'User Group';

        $this->load->view('setting/user_group/index.php',$data);
    }
    public function addnew(){
        $data["icon"] = 'fa fa-cogs';
        $data["title"] = 'permistion';

        $this->load->view('setting/user_group/addnew.php',$data);
    }
    public function insert(){

        $data = array(
            'pugName' => $_POST['pugName'],
            'pugDes' => $_POST['pugDes'],
        );
        $this->db->insert('nso007_user_group',$data);
        $insert_id = $this->db->insert_id();

        $menu = $this->user_group_model->getMenu();

        foreach($menu as $r){
            $data1 = array(
                'pmGroup' => $r['pmnID'],
                'pmKey' => $insert_id,
            );

            $this->db->insert('nso007_group',$data1);
        }


        redirect(site_url('user_group/view'));
    }
    public function permistion($id){
        $data["menu_main"] = $this->user_group_model->getMenuMain();
        $data["menu_single"] = $this->user_group_model->getGroupMenuSingle();
        $data["menu_permission"] = $this->user_group_model->getUserPermission($id);
        $data["array"] = array();
        $data["icon"] = 'fa fa-cogs';
        $data["title"] = 'Permistion';

        $data['group'] = $this->user_group_model->getGroupMenu($id);
        $data['gm'] = array();

        $this->load->view('setting/user_group/permistion.php',$data);
    }
    public function update_permistion(){

        $number_group = $_POST['group'];
        $this->db->where('pmKey', $number_group);
        $this->db->delete('nso007_group');

        $i = 0;
        foreach($_POST as $key => $row){
            if($row == 2){
                $data = array(
                    'pmGroup' => $key,
                    'pmKey' => $number_group,
                );

                $this->db->insert('nso007_group', $data);

            }

            $i++;
        }

        redirect(site_url('user_group/view'));
    }
    public function edit($id){
        $data["icon"] = 'fa fa-cogs';
        $data["title"] = 'edit';
        $data['data'] = $this->user_group_model->getID($id);
        $datas= $this->user_group_model->getID($id);

        $this->load->view('setting/user_group/edit.php',$data);
    }
    public function update($id){
        $data = array(
            'pugName' =>$_POST['pugName'],
            'pugDes' =>$_POST['pugDes'],
        );
        $this->db->where('pugID', $id);
        $this->db->update('nso007_user_group', $data);

        redirect(site_url('user_group/view'));
    }

}
