<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Project extends CI_Controller {
	function __construct() {
		parent::__construct();
		
		$this->load->library('pagination');
		$this->load->model('catagory_model');
		$this->load->library('upload');
        $this->load->model('permission_model');
	}

	public function index(){		
		
		$this->load->view('pawn/index.php');
	}
	public function view(){ 

		$data["data"] = $this->catagory_model->getProject();
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Project';
		$data["no"] = 1;
		
		$this->load->view('stock/project/index.php',$data);
	}
	public function addnew(){  
		
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Addnew';
		
		$this->load->view('stock/project/addnew.php',$data);
	}
	public function save(){
        $path = 'upload/layout/';
        if(!is_dir($path))mkdir($path,0777,TRUE);

        $extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
        $filename = basename($_FILES['image']['name'], '.'.$extension);

        $filename = empty($_FILES['image']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;
        move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);
		$data = array(

				'ppjName' => $_POST['name'],
				'ppjDes' => $_POST['des'],
				'ppjImage' => $filename,
				'ppjAddress' => $_POST['ppjAddress'],

		);
		$this->db->insert('nso007_project_stock',$data);
		
		redirect(site_url('stock/project/view'));
	}
	public function edit($id){
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Edit';
		$data["data"] = $this->catagory_model->getProjectID($id);
		
		$this->load->view('stock/project/edit.php',$data);
	}
	public function update($id){
        $path = 'upload/layout/';
        if(!is_dir($path))mkdir($path,0777,TRUE);

        $extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
        $filename = basename($_FILES['image']['name'], '.'.$extension);
        $ppjImage = $_POST["ppjImage"];
        $filename = empty($_FILES['image']['name']) ? "$ppjImage" : $filename.'-'.uniqid().'.'.$extension;
        move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);

        $data = array(
			'ppjName' => $_POST['name'],
			'ppjDes' => $_POST['des'],
            'ppjImage' => $filename,
            'ppjAddress' => $_POST['ppjAddress'],
		);
		
		$this->db->where('ppjID', $id);
		$this->db->update('nso007_project_stock', $data);
		
		redirect(site_url('stock/project/view'));
	}
	public function form_delete($id){
		$data['id'] = $id;
		echo json_encode($data);
	}
	public function delete(){
		$this->db->where('ppjID', $_POST['proID']);
		$this->db->delete('nso007_project_stock');
		
		redirect(site_url('stock/project/view'));
	}
}
