<?php
	function zreport($obj = ''){
		$ci = & get_instance();
		$icon = (empty($obj['icon']))?'fa fa-list':$obj['icon'];
		$title = (empty($obj['title']))?'Report':zphrase($obj['title']);
		$thead = (empty($obj['th']))?0:$obj['th'];
		
		$th = '';
		for($i=0;$i<count($thead);$i++){
			$th .= '<th>'.zphrase($thead[$i]).'</th>';
		}
		
		// start switch
		switch ($obj['body']){
			case 'header':
				 $excel = "exportTo('xls')";
				 $table = '
				
					<div class="row">
						<div class="col-md-12">
							<div class="col-md-12">
								<!-- BEGIN EXAMPLE TABLE PORTLET-->
								<div class="portlet light bordered">
									<div class="portlet-title">
										<div class="caption font-red-sunglo">
											<i class="'.$icon.' font-red-sunglo"></i>
											<span class="caption-subject bold"> '.$title.'</span>
										</div>
										<div class="actions">
											<div class="btn-group">
												<div class="row">
													<div class="col-md-12">
														<div class="dt-buttons">
															
															<a onclick="print_report()" class="btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
																<i class="fa fa-print"></i>
																<span>Print</span>
															</a>
															<a onclick="'.$excel.'" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
																<i class="icon-book-open"></i>
																<span>Excel</span>
															</a>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="portlet-body">
										
										<div class="print">
											<div class="table-scrollable">
												<table class="table table-bordered dt-responsive" width="100%" id="sample_4">
													<thead>
														<tr>
															'.$th.'
														</tr>
													</thead>
													<tbody>
				 ';
			break;
			case 'footer':
				 $table = '			
													</tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
							</div>	
						</div>	
					</div>
					<script src="'.base_url("assets/js/print_report.js").'" type="text/javascript"></script>';
			break;
			
			default:
			  $table = '';
		}
		//end switch		
			
		
		
		return $table; 	
	}
	function zsearch($obj = ''){
		$ci = & get_instance();
		$url = (empty($obj['url']))?'':site_url($obj['url']);
		
		// start switch
		switch ($obj['body']){
			case 'header':
				 $table = '
					<div class="row">
						<div class="col-md-12">
							<div class="col-md-12">
								<div class="portlet light bordered">
									<div class="portlet-title">
										<div class="caption font-red-sunglo">
											<i class="icon-settings font-red-sunglo"></i>
											<span class="caption-subject bold"> '.zphrase("search").'</span>
										</div>
									</div>
									<form class="form-horizontal" id="myForm" role="form" action="'.$url.'" method="post">
										<div class="form-body">
											<div class="col-md-12">
				 ';
			break;
			case 'footer':
				 $table = '
										</div>
										</div>
										<div class="form-actions">
											<button type="submit" class="btn blue"><i class="fa fa-search"></i> '.zphrase("Search").'</button>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				 ';
			break;
			
			default:
			  $table = '';
		}
		//end switch		
			
		
		
		return $table; 	
	}
	
	function zmodal($obj = ''){
		$ci = & get_instance();
		$url = (empty($obj['url']))?'':site_url($obj['url']);
		$title = (empty($obj['title']))?'':$obj['title'];
		$id = (empty($obj['id']))?'':$obj['id'];
		$cancel = (empty($obj['cancel']))?'cancel':$obj['cancel'];
		$save = (empty($obj['save']))?'save':$obj['save'];
		
		// start switch
		switch ($obj['body']){
			case 'header':
				 $table = '
					<div class="modal fade bs-modal-lg" id="'.$id.'" tabindex="-1" role="dialog" aria-hidden="true">
						<div class="modal-dialog modal-lg">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
									<h4 class="modal-title">'.zphrase($title).'</h4>
								</div>
								<br/>
								<form class="form-horizontal" role="form" action="'.$url.'" method="post">
									<div class="row">
										<div class="col-md-12">
				 ';
			break;
			case 'footer':
				 $table = '
									</div>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn dark btn-outline" data-dismiss="modal">'.zphrase($cancel).'</button>
									<button type="submit" class="btn green">'.zphrase($save).'</button>
								</div>
							</form>
						</div>
						<!-- /.modal-content -->
					</div>
					<!-- /.modal-dialog -->
				</div>
				 ';
			break;
			
			default:
			  $table = '';
		}
		//end switch		
			
		
		
		return $table; 	
	}
	function zaddnew($obj = ''){
		$ci = & get_instance();
		$url = (empty($obj['url']))?'':site_url($obj['url']);
		$cancel = (empty($obj['cancel']))?'cancel':zphrase($obj['cancel']);
		$save = (empty($obj['save']))?'save':$obj['save'];
		
		// start switch
		switch ($obj['body']){
			case 'header':
				 $table = '
					<div class="row">
						<div class="col-md-12">
							<div class="col-md-12">
							<!-- BEGIN SAMPLE FORM PORTLET-->
							<div class="portlet light bordered">
								<div class="portlet-title">
									<div class="caption font-red-sunglo">
										<i class="fa fa-plus font-red-sunglo"></i>
										<span class="caption-subject sbold">'.zphrase('Addnew').'</span>
									</div>
								</div>
								<div class="portlet-body">
									<form class="form-horizontal" role="form" action="'.$url.'" method="post">
										<div class="form-body">
											<div class="col-md-12">
				 ';
			break;
			case 'footer':
				 $table = '
											</div>
											<div class="form-actions">
											<div class="row">
												<div class="col-md-offset-3 col-md-9">
													<button type="submit" class="btn green">'.zphrase($save).'</button>
													<button type="button" class="btn default">'.zphrase($cancel).'</button>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				 ';
			break;
			
			default:
			  $table = '';
		}
		//end switch		
			
		
		
		return $table; 	
	}
	function zlist($obj = ''){
		$ci = & get_instance();
		$addnew = (empty($obj['addnew']))?'':site_url($obj['addnew']);
		$import = (empty($obj['import']))?'':site_url($obj['import']);
		$title = (empty($obj['title']))?'Lost':$obj['title'];
		$thead = (empty($obj['th']))?0:$obj['th'];
		
		if(!empty($obj['addnew'])){
			$addnew = '
				<div class="actions">
					<div class="btn-group">
						<a class="btn btn-sm green " href="'.$addnew.'"> 
							<i class="fa fa-plus"></i>
							'.zphrase('Addnew').'								
						</a>
					</div>
				</div>
			';
		}else{
			$addnew = '';
		}
		if(!empty($obj['import'])){
			$import = '
				<div class="actions" style="margin-right: 10px">
					<div class="btn-group">
						<a class="btn btn-sm green " href="'.$import.'"> 
							<i class="fa fa-plus-circle"></i>
							'.zphrase('Import').'								
						</a>
					</div>
				</div>
			';
		}else{
			$import = '';
		}
		
		$th = '';
		for($i=0;$i<count($thead);$i++){
			$th .= '<th>'.zphrase($thead[$i]).'</th>';
		}
		
		// start switch
		switch ($obj['body']){
			case 'header':
				 $table = '
					<style>
						.dt-buttons{
							display: none;
						}
					</style>
					<div class="row">
                        <div class="col-md-12">
                            <!-- BEGIN EXAMPLE TABLE PORTLET-->
                            <div class="portlet light bordered">
                                <div class="portlet-title">
                                    <div class="caption font-red-sunglo">
                                        <i class="fa fa-list font-red-sunglo"></i>
                                        <span class="caption-subject bold">'.zphrase($title).'</span>
                                    </div>
                                    '.$addnew.' '.$import.'
                                </div>
                                <div class="portlet-body">
								
                                    <table class="table table-striped table-bordered table-hover" id="sample_1">
                                        <thead>
                                            <tr>
                                                '.$th.'
                                            </tr>
                                        </thead>
                                        <tbody>
					
				 ';
			break;
			case 'footer':
				 $table = '</tbody>
                                    </table>
                                </div>
                            </div>
							
							<!-- BEGIN PAGE LEVEL PLUGINS -->
							<script src="'.base_url('assets/global/scripts/datatable.js').'" type="text/javascript"></script>
							<script src="'.base_url('assets/global/plugins/datatables/datatables.min.js').'" type="text/javascript"></script>
							<script src="'.base_url('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js').'" type="text/javascript"></script>
							<!-- END PAGE LEVEL PLUGINS -->
							<!-- BEGIN PAGE LEVEL SCRIPTS -->
							<script src="'.base_url('assets/pages/scripts/table-datatables-responsive.min.js').'" type="text/javascript"></script>
							<!-- END PAGE LEVEL SCRIPTS -->
							';
			break;
			
			default:
			  $table = '';
		}
		//end switch		
			
		
		
		return $table; 	
	}

?>
