<?php
	class Accounting_model extends CI_Model{
		
		
		public function getIncome($search){
			$search = (empty($search))? " WHERE pjnAccCode like '4%' AND pjnCr > 0 AND pjnStatus = 0 ":" $search AND pjnAccCode like '4%' AND pjnCr > 0 AND pjnStatus = 0 ";
			$data = $this->db->query("SELECT *,CONCAT(pliFristName,' ',pliLastName) AS userName,pacName,currency.pdwNameFull AS currency
									FROM nso007_jounal 
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									LEFT JOIN nso007_dropdown AS currency ON nso007_jounal.pjnCurrency = currency.pdwCode AND pdStatus = 5
									$search order by pjnID ASC"); 
			return $data->result_array(); 
		}
		public function getAccounting($type){
			$data = $this->db->query("SELECT pacCode,pacName 
										FROM nso007_account_chart
										LEFT JOIN nso007_account_type ON nso007_account_chart.pacType = nso007_account_type.patID
										WHERE patGroup = $type");
			return $data->result_array();
		}
		
		public function insertJounal($type){
			$data = $this->db->query("SELECT pacCode,pacName 
										FROM nso007_account_chart
										LEFT JOIN nso007_account_type ON nso007_account_chart.pacType = nso007_account_type.patID
										WHERE patGroup = $type");
			return $data->result_array();
		}
	
		public function getExpense($search){
			$search = (empty($search))? " WHERE pjnAccCode like '5%' AND pjnType NOT IN (13) ":" $search AND pjnAccCode like '5%' AND pjnType NOT IN (13) ";
			$data = $this->db->query("SELECT *,CONCAT(pliFristName,' ',pliLastName) AS userName,pacName
									FROM nso007_jounal 
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									LEFT JOIN nso007_project_stock ON nso007_jounal.pay_for = nso007_project_stock.ppjID
									$search order by pjnID desc"); 
			return $data->result_array(); 
		}
		public function getCapital($search){
			$search = (empty($search))? " WHERE pjnAccCode like '3%' and pjnAccCode <> 30002 ":" $search AND pjnAccCode like '3%' and pjnAccCode <> 30002 ";
			$data = $this->db->query("SELECT *,CONCAT(pliFristName,' ',pliLastName) AS userName,currency.pdwNameFull AS currency,nso007_account_chart.pacName AS pacName
									FROM nso007_jounal 
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									LEFT JOIN nso007_dropdown AS currency ON nso007_jounal.pjnCurrency = currency.pdwCode AND pdStatus = 5
									$search order by pjnID desc"); 
			return $data->result_array(); 
		}
		public function getAccountChat($code){
			$data = $this->db->query("SELECT pacCode,pacName FROM nso007_account_chart WHERE pacCode LIKE '$code%'"); 
			return $data->result_array(); 
		}
		
		public function getAccountCase($code){
			$data = $this->db->query("SELECT pacCode,pacName FROM nso007_account_chart LEFT JOIN nso007_account_type ON nso007_account_chart.pacType = nso007_account_type.patID WHERE pacCode LIKE '$code%' AND patName = 'cash'");
			return $data->result_array(); 
		}
		public function getWidrawal($search){
			$search = (empty($search))? " WHERE pjnAccCode = 30002 ":" $search AND pjnAccCode = 30002 ";
			$data = $this->db->query("SELECT *,CONCAT(pliFristName,' ',pliLastName) AS userName ,pacName,currency.pdwNameFull AS currency
									FROM nso007_jounal 
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									LEFT JOIN nso007_dropdown AS currency ON nso007_jounal.pjnCurrency = currency.pdwCode AND pdStatus = 5
									$search order by pjnID desc"); 
			return $data->result_array(); 
		}
		public function getLibility($search){
			$search = (empty($search))? " WHERE pjnAccCode like '2%' ":" $search AND pjnAccCode like '2%' ";
			$data = $this->db->query("SELECT *,CONCAT(pliFristName,' ',pliLastName) AS userName ,pacName
									FROM nso007_jounal 
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									$search "); 
			return $data->result_array(); 
		}
		public function getLibilit1($search){
			$search = (empty($search))? "":$search;
			$data = $this->db->query("SELECT
									nso007_libility.lbID,
									nso007_libility.lbLibilityItem,
									nso007_libility.lbDes,
									nso007_libility.lbFrom,
									lbAmount,
									nso007_libility.lbDate,
									nso007_libility.lbUser,
									nso007_libility.lbCurrency,
									nso007_libility.lbInvoice,
									nso007_libility.lbBrand,
									nso007_libility_history.lhID,
									nso007_libility_history.lhLibilityID,
									nso007_libility_history.lhForm,
									COALESCE(SUM(lhAmount),0) AS lhAmount,
									currency.pdwNameFull AS currency
									FROM
									nso007_libility
									left JOIN nso007_libility_history ON nso007_libility.lbID = nso007_libility_history.lhLibilityID
									LEFT JOIN nso007_dropdown AS currency ON nso007_libility.lbCurrency = currency.pdwCode AND currency.pdStatus = 5
									$search
									GROUP BY lbID order by lbID desc"); 
			return $data->result_array(); 
		}
		



		/*
		*** Phollin
		*** viwe Pritn 
		***
		*/
		public function getProjectModel($expense_id){

			$search = (empty($search))? " WHERE  pjnID = $expense_id and pjnAccCode like '5%' AND pjnType NOT IN (13) ":" $search AND pjnAccCode like '5%' AND pjnType NOT IN (13) ";
			$data = $this->db->query("SELECT *,CONCAT(pliFristName,' ',pliLastName) AS userName,pacName
									FROM nso007_jounal 
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									LEFT JOIN nso007_project_stock ON nso007_jounal.pay_for = nso007_project_stock.ppjID
									$search order by pjnID desc");

			return $data->result_array();

		}
		public function getSaleCr($sale_id){


			$data = $this->db->query("SELECT * FROM nso007_jounal 
									WHERE  pjnRefID = $sale_id and pjnAccCode like '42010' AND pjnStatus = 0 AND pjnType = 4 ");

			return $data->row();

		}
		
	}
?>
