<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<!-- test -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-plus font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Addnew');?></span>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form" action="<?php echo site_url('pawn/insert')?>" method="post" enctype="multipart/form-data">
						<div class="form-body">
							<div class="portlet-title">
								<div class="caption font-green-sunglo">
									<span class="caption-subject sbold uppercase"><?php echo zphrase('Information Client');?></span>
								</div>
							</div>
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo zphrase('Client Name');?><span class="required"> * </span>
										</label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" onchange="clientName(this)" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="ppwClientID">
													<option></option>
												<?php foreach ($client_drop as $cd): ?>
													<option value="<?php echo $cd['pclID'];?>"><?php echo $cd['pclName'];?></option><option></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Number Phone');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" id="phone" disabled>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Gender');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" id="gender" disabled>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('ID Card');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" id="idcart" disabled>
										</div>
									</div>
								</div>
								<div class="col-md-6">
								</div>
							</div>
							<div class="portlet-title">
								<div class="caption font-red-sunglo">
									<span class="caption-subject sbold uppercase"><?php echo zphrase('information pawn');?></span>
								</div>
							</div>
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group last">
										<label class="control-label col-md-3"></label>
										<div class="col-md-9">
											<div class="fileinput fileinput-new" data-provides="fileinput">
												<div class="fileinput-new thumbnail" style="width: 200px; height: 150px;">
													<img src="http://toppillcaremarket.com/;text=no+image" alt="" /> </div>
												<div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 200px; max-height: 150px;"> </div>
												<div>
													<span class="btn default btn-file">
														<span class="fileinput-new"><?php echo zphrase('Select image');?></span>
														<span class="fileinput-exists"><?php echo zphrase('Change');?></span>
														<input type="file" name="ppwImage"/> 
													</span>
													<a href="javascript:;" class="btn red fileinput-exists" data-dismiss="fileinput"><?php echo zphrase('Remove');?></a>
												</div>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Pawn Name');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwName" required>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Model');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwModel">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Seri');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwSeri">
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Machine Number');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwMachine">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Body Number');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwBody">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Book Number');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwBook">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Card Number');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwCard">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Plad Number');?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwPlad">
										</div>
									</div>
								</div>
							</div>
							<div class="portlet-title">
								<div class="caption font-red-sunglo">
									<span class="caption-subject sbold uppercase"><?php echo zphrase('Information Interest');?></span>
								</div>
							</div>
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Amount');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="number" class="form-control" name="ppwAmount" required>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo zphrase('Currency');?><span class="required"> * </span>
										</label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="ppwCurrentcy">
												<?php foreach ($term_currency as $tc): ?>
													<option value="<?php echo $tc['pdwCode'];?>"><?php echo $tc['pdwNameFull'];?></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo zphrase('Type');?><span class="required"> * </span>
										</label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="ppwInterestType">
													<option></option>
												<?php foreach ($term_type as $tt): ?>
													<option value="<?php echo $tt['pdwCode'];?>"><?php echo $tt['pdwNameFull'];?></option><option></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Duration');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwDuration" required>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo zphrase('Term');?><span class="required"> * </span>
										</label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="ppwTerm">
													<option></option>
												<?php foreach ($term_drop as $td): ?>
													<option value="<?php echo $td['pdwCode'];?>"><?php echo $td['pdwNameFull'];?></option><option></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('interest');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="ppwInterest" required>
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo zphrase('Schedule');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" data-live-search="true" data-size="8" name="ppwSchedule" required>
												<option value="1"><?php echo zphrase('show schedule');?></option>
												<option value="2"><?php echo zphrase('not shedule');?></option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Dodate');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control date-picker" name="ppwDodate" required>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label"><?php echo zphrase('Frist Pay Date');?><span class="required"> * </span></label>
										<div class="col-md-9">
											<input type="text" class="form-control date-picker" name="ppwFristPayDate" required>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo zphrase('DoBy');?><span class="required"> * </span>
										</label>
										<div class="col-md-9">
											<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="ppwBy" value='1'>
													<option></option>
												<?php foreach ($user_drop as $ud): ?>
													<option value="<?php echo $ud['pliID'];?>"><?php echo $ud['userName'];?></option><option></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
								</div>
							</div>
							<div class="form-actions">
							<div class="row">
								<div class="col-md-offset-3 col-md-9">
									<button type="submit" class="btn green"><?php echo zphrase('Submit');?></button>
									<button type="button" class="btn default"><?php echo zphrase('Cancel');?></button>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	
	<script>
		function clientName(obj){
			var id = $(obj).val();
			
			$.post("<?php echo site_url("pawn/getClient")?>", {id:id}, function(data){
				var d = $.parseJSON(data);
				
				if(d.pclGender == '1'){
					var gender = 'Famale';
				}else if(d.pclGender == '2'){
					var gender = 'Male';
				}
				$('#gender').val(gender);
				$('#phone').val(d.pclPhone1);
				$('#idcart').val(d.pcllDCard);
			});
		}
	</script>
		
<?php $this->load->view('template/footer.php');?>