<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<link href="<?php echo base_url(); ?>assets/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
		<link href="<?php echo base_url();?>assets/global/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
		<?php include('./application/views/print_contract/header-css.php'); ?>
		<style type="text/css">

			@font-face {

                font-family: 'Khmer OS Content';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

            }
			@font-face {

                font-family: 'Khmer OS Muol Light';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOS_muollight.ttf");

            }

            @font-face {

                font-family: 'Khmer Mool1';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

            }
			@media screen {

				#footer{

					display: none;

				}

				/* Large desktop */

				@media (min-width: 1200px) {

					#panelPrint {

						margin: 0 auto;

						width: 900px;

					}

				}

				/* Portrait tablet to landscape and desktop */

				@media (min-width: 768px) and (max-width: 979px) {

					#panelPrint {

						margin: 0 auto;

						width: 900px;

					}
				}

				/* Landscape phone to portrait tablet */

				@media (max-width: 767px) {

					#panelPrint {

						margin: 0 auto;

						width: 90%;

					}

				}

				/* Landscape phones and down */

				@media (max-width: 480px) {

			    	#panelPrint {

						margin: 0 auto;

						width: 90%;

					}

				}

			}

			@page {

			 margin: 1.3cm;

			}


			html{

				background-color: #FFFFFF !important;

				margin: 0px;

			}

			body{

				margin: 20mm 0mm 20mm 10mm !important;

			}

			.logo-page {
				width:10%;
				float:left;
				overflow:hidden;
				position:absolute;
				margin-left:5%;
			}

			/*.bg_image {
				width: 100% !important;
				height: auto;
				overflow: hidden;
				background-image: url(<?php echo base_url().'assets/img/bg_image.png'; ?>) !important;
				background-size: contain;
				background-repeat: repeat-y;
				background-position: top center;

			}*/

			.panelBody {
				font-family: 'Khmer OS Content' !important;
			}

			.contract-title {
				font-family: 'Khmer OS Content' !important;
			}
			.letter-bold {
				font-weight: bold !important;
			}
			b {
				padding: 0 20px !important;
			}
            p.pad{
                padding-left: 10px !important;
            }
            div.tindent{
                text-indent: 50px !important;
            }
            p.lineh{
                line-height: 32px;
            }
		</style>
	</head>

	<body>
		<div class="container btn-print">
            <div class="row">
                <div class="col-md-12">
                    <button onclick="myprint()" class="btn btn-warning pull-right" style="margin: 5px;"> <i class="fa fa-file-pdf-o"  title="Print"></i> </button>
                	<button onclick="Export2Doc('exportContent', 'Contract');" class="btn btn-info pull-right" style="margin: 5px;"><i class="fa fa-file-word-o " title="Export to word"></i></button>
                    <button class="btn btn-success pull-right" style="margin: 5px;" data-toggle="modal" data-target="#borderingform"><i class="fa fa-pencil-square-o"></i></button>
                </div>
            </div>
            <div class="row">
                <div class="modal fade" id="borderingform" tabindex="-1" role="dialog" aria-labelledby="largeModal" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <?php
                            $data = $this->db->query("
									SELECT * FROM nso007_contract_bordering WHERE bordering_loanid = $contractid
								");
                            $get = $data->row();
                            $data = $data->num_rows();
                            ?>

                            <form action="<?php
                            if ($data == 1) {
                                echo site_url('loan/loan/contract_bordering_update/').$contractid;
                            }else{
                                echo site_url('loan/loan/contract_bordering/').$contractid;
                            }
                            ?>" method="post" accept-charset="utf-8">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="myModalLabel">មានព្រំប្រទល់ដូចខាងក្រោម៖</h4>
                                </div>
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="row">
                                                        <label class="col-md-2 control-label"> ដីខាងលើស្ថិតនៅ៖ </label>
                                                        <div class="col-md-10">
															<textarea class="form-control  " rows="3" name="item-address" placeholder="ដីខាងលើស្ថិតនៅ" id="" value=""><?php if ($data == 1) {
                                                                    echo $get->bordering_address;
                                                                }; ?></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
		<div id="exportContent">			
	        <div id="panelPrint">
				<div class="panelBody">
					<?php
						echo '
						<div class="bg_image">
						    
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p class="lineh">២.២​ ក្នុ​ង​ក​រ​ណី​ដែ​ល​ភា​គី​(​ខ​)​យឺ​ត​យ៉ាវ​ ​ឬ​ខ​ក​ខា​ន​មិ​ន​បា​ន​ប​ង់​ប្រា​ក់​តា​ម​កា​ល​កំ​ណ​ត់​ ​នៃ​តា​រា​ង​ប​ង់​រំ​ល​ស់​លើ​ស​រ​យៈ​ពេ​ល​ ​១​០​ថ្ងៃ​ ​ភា​គី​(​ខ​)​សុ​ខ​ចិ​ត្ត​ប​ង់​ប្រា​ក់​ពិ​ន័​យ​ក្នុ​ង​អ​ត្រា​ ​១​០​%​ (​ដ​ប់​ភា​គ​រ​យ​)​ ​នៃ​ទឹ​ក​ប្រា​ក់​ត្រូ​វ​ប​ង់​ប្រ​ចាំ​ខែ​ជូ​ន​ដ​ល់​ភា​គី​(​ក​)​។​</p>
								</div>​
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p class="lineh">២.៣​ ក​រ​ណី​ភា​គី​(​ខ​)​មិ​ន​បា​ន​ប​ង់​ប្រា​ក់​រំ​ល​ស់​ ​ក្នុ​ង​រ​យៈ​ពេ​ល​ ​០​៣​ ​ខែ​ជា​ប់​ៗ​គ្នា​ ​នោះ​ចា​ត់​ទុ​ក​ថា​ភា​គី​(​ខ​)​បា​ន​បោះ​ប​ង់​ចោ​ល​កា​រ​ទិ​ញ​ដី​ឡូតិ៍​នេះ​ជា​ឯ​ក​តោ​ភា​គី​។​ ​ក​រ​ណី​នេះ​ ​​ភា​គី​(​ក​)​មា​ន​សិ​ទ្ធិ​ប​ញ្ចប់​កិ​ច្ច​ស​ន្យា​ទិ​ញ​ល​ក់​ដី​ ​ហើ​យ​ប្រា​ក់​ក​ក់​ ​និ​ង​ ​ប្រា​ក់​ប​ង់​ប្រ​ចាំ​ខែ​ស​រុ​ប​ ​នឹ​ង​មិ​ន​ត្រូវ​បា​ន​ប្រគ​ល់ជូន​ភា​គី​(​ខ​)​វិញ​ឡើយ​។​ ​ហើ​យ​ភា​គី​(​ក​)​មា​ន​សិ​ទ្ធិ​ចា​ត់​ចែ​ង​គ្រ​ប់​បែ​ប​យ៉ា​ង​ចំ​ពោះ​ដី​ឡូតិ៍​ដូ​ច​បា​ន​ចែ​ង​ក្នុ​ង​ចំ​ណុ​ច​ ​១​.​១​ ​ខា​ង​លើ​។​</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p class="lineh">២.៤​ ភា​គី​(​ខ​)​មា​ន​សិ​ទ្ធ​ប​ង់​ផ្ដា​ច់​ ​រឺ​ប​ង់​ប្រា​ក់​ប​ន្ថែ​ម​ជា​រៀ​ង​រា​ល់​ខែ​ ​ដោ​យ​មិ​ន​មា​ន​ការ​ពិ​ន័យ​។​ហើយ​ភា​គី​(​ក​)​ត្រូ​វ​ធ្វើ​តា​រា​ង​ប​ង់​រំ​ល​ស់​ថ្មី​ជូ​ន​ភា​គី​(​ខ​)​។​</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12">
						           <p class="letter-bold">ចំណុចទី៣÷ អំពីលក្ខខណ្ឌអវសាន</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p class="lineh">៣.១​ កិ​ច្ច​ព្រ​ម​ព្រៀ​ង​នេះ​គឺ​ជា​ច្បា​ប់​មួ​យ​រ​ប​ស់​ភា​គី​ទាំង​ពី​រត្រូវ​អ​នុ​វត្ដ​ប​ន្ទា​ប់​ពី​ចុះ​ហ​ត្ថ​លេ​ខា​ ​រឺ​ផ្ដិ​ត​មេ​ដៃ​ស្ដាំ​ជា​ភ​ស្ដុ​តា​ង​។​ ​ក​រ​ណី​មា​ន​ភា​គី​ណា​មួ​យ​មិ​ន​គោ​រ​ព​តា​មចំ​ណុ​ច​ខា​ង​លើនៃ​កិ​ច្ច​ព្រ​ម​ព្រៀង​នេះ​ ​នឹ​ង​ត្រូវ​ទ​ទួ​ល​ខុ​ស​ត្រូវ​ចំ​ពោះមុ​ខ​ច្បា​ប់​ជា​ធ​រ​មា​ន​។​</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p class="lineh">៣.២​ កិ​ច្ច​ព្រ​ម​ព្រៀ​ង​នេះ​ធ្វើ​ឡើ​ង​ជា​ភា​សា​ខ្មែ​រ​ចំ​នួ​ន​ ​០​២​ ​ច្បា​ប់​ដើ​ម​ ​មា​ន​ត​ម្លៃ​ស្មើ​គ្នា​ ​ដែ​ល​ត្រូ​វ​ដំ​ក​ល់​ទុ​ក​នៅ​ភា​គី​(​ក​)​ ​ចំ​នួ​ន​ 0​១​ ​ច្បា​ប់​ ​និ​ង​ភា​គី​(​ខ​)​ ​ចំ​នួ​ន​ ​0​១​ច្បា​ប់​។​</p>
								</div>
                            </div>
                            <div class="row">
						        <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
						           <p class="lineh">៣.៣​ ក្រោ​យ​ពី​បា​ន​អា​ន​ ​និ​ង​យ​ល់​ខ្លឹ​ម​សា​រ​ច​ប់​ស​ព្វ​គ្រប់​ ​ភា​គី​ទាំ​ង​ពី​រ​បា​ន​ឯក​ភា​ព​គ្នា​ ​និ​ង​ ផ្ដិ​ត​មេ​ដៃ​ស្ដាំ​ដោ​យ​ស្ម័​គ្រ​ចិ​ត្ដ​ទុ​ក​ជា​ភ​ស្ដុ​ង​តា​ង​៕​</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div align="right" class="col-lg-12 col-sm-12 col-xs-12">
						           <p>ធ្វើនៅថ្ងៃទី.............ខែ..............ឆ្នាំ 20........</p>
								</div>
						       
                            </div><br>
                            <div class="row">
						        <div align="center" class="col-lg-4 col-sm-4 col-xs-4">
						           <p>ស្នាមមេដៃស្តាំអ្នកលក់</p>
								</div>
						        <div align="center" class="col-lg-4 col-sm-4 col-xs-4">
						           <p>សាក្សី</p>
								</div>
						        <div align="center" class="col-lg-4 col-sm-4 col-xs-4">
						           <p>ស្នាមមេដៃស្តាំអ្នកទិញ</p>
								</div>
						       
                            </div><br><br><br>
                            <div class="row">
						        <div align="center" class="col-lg-4 col-sm-4 col-xs-4">
						           <p>ចាន់ សូរីយា</p>
								</div>
						        <div align="center" class="col-lg-4 col-sm-4 col-xs-4">
						           <p>.....................</p>
								</div>
						        <div align="center" class="col-lg-4 col-sm-4 col-xs-4">
						           <p>.....................</p>
								</div>
						       
                            </div><br>
                            <div class="row">
						        <div style="text-indent: 90px;" class="col-lg-12 col-sm-12 col-xs-12">
						           <p class="letter-bold" style="text-decoration:underline ">ភា្ជប់មកជាមួយនូវ៖</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div style="text-indent: 120px;" class="col-lg-12 col-sm-12 col-xs-12">
						           <p>-	កិច្ចសន្យាទិញលក់ដីឡូតិ៍ច្បាប់ដើម ០១ ច្បាប់</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div style="text-indent: 120px;" class="col-lg-12 col-sm-12 col-xs-12">
						           <p>-	អត្ដសញ្ញាណប័ណ្ណអ្នកទិញ ច្បាប់ចម្លង ០១ច្បាប់</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div style="text-indent: 120px;" class="col-lg-12 col-sm-12 col-xs-12">
						           <p>-	អត្ដសញ្ញាណប័ណ្ណអ្នកលក់ ច្បាប់ចម្លង ០១ ច្បាប់</p>
								</div>
						       
                            </div>
						
						</div>
						';
					?>
				</div>
			</div>
		</div>
	</body>
	<script type="text/javascript">
	    function myprint() {
	        window.print();
	    }
	</script>
</html>
<style type="text/css">
	@media print {
        p.pad{
            padding-left: 10px !important;
        }
        div.tindent{
            text-indent: 50px !important;
        }
		.btn-print {
            display: none !important;
        }

		.letter-bold {
			font-weight: bold !important;
		}
	    @font-face {

            font-family: 'Khmer OS Content';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

        }

        @font-face {

            font-family: 'Khmer Mool1';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

        }

	}
</style>
<script type="text/javascript">
	function Export2Doc(element, filename = ''){
	    var preHtml = "<html xmlns:o='urn:schemas-microsoft-com:office:office' xmlns:w='urn:schemas-microsoft-com:office:word' xmlns='http://toppillcaremarket.com/'><head><meta charset='utf-8'><title>Export HTML To Doc</title></head><body>";
	    var postHtml = "</body></html>";
	    var html = preHtml+document.getElementById(element).innerHTML+postHtml;

	    var blob = new Blob(['\ufeff', html], {
	        type: 'application/msword'
	    });
	    
	    // Specify link url
	    var url = 'data:application/vnd.ms-word;charset=utf-8,' + encodeURIComponent(html);
	    
	    // Specify file name
	    filename = filename?filename+'.doc':'document.doc';
	    
	    // Create download link element
	    var downloadLink = document.createElement("a");

	    document.body.appendChild(downloadLink);
	    
	    if(navigator.msSaveOrOpenBlob ){
	        navigator.msSaveOrOpenBlob(blob, filename);
	    }else{
	        // Create a link to the file
	        downloadLink.href = url;
	        
	        // Setting the file name
	        downloadLink.download = filename;
	        
	        //triggering the function
	        downloadLink.click();
	    }
	    
	    document.body.removeChild(downloadLink);
	}	
</script>
<script src="<?php echo base_url(); ?>assets/global/plugins/jquery.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
