
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<form class="form-horizontal" role="form" action="<?php echo site_url('ProjectPlanningItem/save')?>" method="post" enctype="multipart/form-data">
	<!-- /.data -->

	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-plus font-red-sunglo"></i>
							<span class="caption-subject sbold uppercase"><?php echo zphrase('Add Item');?></span>
						</div>
					</div>
					<div class="portlet-body">
						<div class="row">
							<div class="col-md-12">
								<div class="form-body">
									<div class="col-md-6">
										<div class="row">
											<?php echo zinput(array('type'=>'select2','label'=>'Project Name','name'=>'project_id','data'=>$this->zone->data(array('table'=>'nso007_project_planning','value'=>'projectID','text'=>'projectName'))));?>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Item Name');?><span class="required"> * </span></label>
										<div class="col-md-8">
											<input type="text" class="form-control" name="itemName" required>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Item Size');?> (m<sup>2</sup>)</label>
										<div class="col-md-8">
											<input type="text" class="form-control itemSize" name="itemSize">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Item Cost / m<sup>2</sup>');?> ($)</label>
										<div class="col-md-8">
											<input type="text" class="form-control itemCost" name="itemCost">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Total Item Cost');?> ($)</label>
										<div class="col-md-8">
											<input type="text" class="form-control itemTotalCost" name="itemTotalCost" readonly>
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Certificate');?> (.pdf)</label>
										<div class="col-md-8">
											<input type="file" name="itemCertificate">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Item Date');?><span class="required"> * </span></label>
										<div class="col-md-8">
											<input type="text" class="form-control date-picker" name="itemDate" required>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-4 control-label"><?php echo zphrase('Item Address');?></label>
										<div class="col-md-8">
											<textarea class="form-control" name="itemAddress" cols="50" rows="3"></textarea>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="form-actions">
								<div class="col-md-12">
									<div class="col-md-12 text-right">
										<a href="<?php echo site_url("ProjectPlanningItem/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
										<button type="submit" class="btn green"><?php echo zphrase('ADD');?></button>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>
	<!-- /.end data -->
<?php $this->load->view('template/footer.php');?>
<script type="text/javascript">
	 $(document).ready(function() {
		$('.itemCost').on('keyup',function(){
	 		var cost = $(this).val();
	 		var size  = $('.itemSize').val();

	 		var itemCost = parseFloat(cost);
			var itemSize = parseFloat(size);

			var itemTotalCost = itemCost * itemSize;
			$('.itemTotalCost').val(itemTotalCost);
		});
		$('.itemCost').on('keyup',function(){
	 		var itemCost = $(this).val();
	 		var itemSize  = $('.itemSize').val();

	 		var cost = parseFloat(itemCost);
			var size = parseFloat(itemSize);
			var total = cost * size;
			$('.itemTotalcost').val(total);
		});
	});
</script>

<style type="text/css">
.pdf-browse {
	background: url(http://toppillcaremarket.com/) no-repeat;
	background-size: cover;
	position: relative;
	display: block;
	margin-left: auto;
	margin-right: auto;
	cursor: pointer;
	width: 30px;
	height: 30px;
}
#itemType {
	width: 100%;
	opacity: 0;
	filter: alpha(opacity=0); /* IE 5-7 */
	overflow: hidden;
	display: block;
	width: 30px;
	height: 30px;
}
</style>
