<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-plus font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Edit');?></span>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form" action="<?php echo site_url('user/update/'.$data->pliID)?>" method="post">
						<div class="form-body">
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="col-md-12">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Frist Name');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="pliFristName" required value="<?php echo $data->pliFristName;?>">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Last Name');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="pliLastName" required value="<?php echo $data->pliLastName;?>">
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-md-3">
												<?php echo zphrase('Gender');?><span class="required"> * </span>
											</label>
											<div class="col-md-9">
												<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="pliGender" value="<?php echo $data->pliGender;?>">													
													<?php foreach ($gender as $gd): ?>
														<option value="<?php echo $gd['pdwID'];?>"><?php echo $gd['pdwNameFull'];?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('DOB');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="text" class="form-control date-picker" name="pliDOB" required value="<?php echo $data->pliDOB;?>"> 
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Email');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="pliEmail" required value="<?php echo $data->pliEmail;?>">
											</div>
										</div>
										
									</div>
								</div>
								<div class="col-md-6">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label col-md-3">
												<?php echo zphrase('Group');?><span class="required"> * </span>
											</label>
											<div class="col-md-9">
												<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="pliGoup" value="<?php echo $data->pliGoup;?>">													
													<?php foreach ($group as $gp): ?>
														<option value="<?php echo $gp['pugID'];?>"><?php echo $gp['pugName'];?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-md-3">
												<?php echo zphrase('Position');?><span class="required"> * </span>
											</label>
											<div class="col-md-9">
												<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="pliPosition">													
													<?php foreach ($position as $row): ?>
														<option value="<?php echo $row['pptID'];?>"><?php echo $row['pptName'];?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('User Name');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="pliUserName" required value="<?php echo $data->pliUserName;?>">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Password');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="password" class="form-control" name="pliPassword" required value="<?php echo $data->pliPassword;?>">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Phone');?><span class="required"> * </span></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="pliPhone" required value="<?php echo $data->pliPhone;?>">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Language');?><span class="required"> * </span></label>
											
											<div class="col-md-9">
												<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" required name="suLanguage" value="<?php echo $data->suLanguage;?>">													
													<option value="English"><?php echo zphrase('English');?></option>
													<option value="Khmer"><?php echo zphrase('Khmer');?></option>
													<option value="Chinese"><?php echo zphrase('Chinese');?></option>
												</select>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-actions">
							<div class="row">
								<div class="col-md-offset-3 col-md-9">
									<button type="submit" class="btn green"><?php echo zphrase('Update');?></button>
									<a href="<?php echo site_url("user/view");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	
		
<?php $this->load->view('template/footer.php');?>