<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>

<div class="row">

	<div class="col-md-12">

		<div class="col-md-12">

			<!-- BEGIN EXAMPLE TABLE PORTLET-->

			<div class="portlet light bordered">

				<div class="portlet-title">

					<div class="caption font-red-sunglo">

						<i class="fa fa-list font-red-sunglo"></i>

						<span class="caption-subject bold "> <?php echo zphrase('Deposit');?></span>

					</div>

					<div class="actions">

						<div class="btn-group">

							<a class="btn btn-sm green " href="<?php echo site_url('stock/invoice/view'); ?>"> 

								<i class="fa fa-reply"></i>

								<?php echo zphrase('Back');?>									

							</a>

						</div>

					</div>

				</div>

				<div class="portlet-body">

					<div class="table-scrollable">

						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">

							<thead>

								<tr>

									<th><?php echo zphrase('No');?></th>

									<th><?php echo zphrase(' Date');?></th>

									<th><?php echo zphrase(' Date Deposit'); ?></th>

									<th><?php echo zphrase('Project');?></th>

									<th><?php echo zphrase('Category');?></th>

									<th><?php echo zphrase('Item');?></th>

									<th><?php echo zphrase('Client Name');?></th>

									<th><?php echo zphrase('Phone');?></th>

									<!-- <th><?php //echo zphrase('Status');?></th> -->

									<th><?php echo zphrase('Amount');?></th>

									<th><?php echo zphrase('remain');?></th>

									<th><?php echo zphrase('Paid');?></th>

									<th><?php echo zphrase('Next Pay Amount');?></th>

									<th><?php echo zphrase('Action');?></th>

								</tr>

							</thead>

							<tbody>

								<?php foreach ($data as $row): ?>

									<?php 

										

										$btn_installment = '';

										$btn_deposit = '';

										$url = site_url('loan/loan/view/'.$row['pclID'].'/'.$row['psID']);

										$url_deposit = site_url('stock/invoice/print_deposit/'.$row['psID']);

										$print_deposit='';

										$print_deposit = "<a class='btn btn-sm btn-outline-success' target='_blank' data-toggle='modal' href=".$url_deposit."><i class='fa fa-print' title='Print Deposit'></i></a>";

										if($row['ploID']){

											//$btn_installment = "<a class='btn btn-sm blue' href=".$url." title='Reschedule'><i class='fa fa-money'></i></a>";

										}

										

										if($row['psType'] == 1){

											$type = 'Sale';

										}elseif($row['psType'] == 2){

											$type = 'Sale Installment';

											if(empty($row['ploID'])){

												$btn_installment = "<a class='btn btn-sm btn-outline-primary' href=".$url." title='Installment'><i class='fa fa-share-square-o'></i></a>";

												$btn_deposit = "<a class='btn btn-sm btn-outline-warning' href='#deposit' onclick='deposit(this)' data-toggle='modal' title='Deposit'><i class='fa fa-dollar fa-lg'></i></a>";

											}

										}else{

											$type = 'Sale Credit';

										}

										$cancel_deposit='';

										if(empty($row['ploID'])){

										$cancel_deposit = "<a class='btn btn-sm btn-outline-danger' href='#cancel_deposit' onclick='cancel_deposit(this)' data-toggle='modal' title='Cancel Deposit'><i class='fa fa-close'></i></a>";

										

										}

										

										

									;?>

							

									<tr pid="<?php echo $row['psID'];?>">

										<td><?php echo $no;?></td>

										<td><?php echo $row['psDate'];?></td>

										<td><?php echo $row['pdDateLine']; ?></td>

										<td><?php echo $row['ppjName'];?></td>

										<td><?php echo $row['pctName'];?></td>

										<td><?php echo $row['items'];?></td>

										<td><?php echo $row['pclName'];?></td>

										<td><?php echo $row['pclPhone1'];?></td>

										<!-- <td><?php //echo $type;?></td> -->

										<td><?php echo $row['psAmount'];?></td>

										<td><?php echo $row['psRemain'];?></td>

										<td><?php echo $row['psReceive'];?></td>

										<td><?php echo $row['pdPayAmountNext'];?></td>

										<td>

											<span><?php echo $print_deposit;?></span>

											<span><?php echo $btn_installment;?></span>

											<span><?php echo $btn_deposit;?></span>

                                            <?php if($this->session->userdata['logged_in']['pliGroup']==1){?>
                                                <span><?php echo $cancel_deposit;?></span>
                                            <?php } ?>

										</td>

									</tr>

									<?php $no++;?>

								<?php endforeach; ?>

							</tbody>

						</table>

					</div>

				</div>

			</div>

		</div>

	</div>

</div>



<!-- /.delete -->

<?php $this->load->view('stock/invoice/deposit.php');?>

<!-- /.end delete -->





<?php $this->load->view('stock/invoice/cancel_deposit.php');?>

		

				

<script>

	function deposit(obj){

		var id = $(obj).closest("tr").attr("pid");

			$.post("<?php echo site_url('stock/invoice/frm_deposit');?>",{id:id}, function(data) {

			var d = $.parseJSON(data);

			

			$("#id").val(id);

			$("#receive").val(d.receive);

		});

	}

	function cancel_deposit(obj){

		var id = $(obj).closest("tr").attr("pid");

		$.post("<?php echo site_url('stock/invoice/frm_cancelDeposit');?>",{id:id}, function(data) {

			var d = $.parseJSON(data);

			$("#ps_id").val(d.psID); 

		});

	}

	function print_deposit(obj){

		var id = $(obj).closest("tr").attr("pid") ;

		$.post("<?php echo site_url('stock/invoice/print_deposit');?>",{id:id}, function(data) {

			var d = $.parseJSON(data);

			$("#print_id").val(id); 

		});

	}

</script>

<?php $this->load->view('template/footer.php');?>