<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<!-- BEGIN EXAMPLE TABLE PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Project');?></span>
					</div>
                    <div class="actions">

                        <div class="btn-group">

                            <a href="<?php echo site_url('stock/project/addnew') ?>" class="btn btn-sm green"><?php echo zphrase('Add New');?></a>

                        </div>

                    </div>

				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
							<thead>
								<tr>
									<th><?php echo zphrase('No');?></th>
									<th><?php echo zphrase('Name');?></th>
									<th><?php echo zphrase('Description');?></th>
									<th><?php echo zphrase('Action');?></th>
								</tr>
							</thead>
							<tbody>
								<?php foreach ($data as $row): ?>
									<tr pd="<?php echo $row['ppjID'];?>">
										<td><?php echo $no;?></td>
										<td><?php echo $row['ppjName'];?></td>
										<td><?php echo $row['ppjDes'];?></td>
										<td>
												<a class="btn btn-sm blue"  href="<?php echo site_url('stock/project/edit/'.$row['ppjID']);?>" title="Edit"><i class="fa fa-edit"></i></a>
												<a class="btn btn-sm blue" data-toggle="modal" href="#view_image_<?php echo $row['ppjID'];?>" title="View Image"><i class="fa fa-image"></i></a>
											<?php if($row['ppjStatus']==0){ ?>
												<a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o" title="Delete"></i></a>
											<?php } ?>
										</td>
									</tr>

                                    <!-- Modal -->
                                    <?php
                                    if($row['ppjImage'] == null){
                                        $img = base_url('assets/pages/img/image.png');
                                    }else{
                                        $img = ('upload/layout/'.$row['ppjImage']);
                                    }
                                    ?>

                                    <div  class="modal fade bs-modal-lg" data-toggle="modal" id="view_image_<?php echo $row['ppjID'];?>"  tabindex="-1" role="dialog" aria-hidden="true">
                                        <div class="modal-dialog modal-md">
                                            <form class="form-horizontal" role="form">
                                                <!-- Modal content-->
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                        <div class="portlet-title">
                                                            <div class="caption font-red-sunglo">
                                                                <i class="fa fa-plus font-red-sunglo"></i>
                                                                <span class="caption-subject sbold uppercase"><?php echo zphrase('View Image');?></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <center><img width="500" height="500" src="<?php echo base_url('upload/layout/'.$row['ppjImage']);?>"></center>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>


                                    <?php $no++; ?>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>
					<?php echo $this->pagination->create_links();?>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- /.add -->
<?php $this->load->view('stock/project/add.php');?>
<!-- /.end add -->
<!-- /.delete -->
<?php $this->load->view('stock/project/delete.php');?>
<!-- /.end delete -->

<script>
	function btnDelete(obj){ 
		var id = $(obj).closest("tr").attr("pd");
		
		$.ajax({
			url: "<?php echo site_url("stock/project/form_delete")?>/"+id,
			type: "get",
			success: function(data){
				var d = $.parseJSON(data);
				$(".proID").val(id);
			}
		});
	}
</script>

<?php $this->load->view('template/footer.php');?>
