<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Account_chart extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('dropdown_model');
		$this->load->model('account_chart_model');
		$this->load->model('account_type_model');
        $this->load->model('permission_model');
		
	}
	public function index(){			
	}
	public function view(){  
		$search_code = (empty($_POST['pacCode']))? '':' pacCode = "'.$_POST['pacCode'].'" ';
		$search_name = (empty($_POST['patID']))? '':' patID = "'.$_POST['patID'].'" ';
		$search_des = (empty($_POST['pacDes']))? '':' pacDes = "'.$_POST['pacDes'].'" ';
		
		$data_search = array(
			'search_name' =>$search_name,
			'search_des' =>$search_des,
			'search_code' =>$search_code,
		);
		$search = $this->search_model->search($data_search);
		
		$data["data"] = $this->account_chart_model->getAccountChart($search);
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Acount Chart';
		
		$this->load->view('setting/account_chart/index.php',$data);
	}
	public function addnew(){  
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Addnew';
		$data["account_type"] = $this->dropdown_model->drop_account_type();
		
		$this->load->view('setting/account_chart/addnew.php',$data);
	}
	public function insert(){  
		$type = $_POST['pacType'];
		$account_type = $this->account_type_model->getAccountTypeID($type);
		
		$data = array(
			'pacCode' => $account_type->code+1,
			'pacName' => $_POST['pacName'],
			'pacNameKH' => $_POST['pacNameKH'],
			'pacType' => $type,
			'pacDes' => $_POST['pacDes'],
			'pacDelete' => 1,
		);
		$this->db->insert('nso007_account_chart',$data);
		
		redirect(site_url('account_chart/view'));
	}
	public function delete(){ 
		$id = $_POST['id'];
		
		$this->db->where('pacCode', $id);
		$this->db->delete('nso007_account_chart');
		
		redirect(site_url('account_chart/view'));
	}
	public function edit($id){ 
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Edit';
		$data["account_group"] = $this->dropdown_model->drop_account_group();
		$data["data"] = $this->account_chart_model->getID($id);
		
		$this->load->view('setting/account_chart/edit.php',$data);
	}
	public function update($id){ 
		$data = array(
			'pacType' => $_POST['pacType'],
			'pacName' => $_POST['pacName'],
			'pacNameKH' => $_POST['pacNameKH'],
			'pacDes' => $_POST['pacDes'],
		);
		
		$this->db->where('pacCode', $id);
		$this->db->update('nso007_account_chart',$data);
		
		redirect(site_url('account_chart/view'));
	}
}
