<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class income extends CI_Controller {

	 function __construct()
    {
        parent::__construct();
		$this->load->model('accounting_model');
        $this->load->model('dropdown_model');
		$this->load->model('search_model');
        $this->load->model('permission_model');
    }
	public function view(){		
		$search_amount = (empty($_POST['Amount']))? '':' pjnDr = "'.$_POST['Amount'].'" ';
		$search_currentcy = (empty($_POST['ppwCurrentcy']))? '':' pjnCurrency = "'.$_POST['ppwCurrentcy'].'" ';
		$chart = (empty($_POST['chart']))? '':' pjnAccCode = "'.$_POST['chart'].'" ';
		$des = (empty($_POST['des']))? '':' pjnDes = "'.$_POST['des'].'" ';
		$date = (empty($_POST['date']))? '':' pjnDes = "'.date('Y-m-d',strtotime($_POST['date'])).'" ';
		$user = (empty($_POST['user']))? '':' pjnBy = "'.$_POST['user'].'" ';
		
		$data_search = array(
			'search_amount' =>$search_amount,
			'search_currentcy' =>$search_currentcy,
			'chart' =>$chart,
			'des' =>$des,
			'date' =>$date,
			'user' =>$user,
			
		);
		$search = $this->search_model->search($data_search);
		
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'Income';
		$data['incomes'] = $this->accounting_model->getIncome($search);  
		$data['chart'] = $this->accounting_model->getAccountChat(3);
		$data['user'] = $this->dropdown_model->drop_user();
		
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');

		$this->load->view('accounting/income/index.php',$data);
	}
	public function addnew(){	
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'Income';
		$data['income'] = $this->accounting_model->getAccounting(4);
		$data['user'] = $this->dropdown_model->drop_user();
		$data['chart'] = $this->accounting_model->getAccountChat(4);
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		$this->load->view('accounting/income/addnew.php',$data);
	}
	public function insert(){		
		//var_dump($_POST);
		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>$_POST['pjnAccCode'],
					'pjnType'=>4,
					'pjnCr'=>$_POST['amount'],
					'pjnInvoice'=>$_POST['pjnInvoice'],
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['pjnDatePay'])),
					'pjnDes'=>$_POST['pjnDes'],
					'pjnBy'=>$_POST['pjnBy'],
					'pjnCurrency'=>$_POST['pjnCurrency'],
		);
		
		$this->db->insert('nso007_jounal', $data);
		$insert_id = $this->db->insert_id();
		
		$data1 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>10000,
					'pjnType'=>4,
					'pjnDr'=>$_POST['amount'],
					'pjnInvoice'=>$_POST['pjnInvoice'],
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['pjnDatePay'])),
					'pjnDes'=>$_POST['pjnDes'],
					'pjnBy'=>$_POST['pjnBy'],
					'pjnCurrency'=>$_POST['pjnCurrency'],
		);
		$this->db->insert('nso007_jounal', $data1);
		redirect(site_url('income/view'));
			
	}
	public function delete(){
		$id = $_POST['id'];
		
		$this->db->where(array('pjnID'=>$id,'pjnType'=>4));  
		$this->db->delete('nso007_jounal');
		
		$this->db->where(array('pjnPID'=>$id,'pjnType'=>4));  
		$this->db->delete('nso007_jounal');
		
		redirect(site_url('income/view'));
			
	}		
	
}
	
	
