<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Language extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('language_model');
        $this->load->model('permission_model');
	}
	public function index(){			
	}
	public function view(){  
		$QField = $this->db->list_fields('nso007_languages');
		unset($QField[0]);
		$fields = '';
		foreach($QField as $row){
			$fields .= ','.$row;
		}
		
		$search_name = (empty($_POST['name']))? '':' CONCAT_WS(" "'.$fields.') like "%'.$_POST['name'].'%" ';
		
		$data_search = array(
			'search_name' =>$search_name,
		);
		$search = $this->search_model->search($data_search);
		
		$data["data"] = $this->language_model->get($search);
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Language';
		
		$this->load->view('setting/language/index.php',$data);
	}
	public function addnew(){  
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Language';
		
		$this->load->view('setting/language/addnew.php',$data);
	}
	public function insert(){  
		$data = array(
			'Phrase'=>$_POST['Phrase'],
			'English'=>$_POST['English'],
			'Khmer'=>$_POST['Khmer'],
		);
		
		$this->db->insert('nso007_languages',$data);
		redirect(site_url('language/view'));
	}
	public function form_delete($id){
		$data['clID'] = $id;
		echo json_encode($data);
	}
	public function delete(){	
		$id = $_POST['clID'];
		$this->db->query("DELETE FROM nso007_languages WHERE clID = $id");
		redirect(site_url('language/view'));
	}
	public function edit($id){	
		$data["icon"] = 'fa fa-cogs';
		$data["title"] = 'Edit';
		$data["data"] = $this->language_model->getID($id);
		
		$this->load->view('setting/language/edit.php',$data);
	}
	public function update($id){ 
		$data = array(
			'Phrase'	=> $_POST['Phrase'],
			'English'	=> $_POST['English'],
			'Khmer'	=> $_POST['Khmer'],
		);
		$this->db->where('clID', $id);
		$this->db->update('nso007_languages', $data);
		
		redirect(site_url('language/view'));
	}
}
