<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Report_balance_sheet extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('Report_balance_sheet_model');
		$this->load->model('search_model');
		$this->load->model('dropdown_model');
		$this->session->userdata('username');
        $this->load->model('permission_model');
	}
	public function index(){			
		//$this->load->view('pawn/index.php');
	}
	public function view(){  
		$search_date = (empty($_POST['searchEndDate']))? "":" pjnDatePay <= '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";
		$search_currency = (empty($_POST['pjnCurrency']))? '':' pjnCurrency = "'.$_POST['pjnCurrency'].'" ';
		
		$data_search = array(
			'search_date' =>$search_date,
			'search_currency' =>$search_currency,
		);
		$search = $this->search_model->search($data_search);
	
		$data["asset"] = $this->Report_balance_sheet_model->getReportAsset($search);
		$data["liability"] = $this->Report_balance_sheet_model->getReportLibility($search);
		$data["liability_history"] = $this->Report_balance_sheet_model->getReportLibilityHistory($search);
		$data["divedend"] = $this->Report_balance_sheet_model->getReportDivedend($search);
		$income = $this->Report_balance_sheet_model->getReportIncome($search);
		$expense = $this->Report_balance_sheet_model->getReportExpense($search);
		$data["drop_user"] = $this->dropdown_model->drop_user($search);
		$data['currency'] = $this->dropdown_model->drop_term(5,$code='');
		$data['capital'] = $this->Report_balance_sheet_model->getCapital($search);
		$data["ttAsset"] = 0;
		$data["ttLiability"] = 0;
		$data["ttCapital"] = 0;
		$data['netIncome'] = $income->income - $expense->expense;
		$data["icon"] = 'fa fa-file-text-o';
		$data["title"] = 'Report Balance sheet';
		
		$this->load->view('report_accounting/report_balance_sheet',$data);
	}
}