<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Item extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('item_model');
		$this->load->model('category_model');
		$this->load->library('pagination');
        $this->load->model('permission_model');
	}

	public function index(){		
		
		$this->load->view('pawn/index.php');
	}
	public function view(){ 
		$search_item_code = (empty($_POST['piID']))? '':' piID = "'.$_POST['piID'].'" ';
		$search_category = (empty($_POST['pctID']))? '':' pctID = "'.$_POST['pctID'].'" ';
		$search_project = (empty($_POST['ppjID']))? '':' ppjID = "'.$_POST['ppjID'].'" ';
		$search_piCode = (empty($_POST['piCode']))? '':' piItemCode LIKE "'.$_POST['piCode'].'%" ';

		$data_search = array(
			'search_item_code' =>$search_item_code,
			'search_category' =>$search_category,
			'search_project' =>$search_project,
			'search_piCode' =>$search_piCode,
		);
		$search = $this->search_model->search($data_search);
	
		$data["data"] = $this->item_model->get($search);
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Item';
		
		$this->load->view('stock/item/index.php',$data);
	}
	public function addnew(){  
		
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Addnew';
		
		$this->load->view('stock/item/addnew.php',$data);
	}
	public function save(){
		$code = $_POST['code'];
		$number = count($code);
		
		for($i=0; $i<$number; $i++){
			$cost = $_POST['cost'][$i];
			$data = array(
				'piItemCode' => $code[$i],
				'piPrice' => $_POST['price'][$i],
				'piCost' => $cost,
				'piSize' => $_POST['size'][$i],
				'piCatagory' => $_POST['piCatagory'],
				'piProject' => $_POST['piProject'],
				'piColor' => $_POST['bcolor'],
				'piTColor' => $_POST['tcolor'],
				'commission'=>$_POST['commission_amount'][$i],
			);
			
			$this->db->insert('nso007_item_stock',$data);
			$lastID = $this->db->insert_id();
		
			$acc_code = $this->category_model->getAccCode($_POST['piCatagory']);
			
			$type = 14;
			$des = 'Purchase invocie : '.$lastID;
			$user = $this->session->userdata['logged_in']['pliID'];
			$date = date('Y-m-d');
			
			if(!empty($cost)){
				$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>$acc_code->iaPurchaseAcc,
					'pjnType'=>$type,
					'pjnDr'=>$cost,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$user,
					'pjnCurrency'=>1,
					'pjnRefID'=>$lastID,
				);
				
				$this->db->insert('nso007_jounal', $data);
				$insert_id = $this->db->insert_id();
			
				$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>10000,
						'pjnType'=>$type,
						'pjnCr'=>$cost,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$date,
						'pjnDes'=>$des,
						'pjnBy'=>$user,
						'pjnCurrency'=>1,
						'pjnRefID'=>$lastID,
				);
				$this->db->insert('nso007_jounal', $data1);
			}
		}
		$pro_status =array(
			'ppjStatus'=>1
		);
		$this->db->where('ppjID', $_POST['piProject']);
		$this->db->update('nso007_project_stock', $pro_status);

		redirect(site_url('stock/item/view'));
	}
	public function check_stock(){
		echo 123;
	}
	public function edit($id){
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Edit';
		$data["data"] = $this->item_model->getById($id);
		$data["id"] = $id;

		$this->load->view('stock/item/edit.php',$data);
	}
	public function update($id){
		
		$data = array(
			'piItemCode' => $_POST['itemCode'],
			'piPrice' => $_POST['price'],
			'piCost' => $_POST['cost'],
			'piSize' => $_POST['size'],
			'piColor' => $_POST['bcolor'],
			'piTColor' => $_POST['tcolor'],
		);
		
		$this->db->where('piID', $id);
		$this->db->update('nso007_item_stock', $data);
		
		redirect(site_url('stock/item/view'));
	}
	public function delete(){
		$this->db->where('piID', $_POST['id']);
		$this->db->delete('nso007_item_stock');
		
		redirect(site_url('stock/item/view'));
	}
	
	public function form_delete($id){
		$data['id'] = $id;
		echo json_encode($data);
	}
}
