<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>

	<div class="row">

		<div class="col-md-12">

			<div class="col-md-12">

				<!-- BEGIN EXAMPLE TABLE PORTLET-->

				<div class="portlet light bordered">

					<div class="portlet-title">

						<div class="caption font-red-sunglo">

							<i class="fa fa-list font-red-sunglo"></i>

							<span class="caption-subject bold"> <?php echo zphrase('Agent List');?></span>

						</div>

						<div class="actions">

							<div class="btn-group">

								<a href="<?php echo site_url('agent_list/addnew'); ?>" class="btn btn-sm green"><?php echo zphrase('Add New');?></a>

							</div>

						</div>

					</div>

					<div class="portlet-body">

						<div class="table-scrollable">

							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">

								<thead>

									<tr>

										<th><?php echo zphrase('Image'); ?></th>

										<th><?php echo zphrase('ID');?></th>

										<th><?php echo zphrase('Name');?></th>

										<th><?php echo zphrase('Tel'); ?></th>

										<th><?php echo zphrase('Reference');?></th>

										<th><?php echo zphrase('Commission'); ?></th>

										<th><?php echo zphrase('Note'); ?></th>

										<th><?php echo zphrase('Action');?></th>

									</tr>

								</thead>

								<tbody>

									<?php $no = 0; ?>

									<?php foreach ($data as $agent){  ?>

										<?php $no++ ?>

										<?php

											if($agent['agnImage'] == null){

												$img = base_url('assets/pages/img/image.png');

											}else{

												$img = base_url('upload/agent/'.$agent['agnImage']);

											}

										?>

										<tr pd="<?php echo $agent['pliID'];?>">

											<td align="center"><a href="#_img_" data-toggle="modal" id="showImg"><img class="img-circle" width="60" height="60" src="<?php echo $img; ?>"></a></td>

											<td><?php echo $agent['agnCode']; ?></td>

											<td><?php echo $agent['userName'];?></td>

											<td><?php echo $agent['pliPhone'];?></td>

											<td><?php echo $agent['agnReference']; ?></td>

											<td><?php echo $agent['agnCommission']; ?></td>

											<td><?php echo $agent['agnNote']; ?></td>

											<td>

												<a class="btn btn-sm btn-outline-success" data-toggle="modal" href="<?php echo site_url("agent_list/edit_agent/".$agent['pliID']);?>" title="Edit"><i class="fa fa-edit"></i></a>

												<a class="btn btn-sm btn-outline-info" data-toggle="modal" title="Show" href="#show_info" onclick="show_info(this)"><i class="fa fa-eye"></i></a>

											</td>

										</tr>

									<?php } ; ?>

								</tbody>

							</table>

						</div>

					</div>

				</div>

			</div>

		</div>

	</div>

	<!-- Show Agent Info -->

	<?php $this->load->view('agent_list/view_info.php');?>

	<!-- /Show Agent Info -->

	<script type="text/javascript">

		function show_info(obj){

			var id = $(obj).closest("tr").attr("pd");

			var url_ = "<?php echo base_url(); ?>";

			$.ajax({

				url: "<?php echo site_url("agent_list/show_agent_info")?>/"+id,

				type: "get",

				success: function(data){

					var d = $.parseJSON(data);

					var info_ ='<tr>'+

									'<td><strong>Full Name :</strong></td>'+

									'<td>'+d.pliFristName+' '+d.pliLastName+'</td>'+

								'</tr>'+

								'<tr>'+

									'<td><strong>Nationality :</strong></td>'+

									'<td>'+d.agnNational+'</td>'+

								'</tr>'+

								'<tr>'+

									'<td><strong>Gender :</strong></td>'+

									'<td>'+d.agnGender+'</td>'+

								'</tr>'+

								'<tr>'+

									'<td><strong>Date of Birth :</strong></td>'+

									'<td>'+d.pliDOB+'</td>'+

								'</tr>'+

								'<tr>'+

									'<td><strong>Email :</strong></td>'+

									'<td><a href="mailto:'+d.pliEmail+'">'+d.pliEmail+'</a></td>'+

								'</tr>'+

								'<tr>'+

									'<td><strong>Phone Number :</strong></td>'+

									'<td>'+d.pliPhone+'<br><br>'+d.agnPhone2+'</td>'+

								'</tr>'+

								'<tr>'+

									'<td><strong>Address :</strong></td>'+

									'<td>'+d.agnAddress+'</td>'+

								'</tr>'+

									'<td><strong>Reference :</strong></td>'+

									'<td>'+d.agnReference+'</td>'+

								'</tr>'+

									'<td><strong>Commission :</strong></td>'+

									'<td>'+d.agnCommission+'</td>'+

								'</tr>'+

									'<td><strong>Note :</strong></td>'+

									'<td>'+d.agnNote+'</td>'+

								'</tr>';



					$("#agnImage").html('<img src="'+url_+'upload/agent/'+d.agnImage+'" class="img-circle img-responsive">');

					$("#info_").html(info_);

				}

			});

		}

	</script>

<?php $this->load->view('template/footer.php');?>

<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>

<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>

<script>

	$('#datatable').dataTable();

</script>

<style>

    .table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td, .table > thead > tr > th {

        padding: 5px;

        line-height: 1.42857;

        vertical-align: middle !important;

        border-top: 1px solid #e7ecf1;

    }

</style>