
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

<form class="form-horizontal" role="form" action="<?php echo site_url('PaymentItem/insert')?>" method="post">
	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject sbold uppercase"><?php echo zphrase('Project Item');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('paymentItem/index');?>"> 
									<i class="fa fa-reply"></i>
									<?php echo zphrase('Back');?>
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="form-body">
							<div class="row form-group">
		                        <div class="col-md-6">
									<?php echo zinput(array('type'=>'select2','label'=>'Project Name','name'=>'project_id','class'=>'projectID','data'=>$this->zone->data(array('table'=>'nso007_project_planning','value'=>'projectID','text'=>'projectName'))));?>
		                        </div>
		                        <div class="col-md-6">
									<div class="col-md-12">
										<div class="form-group">
											<label class="col-md-4  control-label"><?php echo zphrase('Item Name');?></label>
											<div class="col-md-8">
												<select name="item_id" id="itemID" class="form-control select2 itemID" required>
												</select>
											</div>
										</div> 
									</div>
		                        </div>
		                    </div>
							<div class="row form-group">
		                        <div class="col-md-6">
									<div class="col-md-12">
										<div class="form-group">
											<label class="col-md-4  control-label"><?php echo zphrase('Total Item Cost');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control itemTotalCost" id="itemTotalCost" name="itemTotalCost" required>
											</div>
										</div> 
									</div>
		                        </div>
		                        <div class="col-md-6">
									<div class="col-md-12">
										<div class="form-group">
											<label class="col-md-4  control-label"><?php echo zphrase('Item Date');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control itemDate" id="itemDate" name="itemDate" required>
											</div>
										</div> 
									</div>
		                        </div>
		                    </div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="col-sm-12">
						<div class="portlet-title">
							<div class="caption font-red-sunglo">
								<i class="fa fa-plus font-red-sunglo"></i>
								<span class="caption-subject sbold uppercase"><?php echo zphrase('Add Payment');?></span>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<table class="table table-striped table-bordered">
							<thead>
								<tr>
									<th width="6%" class="text-center"><?php echo zphrase('No');?></th>
									<th width="20%" class="text-center"><?php echo zphrase('Pay Date');?></th>
									<th class="text-center"><?php echo zphrase('Pay Amount');?> ($)</th>
									<th width="20%" class="text-center"><?php echo zphrase('Pay By Percentage');?> (%)</th>
									<th class="text-center">
										<span class="pull-right btn btn-primary btn-sm plus_ens fa fa-plus add"></span>
									</th>
								</tr>
							</thead>
							<tbody class="resultbody">
								<tr>
									<td>
										<input type="text" class="form-control" name="paymentID[]" value="1" readonly="readonly">
									</td>
									<td>
										<input type="text" class="form-control date-picker-b" name="paymentDate[]" required>
									</td>
									<td>
										<input type="text" name="payAmount[]" class="form-control payAmount" placeholder="Pay Amount" required>
									</td>
									<td>
										<input type="text" name="paymentPercent[]" class="form-control payPercentage" placeholder="Pay Percentage" required>
									</td>
								</tr>
							</tbody>
						</table>
						<div class="row">
							<div class="form-actions">
								<div class="col-md-12">
									<div class="col-md-12 text-right">
										<a href="<?php echo site_url("paymentItem/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
										<button type="submit" class="btn green"><?php echo zphrase('Save');?></button>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->
</form>
<script>
	$(".projectID").change(function(){
		var projectID = $(this).val();
		var urlBase = "<?php echo base_url(); ?>";
		$.ajax({
			type: 'GET',
			url: urlBase+'index.php/PaymentItem/findPayment/'+projectID,
			dataType:'json',
			data: {'projectID': projectID},
			success: function (data){
				$("#itemID").select2("val", "");
				$("#itemID").empty();
				$("#itemTotalCost").val("");
				$("#itemDate").val("");
			
				var objs = JSON.parse(JSON.stringify(data.items));

				$.each(objs, function (index, element) {
					// var newOption = new Option(element.itemName, element.itemID, true, true);
					var newOption = new Option(element.itemName, element.itemID); 
					var blankOption = new Option('', ''); 
					$('#itemID').append(blankOption).trigger('change');
					$('#itemID').append(newOption).trigger('change');
					
				});

			}
		});
    });
	$(".itemID").change(function(){
		var itemID = $(this).val();
		var urlBase = "<?php echo base_url(); ?>";
		$.ajax({
			type: 'GET',
			url: urlBase+'index.php/PaymentItem/find_item_by_id/'+itemID,
			dataType:'json',
			data: {'itemID': itemID},
			success: function (data){
				$("#itemTotalCost").empty();
				$("#itemDate").empty();
			
				var obj = JSON.parse(JSON.stringify(data.items));
				 
				$.each(obj, function (index, element) {
					$('#itemTotalCost').val(element.itemTotalCost).trigger('change');
				});

				$.each(obj, function (index, element) {
					$('#itemDate').val(element.itemDate).trigger('change');
				});
			}
		});
    });
</script>
<script type="text/javascript">

	 $(document).ready(function() {
	 	var num_of_month = 0;
	 	var num_of_row = 0;
		$('.add').on('click',function(){
			num_of_month++;
			num_of_row++;
			var date = new Date($(".date-picker-b").val());
        	date.setMonth(date.getMonth() + num_of_month);
	 	  	var n = ($('.resultbody tr').length - 0) + 1;
 	    	var tr ='<tr>\n' +
				'\t\t\t\t\t\t\t\t\t\t<td>\n' +
				'\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control" name="paymentID[]" value="'+n+'" readonly="readonly">\n' +
				'\t\t\t\t\t\t\t\t\t\t</td>\n' +
				'\t\t\t\t\t\t\t\t\t\t<td>\n' +
				'\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control date-picker-b num_of_month'+num_of_row+'" name="paymentDate[]" required="true">\n' +
				'\t\t\t\t\t\t\t\t\t\t</td>\n' +
				'\n' +
				'\t\t\t\t\t\t\t\t\t\t<td>\n' +
				'\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="payAmount[]" class="form-control payAmount'+n+'" placeholder="Pay Amount" required="true">\n' +
				'\t\t\t\t\t\t\t\t\t\t</td>\n' +
				'\t\t\t\t\t\t\t\t\t\t<td>\n' +
				'\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="paymentPercent[]" class="form-control payPercentage'+n+'" placeholder="Pay Percentage" required="true">\n' +
				'\t\t\t\t\t\t\t\t\t\t</td>\n' +
				'\t\t\t\t\t\t\t\t\t\t<td>\n' +
				'\t\t\t\t\t\t\t\t\t\t\t<span class="pull-right btn-sm btn btn-danger delete'+num_of_row+' fa fa-minus"></span>\n' +
				'\t\t\t\t\t\t\t\t\t\t</td>\n' +
				'\t\t\t\t\t\t\t\t\t</tr>';
			$('.resultbody').append(tr);
			$('.resultbody').delegate('.delete'+num_of_row, 'click', function () {
				$(this).parent().parent().remove();
				n--;
				num_of_month--;
			});
			
			$(".date-picker").datepicker({
				format: 'yyyy-mm-dd'
			});
			
			$(".num_of_month"+num_of_row).datepicker({
				format: 'yyyy-mm-dd'
			});

			$(".num_of_month"+num_of_row).datepicker("setDate", date);

			$('.payAmount'+n).on('keyup',function(){
				var pay_amount = $(this).val();
				var total_amount  = $('.itemTotalCost').val();

				var payAmount = parseFloat(pay_amount);
				var totalAmount = parseFloat(total_amount);

				var payPercentage = ((payAmount * 100) / totalAmount);
				var remainAmount = (totalAmount - payAmount);

				$('.payPercentage'+n).val(payPercentage.toFixed(2));

				$('.remainAmount'+n).val(remainAmount);
			});
			$('.payPercentage'+n).on('keyup',function(){
				var pay_percentage = $(this).val();
				var total_amount  = $('.itemTotalCost').val();

				var payPercentage = parseFloat(pay_percentage);
				var totalAmount = parseFloat(total_amount);

				var payAmount = ((totalAmount * payPercentage) / 100);
				var remainAmount = (totalAmount - payAmount);

				$('.payAmount'+n).val(payAmount);
				$('.remainAmount'+n).val(remainAmount);
			});
		});
		$('.payAmount').on('keyup',function(){
	 		var pay_amount = $(this).val();
	 		var total_amount  = $('.itemTotalCost').val();

	 		var payAmount = parseFloat(pay_amount);
			var totalAmount = parseFloat(total_amount);

			var payPercentage = ((payAmount * 100) / totalAmount);
			var remainAmount = (totalAmount - payAmount);

			$('.payPercentage').val(payPercentage.toFixed(2));

			$('.remainAmount').val(remainAmount);
		});
		$('.payPercentage').on('keyup',function(){
			var pay_percentage = $(this).val();
			var total_amount  = $('.itemTotalCost').val();

			var payPercentage = parseFloat(pay_percentage);
			var totalAmount = parseFloat(total_amount);

			var payAmount = ((totalAmount * payPercentage) / 100);
			var remainAmount = (totalAmount - payAmount);

			$('.payAmount').val(payAmount);
			$('.remainAmount').val(remainAmount);
		});

		$(".date-picker").datepicker({
			format: 'yyyy-mm-dd'
		});

		var date = new Date();
        date.setMonth(date.getMonth() + 1);

		$(".date-picker-b").datepicker({
			format: 'yyyy-mm-dd'
		}).datepicker("setDate", date);
	});
</script>


<?php $this->load->view('template/footer.php');?>
<script type="text/javascript">
	 $(document).ready(function() {
		$('.pay_amount').on('keyup',function(){
	 		var pay_amount = $(this).val();

	 		var total_amount  = $('.total_amount').val();

	 		var payamount = parseFloat(pay_amount);
			var totalamount = parseFloat(total_amount);

			var amount_percent = (payamount * 100)/totalamount;

			$('.amount_percent').val(amount_percent);
		});
	});
</script>
