<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>

	<!-- /.search -->

	<?php $this->load->view('report_accounting/search_cash_on_hand.php');?>

	<!-- /.end search -->

	<div class="row">

		<div class="col-md-12">

			<div class="col-md-12">

				<!-- BEGIN EXAMPLE TABLE PORTLET-->

				<div class="portlet light bordered">

					<div class="portlet-title">

						<div class="caption font-red-sunglo">

							<i class="fa fa-list font-red-sunglo"></i>

							<span class="caption-subject bold"> <?php echo zphrase('Report Cash on hand');?></span>

						</div>

						<div class="actions">

							<div class="btn-group">

								<div class="row">

									<div class="col-md-12">

										<div class="dt-buttons">

											<a class="print_report btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">

												<i class="fa fa-print"></i>

												<span>Print</span>

											</a>

											<!-- <a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">

												<i class="icon-book-open"></i>

												<span>Excel</span>

											</a> -->

										</div>

									</div>

								</div>

							</div>

						</div>

					</div>

					<div class="portlet-body">

						<div class="print">

							<div class="print_header"></div>

							<div class="table-scrollable">

								<table class="table table-striped table-bordered table-hover dt-responsive print_table_border" width="100%" id="datatable">

									<thead>

										<tr>

											<th><?php echo zphrase('No');?></th>

											<!-- <th><?php //echo zphrase('Account Code');?></th> -->

											<th><?php echo zphrase(' Date');?></th>

											<th><?php echo zphrase('Description');?></th>

											<th><?php echo zphrase('Reference');?></th>

											<!-- <th><?php //echo zphrase('User');?></th> -->

											<!-- <th><?php //echo zphrase('Client');?></th> -->

											<th><?php echo zphrase('Note');?></th>

											<th><?php echo zphrase('Cash IN');?></th>

											<th><?php echo zphrase('Cash Out');?></th>

											<th><?php echo zphrase('Balance');?></th>

										</tr>

									</thead>

									<tbody>

										<?php $num_order = 1; ?>

										<?php foreach ($data as $row): ?>

										<?php 

											$dr = $row['pjnDr'];

											$cr = $row['pjnCr'];

										?>

											<tr id="<?php echo $row['pjnID']; ?>">

												<td><?php echo $num_order; ?></td>

												<!-- <td><?php //echo $row['pjnAccCode'];?></td> -->

												<td><?php echo date('Y-m-d',strtotime($row['pjnDatePay']));?></td>

												<td><?php echo $row['pjnDes'];?></td>

												<td><?php echo $row['pjnInvoice'];?></td>

												<!-- <td><?php //echo $row['userBy'];?></td> -->

												<!-- <td><?php //echo $row['pacName'];?></td> -->

												<td><?php echo $row['ptName'];?></td>

												<td>

													<?php if (!empty($dr)) {

														echo "$ ".number_format($dr, 2);

													} ?>

												</td>

												<td>

													<?php if (!empty($cr)) {

														echo "$ ".number_format($cr, 2);

													} ?>

												</td>

												<td>

													

												</td>

												</td>

											</tr>

											<?php $num_order++; ?>

										<?php endforeach; ?>

									</tbody>

									<tfoot>

										<tr>

											<td colspan="5" align="right">Total : </td>

											<td></td>

											<td></td>

											<td></td>

										</tr>

									</tfoot>

								</table>

							</div>

							<div class="print_footer"></div>

						</div>

					</div>

				</div>

			</div>

		</div>	

	</div>

	<?php echo zreport(array('body'=>'footer'));?>

<?php $this->load->view('template/footer.php');?>

<script>

	$(document).ready(function(){

		$('#datatable').dataTable({

			ordering:false,

			searching: false,

			aLengthMenu: [

		        [20, 50, 100, 200, -1],

		        [20, 50, 100, 200, "All"]

		    ],



		    "footerCallback": function ( row, data, start, end, display ) {

	            var api = this.api(), data;

	 

	            // Remove the formatting to get integer data for summation

	            var intVal = function ( i ) {

	                return typeof i === 'string' ?

	                    i.replace(/[\$,]/g, '')*1 :

	                    typeof i === 'number' ?

	                        i : 0;

	            };

	 

	           

	 

	            // Total over this page

	            Cash_IN = api

	                .column( 5	, { page: 'current'} )

	                .data()

	                .reduce( function (a, b) {

	                    return intVal(a) + intVal(b);

	                }, 0 );	

	 			Cash_OUT = api

	                .column( 6, { page: 'current'} )

	                .data()

	                .reduce( function (a, b) {

	                    return intVal(a) + intVal(b);

	                }, 0 );

	           

	 			

	            // Update footer

	            $( api.column( 5 ).footer() ).html(

	                "$ " +parseFloat(Cash_IN).toFixed(2)

	            );

	             $( api.column( 6 ).footer() ).html(

	                "$ " +parseFloat(Cash_OUT).toFixed(2) 

	            );

	              $( api.column( 7 ).footer() ).html(

	               "$ " + parseFloat(Cash_IN - Cash_OUT).toFixed(2) 

	            );

	        }				

		});

	});

		



	$('.print_report').click(function(){

		var table_head=`

        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="custom-font">

			<tr>

				<td colspan="6">

					<table border="0" cellpadding="1" cellspacing="1" width="100%">

						<tr>

							<td width="10%">

								<div class="contract-title">

									<img src="<?php echo(base_url()); ?>assets/layouts/layout/img/logo.png" height="120px;">

								</div>		

							</td>

							<td width="70%" align="center" colspan="5">

								<h1 class="main-title" style="margin-bottom:0;margin-top:0;">ខេ អេច លែន ឯ.ក</h1>

								<h2 class="main-title" style="margin-top:0;">KH LAND CO., LTD.</h2>

								<h3 class="main-title" style="margin-bottom:0;">

									<span>របាយការណ៍សាច់ប្រាក់នៅលើដៃ</span>

								</h3>

							</td>

							<td width="20%"></td>

						</tr>

					</table>

				</td>

			</tr>

			<tr>

				<td colspan="6">

					<table border="0" cellpadding="1" cellspacing="1" width="100%">

						<tr>

							<td class="contract-title"​ align="center">

								<hr style="color: #000;border: 1px solid;" />

								<br/>

							</td>

						</tr>

					</table>

				</td>

			</tr>  

		</table>`;

		var table_foot = `<br/>

	    <table width="100%" class="custom-font custom-font">

			<tr>

				<td colspan="3" align="right">ធ្វើនៅ<span>ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>

			</tr>

			<tr>

	            <td valign="top" align="right" width="50%">

	            	<div style="width:200px;" align="center">

	                	<span>ហត្ថលេខា</span><br/><br/><br/><br/>

	                	<span>------------------------------</span>

	                </div>

	            </td>

			</tr>

	    </table>`;



		$('.print_header').append(table_head);

		$('.print_footer').append(table_foot);

		print_report(print);

		location.reload();



		// var w = window.open();

		// $(w.document.body).html(table_style+table_head+table_foot+print_style);

		// w.print();

	});



</script>