<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="icon-settings font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Default Form');?></span>
					</div>
				</div>
				<form class="form-horizontal" role="form" action="<?php echo site_url('report_balance_sheet/view')?>" method="post">
					<div class="form-body">
						<div class="col-md-12">
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('End date');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control date-picker" name="searchEndDate" value="<?php echo date('d-m-Y');?>">
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Currency');?></label>
									<div class="col-md-9">
										<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" name="pjnCurrency">
											<option></option>
										<?php foreach ($currency as $cr): ?>
											<option value="<?php echo $cr['pdwCode'];?>"><?php echo $cr['pdwNameFull'];?></option>
										<?php endforeach; ?>
									</select>
									</div>
								</div>
							</div>
						</div>
					<div class="form-actions">
						<button type="submit" class="btn blue"><i class="fa fa-search"></i> <?php echo zphrase('Search');?></button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>