<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>

	

	<!-- /.search -->

	<?php $this->load->view('report_collection/arrear_search.php');?>

	<!-- /.end search -->

	

	<div class="row">

		<div class="col-md-12">

			<div class="col-md-12">

				<!-- BEGIN EXAMPLE TABLE PORTLET-->

				<div class="portlet light bordered">

					<div class="portlet-title">

						<div class="caption font-red-sunglo">

							<i class="fa fa-list font-red-sunglo"></i>

							<span class="caption-subject bold uppercase"> <?php echo zphrase('Report arrear');?></span>

						</div>

						<div class="actions">

							<div class="btn-group">

								<div class="row">

									<div class="col-md-12">

										<div class="dt-buttons">

											

											<a class="btn-circle print_report dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">

												<i class="fa fa-print"></i>

												<span>Print</span>

											</a>

											<a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">

												<i class="icon-book-open"></i>

												<span>Excel</span>

											</a>

										</div>

									</div>

								</div>

							</div>

						</div>

					</div>

					<div class="portlet-body">

						

						<div class="print">

							<div class="a"></div>

							<div class="table-scrollable">

								<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">

									<thead>

										<tr>

											<th><?php echo zphrase('No');?></th>

											<th><?php echo zphrase('Date Payment');?></th>

											<!-- <th><?php// echo zphrase('Client ID');?></th> -->

											<th><?php echo zphrase('Client Name');?></th>

											<!-- <th><?php //echo zphrase('Gender');?></th> -->

											<th><?php echo zphrase('Phone');?></th>

											<th><?php echo zphrase('Disbursement Date');?></th>

											<th><?php echo zphrase('Day​​s Late');?></th>

											<th><?php echo zphrase('Principle OS​');?></th>

											<th><?php echo zphrase('Principle Arrear');?></th>

											<th><?php echo zphrase('Interest Arrear');?></th>										</tr>

									</thead>

									<tbody>

										<?php foreach ($data as $row): ?>

											<?php 

												$currency = $row['currency'];

												$interest = $row['plpInterestPay'];

												$principle = $row['plpPrinciplePay'];

												$amountOS = $row['ploAmountOS'];

												

												

												$total_interest += $interest;

												$total_priciple += $principle;

												$tota_amountOS += $amountOS;

												

												$startDate = strtotime(date('Y-m-d'));

												$endDate =  strtotime($row['plpDatePayment']);

												$interval = $startDate - $endDate;

												$day_late = floor($interval / (60 * 60 * 24));

												

												

											?>

											<tr>

												<td><?php echo $no;?></td>

												<td><?php echo date('d-m-Y',strtotime($row['plpDatePayment']));?></td>

												<!-- <td><?php //echo $row['pclID'];?></td> -->

												<td><?php echo $row['pclName'];?></td>

												<!-- <td><?php //echo $row['gender'];?></td> -->

												<td><?php echo $row['pclPhone1'];?></td>

												<td><?php echo date('d-m-Y',strtotime($row['ploDisburment']));?></td>

												<td><?php echo $day_late;?> day</td>

												<td><?php echo $currency.$row['ploAmountOS'];?></td>

												<td><?php echo $currency.$principle;?></td>

												<td><?php echo $currency.$interest;?></td>

												

											</tr>

											<?php $no++;?>

										<?php endforeach; ?>

									</tbody>

									<tfoot>

										<tr>

											<td colspan="6" align="right"> Total : </td>

											<td></td>
											<td></td>
											<td></td>

										</tr>

									</tfoot>	

								</table>

							</div>

							<div class="b"></div>

						</div>

					</div>

				</div>

			</div>	

		</div>	

	</div>

<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>

<?php $this->load->view('template/footer.php');?>

<script type="text/javascript">

	$(document).ready(function(){

		$('#datatable').dataTable({

			ordering:false,

			searching: false,

			aLengthMenu: [

		        [10,25, 50, 100, 200, -1],

		        [10,25, 50, 100, 200, "All"]

		    ],



		    "footerCallback": function ( row, data, start, end, display ) {

            var api = this.api(), data;

 

            // Remove the formatting to get integer data for summation

            var intVal = function ( i ) {

                return typeof i === 'string' ?

                    i.replace(/[\$,]/g, '')*1 :

                    typeof i === 'number' ?

                        i : 0;

            };

 

            // Total over this page

            Principle_OS = api

	            .column( 6, { page: 'current'} )

	            .data()

	            .reduce( function (a, b) {

	                return intVal(a) + intVal(b);

	            }, 0 );



            Principle_Arrear = api

	            .column( 7, { page: 'current'} )

	            .data()

	            .reduce( function (a, b) {

	                return intVal(a) + intVal(b);

	            }, 0 );



            Interest_Arrear = api

	            .column( 8, { page: 'current'} )

	            .data()

	            .reduce( function (a, b) {

	                return intVal(a) + intVal(b);

	            }, 0 );	

 			

            // Update footer

           

            $( api.column( 6 ).footer() ).html(

               "$" + parseFloat(Principle_OS).toFixed(2) 

            );



            $( api.column( 7 ).footer() ).html(

               "$" + parseFloat(Principle_Arrear).toFixed(2) 

            );



             $( api.column( 8 ).footer() ).html(

               "$" + parseFloat(Interest_Arrear).toFixed(2) 

            );



        }



							

		});

	});



		

	$('.print_report').click(function(){

		var table=`

        <div class="panelBody"><table border="0" cellpadding="0" cellspacing="0" width="100%" class="">

						
						<tr>

							<td colspan="6">

								<table border="0" cellpadding="1" cellspacing="1" width="100%">

									<tr>

										<td width="10%">

											<div class="contract-title">

												<img src="<?php echo(base_url()); ?>assets/layouts/layout/img/logo.png" height="120px;">

											</div>		

										</td>

										<td width="70%" align="center" colspan="5">

											<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">New City Realty</h2>
											<h3 class="main-title" style="margin-bottom:0;">

												<span>REPORT ARREAR</span>

											</h3>

										</td>

										<td width="20%"></td>

									</tr>

								</table>

							</td>

						</tr>
						<tr>

							<td colspan="6">

								<table border="0" cellpadding="1" cellspacing="1" width="100%">

									<tr>

										<td class="contract-title"​ align="center">

											<hr style="color: #000;border: 1px solid;" />

											<br/>

										</td>

									</tr>

								</table>

							</td>

						</tr>  

					</table>`;

	var table_foot = `<br/>

    <table width="100%" >

		<tr>

			<td colspan="3" align="right">ធ្វើនៅ<span class="filled-form">ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>

		</tr>

		<tr>

           

            <td valign="top" align="right" width="50%">

            	<div style="width:200px;" align="center">

                	<span class="font-title-signature">ហត្ថលេខា</span><br/><br/><br/><br/>	

                	<span class="font-title-signature">------------------------------</span><br/><br/><br/><br/><br/>

                   

                </div>

            </td>

		</tr>

    </table>`;



	$('.a').append(table);

	$('.b').append(table_foot);

	$('#table').addClass('table table-bordered dt-responsive');

		print_report(print);

		location.reload();



	});

</script>	