<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="icon-settings font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Default Form');?></span>
					</div>
				</div>
				<form class="form-horizontal" role="form" action="<?php echo site_url('report_pawn_arrear/view')?>" method="post">
					<div class="form-body">
						<div class="col-md-12">
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Start Date');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control date-picker" name="searchSartDate" value="<?php echo date('m/1/Y');?>">
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('End Date');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control date-picker" name="searchEndDate" value="<?php echo date('m/d/Y',mktime (0, 0, 0, date("m"), date('t'), date("Y")));?>">
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Type');?></label>
									<div class="col-md-9">
										<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" name="ppwType">
											<option></option>
										<?php foreach ($type as $t): ?>
											<option value="<?php echo $t['pdwCode'];?>"><?php echo $t['pdwNameFull'];?></option>
										<?php endforeach; ?>
									</select>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Pawn Code');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control" name="ppwID">
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Pawn Name');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control" name="ppwName">
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Client Name');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control" name="pclName">
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('Currency');?></label>
									<div class="col-md-9">
										<select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" name="ppwCurrentcy">
											<option></option>
										<?php foreach ($currency as $cr): ?>
											<option value="<?php echo $cr['pdwCode'];?>"><?php echo $cr['pdwNameFull'];?></option>
										<?php endforeach; ?>
									</select>
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label class="col-md-3 control-label"><?php echo zphrase('phone');?></label>
									<div class="col-md-9">
										<input type="text" class="form-control" name="pclPhone1">
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="form-actions">
						<button type="submit" class="btn blue"><i class="fa fa-search"></i> <?php echo zphrase('Search');?></button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>