<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

<div class="row">
    <div class="col-md-12">
        <div class="col-md-12">
            <!-- BEGIN SAMPLE FORM PORTLET-->
            <div class="portlet light bordered">
                <div class="portlet-title">
                    <div class="caption font-red-sunglo">
                        <i class="fa fa-plus font-red-sunglo"></i>
                        <span class="caption-subject sbold "><?php echo zphrase('Permistion');?></span>
                    </div>
                </div>
                <div class="portlet-body">
                    <form class="form-horizontal" role="form" action="<?php echo site_url('user_group/update_permistion')?>" method="post">
                        <div class="form-body">
                            <div class="col-md-12">

                                <?php foreach($menu_single as $single): ?>
                                    <h3>
                                        <div class="form-group">
                                            <label class="col-md-2 control-label text-bolder">
                                                <strong><?php echo $single['pmnMenu'];?></strong>
                                            </label>
                                            <div class="col-md-3">
                                                <select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" name="<?php echo $single['pmnID'];?>">
                                                    <option value="1">Open</option>
                                                    <option value="2"
                                                        <?php foreach ($menu_permission as $permission): ?>
                                                            <?php if ($permission['pmGroup'] == $single['pmnID']): ?>
                                                                <?php echo 'selected'; ?>
                                                            <?php endif ?>
                                                        <?php endforeach; ?>>Close</option>
                                                </select>
                                            </div>
                                        </div>
                                    </h3>
                                <?php endforeach; ?>
                                <?php foreach($menu_main as $main): ?>
                                    <h3>
                                        <div class="form-group">
                                            <label class="col-md-2 control-label">
                                                <strong><?php echo $main['pmnMenu'];?></strong>
                                            </label>
                                            <div class="col-md-3">
                                                <select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" name="<?php echo $main['pmnID'];?>">
                                                    <option value="1">Open</option>
                                                    <option value="2"
                                                        <?php foreach ($menu_permission as $permission): ?>
                                                            <?php if ($permission['pmGroup'] == $main['pmnID']): ?>
                                                                <?php echo 'selected'; ?>
                                                            <?php endif ?>
                                                        <?php endforeach; ?>>Close</option>
                                                </select>
                                            </div>
                                        </div>
                                    </h3>
                                    <ul>
                                        <?php
                                        $data = $this->db->query("SELECT pmnMenu,pmnID FROM nso007_menu WHERE pmnParen =".$main['pmnID']."");$subs = $data->result_array();
                                        ?>
                                        <?php foreach($subs as $sub): ?>
                                            <div class="form-group">
                                                <label class="col-md-3 control-label"><?php echo $sub['pmnMenu'];?></label>
                                                <div class="col-md-3">
                                                    <select class="bs-select form-control select2" data-live-search="true" data-size="8" tabindex="-1" aria-hidden="true" name="<?php echo $sub['pmnID'];?>">
                                                        <option value="1">Open</option>
                                                        <option value="2"
                                                            <?php foreach ($menu_permission as $permission): ?>
                                                                <?php if ($permission['pmGroup'] == $sub['pmnID']): ?>
                                                                    <?php echo 'selected'; ?>
                                                                <?php endif ?>
                                                            <?php endforeach; ?>>Close</option>
                                                    </select>
                                                </div>
                                            </div>
                                        <?php endforeach; ?>
                                    </ul>
                                <?php endforeach; ?>
                                <?php echo zinput(array('type'=>'hidden','label'=>'','name'=>'group','value'=>$this->uri->segment(3)));?>

                            </div>
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-offset-4 col-md-8">
                                        <a href="<?php echo site_url("user_group/view");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
                                        <button type="submit" class="btn green"><i class="fa fa-save"></i> <?php echo zphrase('Save');?></button>
                                    </div>
                                </div>
                            </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

<?php $this->load->view('template/footer.php');?>